2005-02-08  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/tmeter.tcl (destructor): Avoid raising
	an error in the case where a variable scope
	no longer exists which causes the upvar to
	fail. This can happen as a result of destroying
	the driver member object in a grep pane and
	then destroying the progress bar.

2004-10-16  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/tree.tcl (treetable_search_region): When
	a typeahead search in executed in a tree widget,
	deselect the previously selected index. This
	avoids a problem where it appears that multiple
	indexes are selected at the same time.

2004-05-10  Eric Lassauge  <lassauge@users.sourceforge.net>

	* NEWS: Note french support.
	* etc/Makefile.am: Install french.txt.
	* etc/Makefile.in: Regen.
	* etc/french.txt: Add French language translation.

2004-03-19  Mo DeJong  <mdejong@users.sourceforge.net>

	Add SN-52B2-2004-03-19 tag.

2004-03-15  Mo DeJong  <mdejong@users.sourceforge.net>

	* README.TXT: Mention NEWS file.
	* gui/snpdbg.tcl: Remove debug puts.

2004-02-12  Mo DeJong  <mdejong@users.sourceforge.net>

	* NEWS: Add note about save fix.
	* gui/editorpane.tcl (Close, wasClosed):
	* gui/multiview.tcl (Close, CountInstancesOfFile):
	When closing an editor window, don't ask to save
	if the same file is open in another editor.
	This is implemented by calling CountInstancesOfFile
	before calling Close for a editor. Also, set
 	a flag in the editor when the Close method is invoked,
	and then check this flag in CountInstancesOfFile
	to account for the case where one window has the
	same file open in two panes.

2004-02-10  Mo DeJong  <mdejong@users.sourceforge.net>

	* NEWS: Add note about bracket/paren fix.
	* gui/editorpane.tcl (EditorBindings,
	x_Insert_Mark_Bracket): Adust begin and
	end highlight positions to account for
	binding order changes. A double click on
	a brace, bracket, or paren will now
	highlight to the matching bracket.
	[Bug 711358]

2004-01-27  Mo DeJong  <mdejong@users.sourceforge.net>

	* Makefile.am:
	* Makefile.in:
	* NEWS: Add DESTDIR support.

2004-01-08  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/snpdbg.tcl (snpdbg_parse_files): Rework
	the exec of cbrowser2 so that it works properly
	under Windows. Also, remove the .exe extension
	from the output printed to the files tab.

2004-01-07  Mo DeJong  <mdejong@users.sourceforge.net>

	* configure.in: Update version number to 5.2b2.
	* configure: Regen.

2004-01-07  Mo DeJong  <mdejong@users.sourceforge.net>

	Add initial attempt at a parser debug utility
	called snpdbg. This util will run the parsers
	over source code in a directory and detect
	crashes in the parser. Users have often run
	into parser problems but they lack the
	ability to identify where the problem is exactly.

	* NEWS: Add note about snpdbg.
	* gui/Makefile.am: Add snpdbg.tcl to install rule.
	* gui/Makefile.in: Regen.
	* gui/misc.tcl: Define snpdbg_session in snpdbg.tcl.
	* gui/snpdbg.tcl: Initial version of parser debugger.
	* gui/tclIndex: Add snpdbg.tcl.
	* snavigator/win/Makefile.am: Add build rules
	for snpdbg.
	* snavigator/win/Makefile.in: Regen.
	* snavigator/win/snpdbg.c: Add Windows startup
	executable for snpdbg program.

2004-01-04  Mo DeJong  <mdejong@users.sourceforge.net>

	Cleanup init script used with Source-Navigator,
	there is no longer any need to do the fancy
	configure time subst that we were doing. Also,
	add a snpdebug script (it does nothing yet).

	* configure: Regen.
	* configure.in: Don't generate scripts
	from .in files when it is not needed.
	a .in file since it is not needed.
	* etc/Makefile.am: Update after rename
	of navigato script, also add snpdbg.
	* etc/Makefile.in: Regen.
	* etc/navigato.in: Renamed to snavigator.
	* etc/snavigator: Renamed from navigato.in.
	* etc/snpdbg: Add startup script for
	snpdbg tool which will be used to debug
	parser problems.
	* gui/misc.tcl (snpdbg_session): Add
	placeholder for snpdbg session command.
	* snavigator/unix/Makefile.am:
	* snavigator/unix/Makefile.in:
	* snavigator/unix/snavigator: Renamed
	from snavigator.in, the configure time
	subst is no longer needed.
	* snavigator/unix/snavigator.in: Remove
	since this is now called "snavigator".
	* snavigator/win/snavigator.c: Replace
	etc/navigato with etc/snavigator in
	startup script.
	* snavigator/unix/snpdbg: Add new startup
	file "snpdbg" used to debug a parser/browser.

2004-01-04  Mo DeJong  <mdejong@users.sourceforge.net>

	* NEWS: Add new notes for 5.2b2 release.
	* configure: Regen.
	* configure.in: Add parsers/example
	subdir to Makefile gen rules.
	* etc/sn_prop.cfg.in: Add browser rule
	for .exl files.
	* parsers/Makefile.am: Add "example" subdir.
	* parsers/Makefile.in: Regen.
	* parsers/example/Makefile.am: Build
	exlbrowser.l and exlbrowser.c.
	* parsers/example/Makefile.in: Regen.
	* parsers/example/README.TXT: Describe
	new example language.
	* parsers/example/exlbrowser.c: Regen.
	* parsers/example/exlbrowser.l: Create
	simple example language browser to
	demonstrate how Source-Navigator parser
	should work. This browser supports a
	number of features like global and
	local vars, highlighting, and xrefs.
	* tests/parsers/example.test: Test cases
	for new example language. Sampled from
	the PHP test cases.

2003-12-29  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/bindings.tcl (sn_init_keybindings):
	* gui/editorpane.tcl (make_editor_bindings):
	* gui/multiview.tcl (switch_tab, main_print,
	find_dialog, switch_to_next_view,
	switch_tix_notebook_tab): Cleanup some ugly
	catch statements.
	* gui/preferences.tcl (switch_tab):
	Add Control-Prior and Control-Next bindings
	for use with PgUp and PgDn keys. Pass these
	keypress events up to the all binding when
	detected in the editor. These keyboard
	shortcuts will switch to the previous or
	next tab in the notebook inside the main
	tool window or the preferences window.

2003-12-28  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/xrefpane.tcl (read_references):
	Check that a handle to the "to" or "by" xref
	db actually exists before using it in
	read_references. This fixes an error that
	shows up if you build a project with no
	xref and then go to the xref tab and type
	in a symbol name.

2003-12-23  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/classtreepane.tcl (constructor):
	* gui/multiview.tcl (AddMenu): Pass {} as the
	4th argument to itk_component add calls that
	create a menu widget. There is a problem with
	the defaults for menu widgets where the
	-background was getting set to SystemButtonFace
	when it should have been SystemMenu. The result
	was that some menu items were showing up with
	a gray background instead of a white one.

2003-12-21  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/diff.tcl (move):
	* gui/elix.tcl (constructor): Use centerOnScreen
	method instead of center.
	* gui/window.tcl (centerOnScreen, center,
	move_to_mouse, sn_set_window_size): Remove
	unused sn_set_window_size proc. Remove
	center method and remove call to center
	method from centerOnScreen. This used to
	be needed for the Win32 version of Tk
	but these bugs were fixed long ago. Add
	new explicit_width and explicit_height
	and use them if the width and height
	are set via the -geometry property.
	This is needed so that windows like the
	project editor will be centered properly
	when first created. [Bug 863275]

2003-12-19  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/misc.tcl (sn_hide_show_project):
	* gui/multiview.tcl (constructor):
	* gui/statistics.tcl (sn_statistic):
	* gui/symbolbrowser.tcl (constructor):
	* gui/window.tcl (geometry): Make sure to use the
	-geometry property when configuring the geometry
	of a sourcenav::Window object. Don't use the geometry
	method defined on the class to attempt to change
	the geometry since it only returns the geometry.

2003-12-07  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/bindings.tcl (sn_text_default_bindings):
	Add missing close brace that was causing the
	startup scripts to fail.

2003-12-06  Mo DeJong  <mdejong@users.sourceforge.net>

	Add SN-52B1-2003-12-06 tag.

	* NEWS: Add news item for b1 release.
	* configure: Regen.
	* configure.in: Update version number to 5.2b1.

2003-12-06  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/bindings.tcl (sn_treetable_bindings,
	sn_text_default_bindings, sn_canv_goto_bindings):
	Implement MouseWheel binding for Win32 and
	Button 4/5 button scroll bindings for
	X11 based systems. Based on patches submitted
	by Brad Forden and John Lash. [Bug 814341]

2003-12-06  Mo DeJong  <mdejong@users.sourceforge.net>

	* db/dbutils.c (db_remove_file_def): Rework
	the function that removes all symbols for
	a given file name so that it uses the symbol
	highlight start position instead of the
	symbol start position. This is needed to match
	the implementation change in put_symbol made
	on 2003-07-22. With this change, symbols are
	correctly deleted from tables like cl and fu
	when the containing file is reparsed.

2003-11-30  Mo DeJong  <mdejong@users.sourceforge.net>

	* demo/Makefile.am: 2nd attempt at removing
	GNU tar dep. It seems Solaris tar does not
	like 2 sets of command line flags, so combine
	then into one set of options.
	* demo/Makefile.in: Regen.

2003-11-30  Mo DeJong  <mdejong@users.sourceforge.net>

	Remove dep on GNU tar for `make install`. [Bug 807708]

	* INSTALL.TXT: Remove note about GNU tar since
	it is no longer needed to run `make install`.
	* NEWS: Add items for upcoming b1 release.
	* demo/Makefile.am: Remove use of -X flag to
	tar since that meant we depended on GNU tar
	being on the PATH.
	* demo/Makefile.in: Regen.

2003-11-29  Mo DeJong  <mdejong@users.sourceforge.net>

	* INSTALL.TXT: Add note about the requirement
	of having GNU tar on the path before installing.

2003-11-29  Mo DeJong  <mdejong@users.sourceforge.net>

	Create a libdbckalloc.a in the db subdir and
	use it when linking the db functions in an
	executable that makes use of the Tcl runtime.
	This allows tracking of db mamory allocations
	and deallocations via the ckalloc/ckfree macros
	from Tcl.

	* INSTALL.TXT: Add note about --enable-symbols
	flag for debug builds.
	* db/Makefile.am: Build libdbckalloc.a from
	new dbckalloc.c file.
	* db/Makefile.in: Regen.
	* db/dbckalloc.c (db_malloc, db_free, db_realloc,
	db_calloc): Define set of db_malloc functions
	that make use of ckalloc/ckfree when the
	TCL_MEM_DEBUG symbol is defined.
	* hyper/Makefile.am: Link in libdbckalloc.a.
	* hyper/Makefile.in: Regen.
	* parsers/cpp/Makefile.am: Link in
	libdbckalloc.a.
	* parsers/cpp/Makefile.in: Regen.

2003-08-15  Mo DeJong  <mdejong@users.sourceforge.net>

	* hyper/tkTreeTable.c (DisplayRecursive):
	Add call to Tk_UnderlineChars for the active
	index just after calls to Tk_DrawChars. The
	previous code was drawing a line under all
	the entries, but this was causing problems
	under Win XP because of some problem with
	the font metrics. The problem manifested
	itself as a active line that actually went
	through the bottom of the text.

2003-08-12  Mo DeJong  <mdejong@users.sourceforge.net>

	Add SN-52A2-2003-08-12 tag.

	* configure: Regen.
	* configure.in: Update version number to
	5.2a2.

2003-08-10  Mo DeJong  <mdejong@users.sourceforge.net>

	* Makefile.am: Include NEWS in the set of files
	that get copied into the install location.
	* Makefile.in: Regen.
	* NEWS: Add list of features added for 5.2a2.
	* mkdist.sh: Copy NEWS file into dist dir.

2003-08-10  Mo DeJong  <mdejong@users.sourceforge.net>

	* snavigator/win/snavigator.rc:
	* snavigator/win/snavwindres.rc:
	Oops, fix typo in file name from last checkin.

2003-08-10  Mo DeJong  <mdejong@users.sourceforge.net>

	* bitmaps/Makefile.am: Copy sourcenav.ico to
	the install dir so that it can be loaded
	at runtime via wm iconbitmap.
	* bitmaps/Makefile.in: Regen.
	* bitmaps/sourcenav.ico: Add new SN Win32 icon.
	* gui/sninit.tcl (sn_tcl_tk_init): Call
	wm iconbitmap to set sourcenav.ico as the
	default icon bitmap.
	* snavigator/win/Makefile.am: Copy sourcenav.ico
	to the build dir before creating resource that
	includes the icon for the executable.
	* snavigator/win/Makefile.in: Regen.
	* snavigator/win/icon1.ico: Remove older and
	uglier SN icon.
	* snavigator/win/snavigator.rc: Use sourcenav.ico
	instead of older icon1.ico.
	* snavigator/win/snavwindres.rc: Use sourcenav.ico
	instead of older icon1.ico.

2003-08-10  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/sninit.tcl (sn_tcl_tk_init): Use default
	border width of 1 for all widgets. This change
	makes the application look more "modern" since
	it more closely matches the look under Windows.

2003-08-09  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/retrieverpane.tcl (constructor): Remove
	highlight set cmd so that the pattern in a symbol
	browser or retriever will not appear selected.
	This is confusing because the list has the
	focus even though the pattern appears to.

2003-08-09  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/tree.tcl (constructor, propagate):
	Switch from using the pack geom manager to
	grid for elements in the Tree widget. The
	result of this change is that the x scrollbar
	no longer extends below the y scrollbar.
	Use the grid propagate command instead of
	pack propagate in the propagate option
	config command.

2003-08-09  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/tree.tcl (Tree::constructor): Don't pass
	-padx 3 to the pack command for the filter
	element of a Tree widget. The result of this
	change is that the right edge of the filter
	element is lined up with the scrollbars above.

2003-08-08  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/tcl/skeleton.c (main): Don't create
	and print a tmp file name as part of the
	PAF_FILE output unless the -h flag is passed
	to the parser. This will fixup output so
	that is can be used in regression tests.

2003-08-08  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/tcl/Trafo.c (add_variable_quals):
	Fixup error in generated C code, the was
	a disconnect between local variables that
	were both named obj. The fix was to comment
	out the obj variable in the inner scope so
	that the one from the enclosing scope would
	always be used.
	* tests/parsers/tcl.test: Add test case
	for core dump in var resolution code.
	The test does not pass but that is due
	to another bug.

2003-08-08  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/common/parser.c (put_cross_ref):
	Remove abort call when bad input is passed
	in to an xref call. There is no reason to
	abort here and no other bad input checks
	call abort.
	* tests/parsers/tcl.test: Add example that
	caused abort to be invoked when writing
	an xref.

2003-08-07  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/misc.tcl (sn_load_xref): Use list command
	when creating cbrowser2 command so that paths
	with spaces in them work properly.

2003-08-07  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/misc.tcl (load_xref_pipe, event_LoadPipeInput):
	Add check for the err "abnormal program termination"
	since this seems to be included when a Win32
	child process crashes.

2003-07-25  Mo DeJong  <mdejong@users.sourceforge.net>

	* mkdist.txt: Add short description of steps
	one must take to create a SN dist file.

2003-07-23  Mo DeJong  <mdejong@users.sourceforge.net>

	Add SN-52A1-2003-07-23 tag.

2003-07-23  Mo DeJong  <mdejong@users.sourceforge.net>

	* NEWS: Add release notes for 5.1 series and
	5.2a1.
	* README.TXT: Note PHP and Python support.
	* configure: Regen.
	* configure.in: Change version to 5.2a1.
	* mkdist.sh: Copy NEWS file to NEWS.TXT
	in the toplevel dist dir.

2003-07-22  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/editorpane.tcl (goto): When looking up
	the line and column position of a symbol in
	the editor, first search for symbol and
	then for the highlight marker. This will
	select the region defined as the highlight
	range instead of where the symbols starts.
	Older parsers that start a symbol where
	the highlight starts will still work.
	* gui/retriever.tcl (read_matched_from_db):
	When reading the symbols from a file, return
	the highlight range instead of the symbol
	start range. This fixes a bug where a symbol
	in a file gets clicked on in the symbol browser,
	but the highlight range would not get selected
	in the editor.
	* parsers/common/parser.c (put_symbol): When
	writing a symbol table entry (like fu, cl, mi)
	use the highlight range instead of the whole
	symbol range. This fixes a bug in the retriever
	where a symbol gets clicked on but the highlight
	range is not selected.
	* tests/parsers/c.test: Add new test file with
	a couple of C regression tests.
	* tests/parsers/m4.test:
	* tests/parsers/php.test: Update regression tests
	to account for change where highlight range is
	inserted into a specific symbol table instead of
	the entire symbol range.

2003-07-19  Mo DeJong  <mdejong@users.sourceforge.net>

	Add SN-post-doc-merge-2003-07-19 tag.

2003-07-19  Mo DeJong  <mdejong@users.sourceforge.net>

	* doc/html/Makefile.am: Replace cygnus1.css
	with cygnus.css. Replace redhatlogo.png
	with magnifying_glass.png.
	* doc/html/Makefile.in: Regen.
	* doc/html/cygnus.css: Replace cygnus1.css.
	* doc/html/cygnus1.css: Remove.
	* doc/html/index.html: Use magnifying_glass.png
	and remove link to ../index.html.
	* magnifying_glass.png: Add image.
	* doc/html/redhatlogo.png: Remove.
	* edk: Remov entire subdirectory.
	* enterprise: Remove entire subdirectory.
	* progref:
	* userguide: Add programmers reference
	guide and users guide from the website.
	These html files include reformatting
	and updating changes from Bill Parke.

2003-07-19  Mo DeJong  <mdejong@users.sourceforge.net>

	Add SN-pre-doc-merge-2003-07-19 tag.

2003-07-18  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/editorpane.tcl (UpdateHighlights):
	Capture any text written to stderr by the highlighter
	and log it instead of displaying in a msg box.
	Replace some tabs with spaces to keep
	formatting consistent.
	* gui/misc.tcl (load_xref_pipe,
	event_LoadPipeInput): If an error message is
	written to stderr, don't display it at the
	end of the parse. This behavior was leading
	people to conclude that the parse did not
	work and that the database was corrupted.
	In fact, it may have just been one construct
	in one file that was causing a problem.

2003-07-15  Mo DeJong  <mdejong@users.sourceforge.net>

	* hyper/services.c (class_browser_insert):
	Fix bug related to image name used when
	inserting a private member. The code was
	attempting to use the image named
	cls_br_private_image but it became broken
	when a method was marked as virtual or
	overridden.

2003-07-15  Mo DeJong  <mdejong@users.sourceforge.net>

	* hyper/dbsym.c (dbtclfetch): Check that the result
	TclObj is not NULL before setting the interp
	result. This avoids a crash when an improperly
	formatted -col option is passed.

2003-07-14  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Don't require the
	SEMICOLON token when matching an include
	statement that includes parens. This fixes
	statements like <? require_once("one.php") ?>
	which are valid PHP but were not being
	recognised because a semicolon was expected.
	* tests/parsers/php.test: Add tests for
	include line with no semicolon and include
	with parens and no semicolon.

2003-07-14  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/common/lexinput.c (sn_encoded_input,
	translate_crlf): Add translate_crlf method
	and use it to translate CRLF sequences to
	LF in the buffer returned by sn_encoded_input.
	Not having to deal with the CRLF vs LF mess
	makes it easier to write parsers.
	* tests/parsers/m4.test: Add CRLF test case.
	Add FIXME notes and cleanup the hout file
	when finishing.
	* tests/parsers/php.test: Add CRLF test case.

2003-07-14  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/assembly/ppc601-eabi/abrowser.c: Regen.
	* parsers/assembly/ppc601-eabi/abrowser.l: Add
	sn_reset_encoding call.
	* parsers/chill/main.c: Add sn_reset_encoding call.
	* parsers/m4/m4browser.c: Regen.
	* parsers/m4/m4browser.l: Add sn_reset_encoding call.
	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l:Add sn_reset_encoding call.
	* sdk/parsers/examples/assembly/abrowser.l.in:
	* sdk/parsers/examples/elf/ebrowser.l:
	Add sn_reset_encoding call.

2003-07-10  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/m4/m4browser.c: Regen.
	* parsers/m4/m4browser.l: Move function call
	xref code into a helper function. Recognize
	an plain line of text that contains only the
	letters A-Z or the _ character as a macro
	invocation. Recognize a macro name passed
	to AC_REQUIRE as a function invocation.
	* tests/parsers/m4.test: Add test cases for
	macro names passed to AC_REQUIRE and an
	line that contains only a macro invocation.

2003-07-10  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/m4/m4browser.c: Regen.
	* parsers/m4/m4browser.l: Move xref generation into
	the emit_var_access function. Add rules to match
	special variable syntax like ${VAR-default},
	${#VAR}, and a host of others.
	* tests/parsers/m4.test: Add xref and highlight
	tests for special variable syntax.

2003-07-10  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/m4/m4browser.c: Regen.
	* parsers/m4/m4browser.l: Highlight the
	AC_DEFUN part of a macro declaration as
	a keyword, since it is not treated as
	a macro invocation.
	* tests/parsers/m4.test: Add test case for
	keyword highlight in macro declaration.

2003-07-07  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/m4/m4browser.c: Regen.
	* parsers/m4/m4browser.l: Highlight macro
	invocations as functions.
	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Highlight
	function invocations.
	* parsers/toolbox/snptools.c (sn_highlight):
	Map SN_HIGH_FUNCTION to the tag "fu".
	* parsers/toolbox/snptools.h: Add define
	for SN_HIGH_FUNCTION.
	* tests/parsers/m4.test: Test for macro
	xref highlight.
	* tests/parsers/php.test: Test for function
	xref highlight.

2003-07-04  Mo DeJong  <mdejong@users.sourceforge.net>

	* db/dbutils.c (db_insert_entry): When inserting
	xref symbols for global variables, check for
	UNDECLARED as the argument value. This argument
	is passed to support xrefs to global variables
	that are not declared. A special global variable
	will be inserted in a file named GLOBAL for
	undeclared global variables. This is needed so
	that refs to undeclared global variables work.
	The previous code was inserting a special global
	only when a write to a global occurred at the
	global scope, but that did not work when the
	write happened inside a function.
	* parsers/m4/m4browser.c: Regen.
	* parsers/m4/m4browser.l: Pass the string UNDECLARED
	as the symbol argument value for global variables.
	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Pass the string UNDECLARED
	as the symbol argument value for global variables.
	* tests/parsers/m4.test:
	* tests/parsers/php.test: Update tests to account
	for UNDECLARED argument being passed for global
	variable symbols.

2003-06-22  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/README.TXT: Mention that nested
	functions are now supported.
	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add support for
	nested functions by pusing function info
	onto a stack and then popping it off when
	done.
	* tests/parsers/php.test: Add nested function
	test and remove knownbug constraint from
	another nested function related test.

2003-06-21  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add support for
	PHP super global variables. These variables
	are automatically seen as global even if
	they have not been declared global.
	* tests/parsers/php.test: Add highlight and
	xref test for super globals.

2003-06-21  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Reimplement array
	variables to support arrays with complex
	subexpressions. The previous implementation
	did not work with arrays like $arr["one"."two"],
	it only matched known index values like literals,
	strings, variables, and so on. Split the rules
	so that plain variables are handled separately
	from array variables. Support nested array
	variables with a stack based approach. Add a
	pop_head_token helper so that the token can
	be pulled off the queue without being freed.
	* tests/parsers/php.test: Add a series of
	highlight tests to check for nested arrays
	and arrays with complex subexpressions as
	the index value. Invert the xref order for
	tests that change as a result of the new
	way that arrays are processed. Remove knownbug
	constraint from tests that now pass.

2003-06-19  Mo DeJong  <mdejong@users.sourceforge.net>

	* db/dbutils.c (db_insert_entry, db_key_in_table):
	If the special GLOBAL ref from scope is used
	and a global variable xref is getting inserted
	for the first time, then emit a symbol that
	will act like the declaration for the global
	variable. The variable is defined in a fake
	file named GLOBAL and the ref from scope is
	actually a function named GLOBAL. This
	implementation should be reworked later on
	when namespace support has been implemented.
	* parsers/m4/m4browser.c: Regen.
	* parsers/m4/m4browser.l: Pass the new
	SN_GLOBAL_NAMESPACE flag to sn_insert_xref
	when a var or func ref is found in the global
	scope. Trim the { and } chars off the var
	name for a var like ${foo}. Don't emit a
	variable declaration when a global variable
	is written. Reset current_function to ""
	instead of "GLOBAL".
	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Include the $
	in the variable name for variables in
	double quoted strings and heredoc strings.
	Pass new SN_GLOBAL_NAMESPACE flag to
	sn_insert_xref when a var or func ref
	is found in the global scope. Don't emit a
	variable declaration when a global variable
	is written. Fixup highlight range for vars,
	it was highlighting one column too many.
	* parsers/toolbox/snptools.c (sn_insert_xref):
	Check for special SN_GLOBAL_NAMESPACE and
	NULL funcname values and convert them to
	a fu type with the function name GLOBAL.
	In dbimp, these xref values will be dealt
	with by inserting a global variable symbol.
	* parsers/toolbox/snptools.h: Define
	SN_GLOBAL_NAMESPACE.
	* tests/parsers/m4.test: Rework m4 tests
	to account for the fact that a variable
	write no longer defines a variable symbol.
	Also check that {} symbols are removed
	from a var name.
	* tests/parsers/php.test: Add some highlight
	range checks for global and local variables.
	Rework many tests to account for the fact
	that a variable write no longer emits
	a variable symbol. It seems the only reason
	to do that was so that the variable would
	be highlighted, but we now have a better
	way to handle that.

2003-06-18  Mo DeJong  <mdejong@users.sourceforge.net>

	* db/dbutils.c (db_remove_file_xfer_using_keys):
	Convert name of keys file from utf-8 to native
	system encoding before calling fopen or unlink.
	Add a cleanup block and goto it instead of
	returning directly to avoid memory leak.
	* gui/misc.tcl (sn_load_hide_unload_files,
	sn_parse_uptodate):
	Use utf-8 encoding for input files and pipe
	to cbrowser2 and dbimp. Both cbrowser2 and
	dbimp must read and write symbols and file
	names in utf-8 format. Reformat any entries
	that have a -encoding option.
	* parsers/cpp/cpplib/cp_crossref.c
	(Paf_insert_cross_ref_qry): Convert file name from
	utf-8 to system encoding before calling open.

2003-06-18  Mo DeJong  <mdejong@users.sourceforge.net>

	* etc/sn_prop.cfg.in: Enable browser based
	highlight for m4 language.
	* parsers/m4/m4browser.c: Regen.
	* parsers/m4/m4browser.l: Fixup symbol def
	so that $1 is not seen as a global var
	and so ${var} is seen as a global var.
	Insert highlights for comments and variables.
	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add global and
	local variable highlighting.
	* parsers/toolbox/snptools.c (sn_highlight):
	Add support for SN_HIGH_VAR_GLOBAL and
	SN_HIGH_VAR_LOCAL highlight types.
	* parsers/toolbox/snptools.h: Declare
	SN_HIGH_VAR_GLOBAL and SN_HIGH_VAR_LOCAL.
	* tests/parsers/m4.test: Add highlight
	tests for comments and variables.
	* tests/parsers/php.test: Add highlight
	tests for variables and variables inside
	strings.

2003-06-18  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Include the
	$ character in the variable token text
	range so that it is also highlighted.
	* tests/parsers/php.test: Update parsing
	and highlighting tests to account for
	inclusion of the dollar sign in variables.

2003-06-18  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/editorpane.tcl (init_tags, color_file):
	Add basic local variable highlighting support.
	Add lv to the list of symbols that has a highlight
	tag created for it in the editor. Remove lv
	from the list of symbols that is filtered out
	before being added to the editor in color_file.
	There does not seem to be any reason to filter
	out lv entries, most compilers do not generate
	them and they and having locals highlighted can't
	hurt.
	* gui/preferences.tcl (AddColorAndFont): Add
	color config option for local variables.
	* gui/sninit.tcl (sn_init_globals): Add default
	of turquoise3 for local variable highlight.

2003-06-18  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/preferences.tcl (AddOthers): Remove
	the "bugs" labeled frame and the mailhost
	entry box from the others tab. These widgets
	were not functional, they were left in the
	5.1 release just to avoid doc impact.

2003-06-17  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/preferences.tcl: Reformat a large number
	of entries to make them readable. Running the
	code through frink resulted in code that was
	very difficult to understand.

2003-06-16  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/editorpane.tcl (Sn_Highlight_Text):
	Create Tcl only implementation of the
	Sn_Highlight_Text C command. This
	implementation makes the highlight a file
	operation about 30% slower, but this should
	not even be noticeable.
	* gui/tclIndex: Regen.
	* hyper/exint.c (Sn_Highlight_Text): Remove
	C impl of Sn_Highlight_Text.
	* hyper/sninit.c (sn_init_mycommands): Remove
	define if Sn_Highlight_Text Tcl command.
	* misc/libutils/mxfuncs.h: Remove
	Sn_Highlight_Text declaration.
	* tests/gui/editorpane.test: Add test cases
	for Sn_Highlight_Text.

2003-06-16  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Rework the
	highlight writing logic. Instead of
	highlighting by looping over the tokens,
	just process the tokens in the normal
	way and highlight via the normal token
	matching rules. Don't create a comment
	token in this case, just emit a highlight
	when the comment text is found.
	* parsers/toolbox/snptools.c (sn_highlight):
	If highlighting has not been activated
	via the -h option, then  do nothing and
	return. This is easier that checking to
	see if -h was passed before each call to
	sn_highlight.
	* tests/parsers/php.test: Fixup test that
	check for function, global, include,
	include_once, require, and require_once
	keywords. They must match the known usage
	pattern to be highlighted. The word "function"
	by itself will not be highlighted.

2003-06-16  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/editorpane.tcl (UpdateHighlights,
	sn_delete_editor_tags):
	Add a new helper method that will delete
	symbols tags from the editor. Use this new
	helper to clear out old tags before calling
	Sn_Highlight_Text instead of passing a
	special -delete option. The sn_delete_editor_tags
	operates a little bit differently than
	the -delete option to Sn_Highlight_Text,
	when symbol tags like "global1 gv" are
	found, they are actually deleted instead
	of just removing the valid ranges. This is
	needed so that tags are added in the proper
	stacking order when symbols are inserted
	into the editor a second time.
	* hyper/exint.c (Sn_Highlight_Text): Remove
	code for -delete option. It is not at all
	clear why a C impl of code to delete
	text tags was needed.

2003-06-15  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/editorpane.tcl (sn_db_create_symbol_tags):
	Sort tags for classes, methods, functions,
	and macros so that they get moved lower in
	the display order than any other symbols inserted
	by this method. This fixes a bug where a global
	var name does not appear in the combobox when the
	cursor is moved over the var. The bug was being
	triggered when an earlier instance of the same
	symbol lead to the variable being seen as lower
	in the display order than the enclosing function.
	* tests/gui/editorpane.test: Add tests for
	symbol sorting based on type, for tag ranges,
	and for symbol types like classes or macros.

2003-06-14  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/editorpane.tcl (sn_db_create_symbol_tags):
	Create a Tcl only implementation of the
	sn_db_create_symbol_tags. This implementation
	is about 3 times slower than the C implementation,
	but having less C code to support wins out here.
	* gui/tclIndex: Regen.
	* hyper/exint.c (get_line_column, sn_db_create_symbol_tags):
	Remove C implementation of sn_db_create_symbol_tags
	method along with a helper method used only by this
	function.
	* hyper/sninit.c (sn_init_mycommands): Remove
	sn_db_create_symbol_tags decl. Remove define of
	sn_db_create_symbol_tags Tcl command.
	* tests/gui/editorpane.test: Add test cases
	for sn_db_create_symbol_tags command.

2003-06-12  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/README.TXT: Add README file
	for the PHP source code browser.

2003-06-12  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Support each
	of the keywords defined in the PHP manual
	appendix G. Pass the SN_HIGH_KEYWORD
	highlight option to sn_highlight for
	each of these tokens.
	* parsers/toolbox/snptools.c (sn_highlight):
	Add SN_HIGH_KEYWORD support and fix compiler
	error that was a result of a previous change.
	* parsers/toolbox/snptools.h: Add SN_HIGH_KEYWORD
	to sn_highlights enum.
	* tests/parsers/php.test: Add tests for
	various keywords and keyword tokens. A side
	effect of this keyword fix is that constructs
	like "if (1) {}" are no longer seen as a call
	to the function if. Add tests to verify that
	no pass xref is generated for these common
	cases.

2003-06-12  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add support
	for php mode entry tokens like "<?=" and
	"<?PHP".
	* tests/parsers/php.test: Add more tests
	for php entry mode tokens.

2003-06-12  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add a new token
	VDOUBLE_QUOTED_STRING to support strings
	that contain a variable. Add read access
	support to the emit_var_access method.
	Add a vars member to the Token structure
	so that a list of embedded variable token
	can be attached to a string token. Include
	VDOUBLE_QUOTED_STRING in the array construct
	matching pattern. Add some helper methods
	to make dealing with double quoted string
	tokens easier. Rework the DQSTRING mode so
	that variables embedded in a double quoted
	string are recognized. Rework heredoc mode
	rules so that embedded variables are recognized.
	Escape the escape char again when dumping
	token descriptions. Free embedded variable
	tokens in the FreeToken method.
	* tests/parsers/php.test: Add additional
	double quoted string token parsing tests.
	Use xref tests instead of variable define
	tests when possible since the var define
	on var write feature will likely be removed.
	Test for double quoted string as array index.
	Add tests for double quoted strings with
	embedded variables. Check that a quoted
	string containing a variable is not seen
	as a valid include file since it depends
	on runtime interpretation of a variable.

2003-06-10  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Update call
	to sn_highlight to use type enum instead
	of passing the editor tag directly since
	a parser author should not need to know
	what the tags are.
	* parsers/toolbox/snptools.c (sn_highlight):
	Pass an enum as the first argument to
	sn_highlight instead of forcing the browser
	author to know what the editor tags are.
	* parsers/toolbox/snptools.h: Define the
	sn_highlights enum passed as the first
	argument to sn_highlight. Update the
	declaration for sn_highlight.
	* tests/parsers/php.test: Add a couple of
	token parsing tests for heredoc comments.
	Add a test for a known crasher bug that
	has to do with nested functions.

2003-06-08  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/Makefile.am: Add Tcl include dir
	to include list so that tcl.h is found. This
	was compiling on my machine only because a
	tcl.h was in /usr/include.
	* parsers/php/Makefile.in: Regen.

2003-06-06  Mo DeJong  <mdejong@users.sourceforge.net>

	* etc/sn_prop.cfg.in: Enable text highlighting
	for phpbrowser.
	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: When the -h option
	is passed to phpbrowser, emit comment tokens
	and write highlight info to a file using
	the new sn_highlight function. Currently,
	only comments and strings are highlighted.
	* parsers/toolbox/snptools.c (sn_getopt,
	sn_process_options, sn_highlight,
	sn_register_filename, sn_close):
	Add support for -h command line option.
	This option will create a highlight file
	that can be written to using sn_highlight.
	Pass this highlight file name to put_file
	and write it to the file name passed in
	the -s option, if there was one.
	* parsers/toolbox/snptools.h: Add
	SN_OPT_HIGHLIGHT and a decl for
	sn_highlight.
	* tests/parsers/php.test: Add file
	highlight tests.
	* tests/parsers/testutil.tcl (browse_highlights):
	Add helper function to browse the contents
	of a highlight file generated with the -h
	and -s options.

2003-06-06  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: When text that does
	not match a known pattern is found, emit an
	UNKNOWN token and continue processing. Also
	emit a SOMEWORD token for a \$ sequence.
	* tests/parsers/php.test: Add test for UNKNOWN
	token and remove knownbug constraint from test
	that was failing. Add some FIXME notes.

2003-06-05  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Split the handling
	of ASSIGNMENT_OPERATOR and ASSIGNMENT_OPERATORS
	into two rules. This makes the var assignment
	simpler since the code does not need to
	inspect the matched tokens to determine what
	kind of access it was.

2003-06-05  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Insert both
	a read xref and a write xref for variable
	operations like $var+=1.
	* tests/parsers/php.test: Remove knownbug
	constraint from var-5.6 since it now passes.
	Fixup operator-1.3 since both read and write
	xrefs are now being inserted.

2003-06-05  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add support
	for variable pre and post increment
	and decrement operators. Move the logic
	in the variable assignment block into a
	helper function named emit_var_access.
	Invoke this method from the new pattern
	that will match a variable increment
	and decrement tokens.
	* tests/parsers/php.test: Add token
	parsing tests for increment operators.
	Check that xrefs are being generated
	properly for increment operators.

2003-06-05  John Lash  <jlash@speakeasy.net>

	* gui/editorpane.tcl (EditFile): Remove
	gnudoit as string to match external editor on.
	* gui/emacs.tcl (sn_ensure_emacs_running):
	gnudoit	is deprecated, change call to "gnudoit"
	to "gnuclient -batch -eval". Remove other
	places where the string gnudoit appears.

2003-06-05  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/emacs.tcl (sn_ensure_emacs_running):
	Invoke sn_unset_tmp_dir before running gnudoit
	and invoke sn_set_tmp_dir when finished. This
	avoids a problem that was causing gnudoit to
	fail because it was not finding unix domain
	sockets when the TMPDIR environment variable
	was set to .snprj instead of /tmp.
	* gui/misc.tcl (sn_unset_tmp_dir): Add helper
	to undo the changes made by sn_set_tmp_dir.

2003-06-04  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/emacs.tcl (sn_ensure_emacs_running):
	Remove conflict with gnudoit over the TMPDIR
	environment variable. It appears that gnudoit
	will fail when TMPDIR is set to .../.snprj
	so avoid setting it.

2003-06-04  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add support
	for &, the reference operator. Update
	function arguments pattern to support
	use of a reference operator before
	a variable in the argument list.
	Remove {ws} from the front of the
	line comment rule since this is
	now handled by the greedy {wsn} rule.
	* tests/parsers/php.test: Add token
	parsing test for reference operator.

2003-06-04  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add a rule that
	matches any series of space, tab, and
	newline characters. Remove the rule that
	matched a plain newline since this is now
	handled by the new rule. This new implementation
	does not execute the default character
	rule for each white space matched so
	it should execute more quickly.

2003-06-04  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Rework the token
	dump output so that newlines are printed
	as \n and double quotes are printed as \".
	* tests/parsers/php.test: Reformat token
	tests since a newline embedded in the
	token value is not printed as \n. Test for
	a \" in the token value.
	* tests/parsers/testutil.tcl (filter_tokens):
	Split browse_tokens result on newline
	and use a regexp to extract values.

2003-06-03  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add a special
	token dump mode that will parse all input,
	including HTML and COMMENT blocks, into
	tokens and dump the to the file name passed
	as the value of the -T command line option.
	Conditionally compile matched_pattern
	calls. Fix minor line command bug,
	a line can end with \n or ?>.
	Add a special mode for HTML text that
	should be more efficient since whole
	regions of HTML text are now matched.
	Match <? and <?php as HTML text.
	Rename COMMENT mode to COMMENT_MODE since
	COMMENT is now use as a token id.
	Emit HTML token if dumping tokens and
	parser hits EOF.
	* parsers/toolbox/snptools.c (sn_getopt,
	sn_process_options): Add support for
	"-T tokenfile" option to dump tokens
	to a file.
	* parsers/toolbox/snptools.h: Add 
	SN_OPT_DUMP_TOKENS enum.
	* tests/parsers/php.test: Add a series
	of token tests. Make use of new helper
	browse_tokens which passes -T to the
	browser. Directly reading the token
	values has uncovered a number of
	bugs that were not detectable
	previously.
	* tests/parsers/testutil.tcl: Add
	browse_tokens and filter_tokens
	helper methods.

2003-06-03  Mo DeJong  <mdejong@users.sourceforge.net>

	* tests/parsers/m4.test: Use browse instead
	of m4_parse and use browse_xref instead of
	m4_parse_xref. Remove m4_parse_comment_xref
	and pass -r option to m4_parse_xref.
	* tests/parsers/php.test: Use browse
	instead of php_parse and use browse_xref
	instead of php_parse_xref. Remove
	php_parse_comment_xref and php_parse_local_xref
	and pass -r or -l option to php_parse_xref.
	* tests/parsers/testutil.tcl (m4_parse,
	m4_parse_xref, m4_parse_comment_xref,
	php_parse, php_parse_multi, php_parse_xref,
	php_parse_comment_xref, php_parse_local_xref,
	browse, browse_xref): Replace browser
	specific helper functions with a generic pair
	of functions named browse and browse_xref.
	These helpers will lookup the browser type
	based on the file extension and accept
	browser command line args. Do utf-8
	conversion of exec results in browse.

2003-06-03  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Insert tokens
	for PERIOD and COMMA and update global
	and function statements to support
	COMMA tokens.
	* tests/parsers/php.test: Add another
	test for the global keyword. Add
	operator tests to check that , and .
	generate tokens. Update FIXME notes.

2003-06-02  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Emit a token
	for each comparison operator. This fixes
	a bug where "$var == 5;" was being
	interpreted as a variable write.
	Removed unused ARRAY_VARIABLE token.
	* tests/parsers/php.test: Add a series of
	operator tests.

2003-06-02  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Implement array vars.
	This matching approach works with empty indexes,
	constants, single and double quoted strings,
	and other variables. It fails to match array
	variables that have complex subexpressions as
	the index.
	* tests/parsers/php.test: Add a series of tests
	for reading and writing of array variables.

2003-06-02  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Rework line comment
	rule so that line comments can be started
	with // or #. If ?> is found before the newline
	then send the text starting with the ?> back
	and finish the comment there.
	* tests/parsers/php.test: Add test cases for
	# and ?> to terminate a line comment early.

2003-06-02  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/editorpane.tcl (UpdateHighlights):
	Delete all the tags in the editor when a file
	that has no built-in highlighter and no browser
	based highlighter is saved. The symbols parsed
	by the browser are highlighted, but the one
	from the previous save were not getting deleted.
	A call to Sn_Highlight_Text with the -delete
	flag and an empty file argument is made to
	implement this change.
	* hyper/exint.c (Sn_Highlight_Text): Rename
	highlight local var to text_widget to avoid
	confusion. If an empty file name is passed
	and the -delete flag is given, then just
	delete the tags in the text widget and return.

2003-06-02  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/common/parser.c (put_symbol): Convert
	a newline in the symbol_name to 0xFF to avoid
	printing a newline in the output.
	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add line end
	and column end members to the Token struct
	to support quoted strings that span multiple
	lines. Add special processing modes for
	double quoted strings, single quoted strings,
	and heredoc strings. Handle EOF condition in
	each of these modes.
	* tests/parsers/php.test: Add a series of tests
	for single quoted strings, double quoted string,
	and heredoc string.
	* tests/parsers/testutil.tcl (php_parse):
	Convert results of exec from utf-8 so
	that a newline character is encoded properly.

2003-06-02  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Rename cbuff
	to mode_buff, rename cbuff_start_line to
	mode_start_line and rename cbuff_start_column
	to mode_start_column.

2003-06-02  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Emit an
	unfinished function declaration
	on EOF, fixes case where close bracket
	is missing.
	* tests/parsers/php.test: Add test cases
	for function that has no closing brace.

2003-06-01  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Rewrite browser
	so that it works in two passes. The first
	phase splits the file into tokens, removes
	comments, and so on. The second phase will
	look for known patterns in the input tokens.
	This approach is significantly better than
	trying to parse symbols out of the text
	directly. One does not need to maintain
	complex state information while creating
	tokens, and it avoids having to add a flex
	mode for each processing state.
	* tests/parsers/php.test: Add a couple of
	additional tests. Update a test that is
	failing because comment processing is
	now done during token generation.
	Remove knownbug constraint from include-1.9
	since this test now passes. Add a test to
	process multiple files via the -y option.
	* tests/parsers/testutil.tcl (php_parse_multi):
	Add helper to run phpbrowser with -y option.

2003-05-31  Mo DeJong  <mdejong@users.sourceforge.net>

	* tests/parsers/php.test: Add an additional
	test for function with default arguments
	and some FIXME notes at the end of the file.

2003-05-30  John Lash  <jlash@speakeasy.net>

	* gui/emacs.tcl (sn_ensure_emacs_running):
	Add missing \ at end of line so that
	exec of gnudoit does not fail.

2003-05-30  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/misc.tcl (sn_create_new_project):
	Introduce a short delay between the file
	parse and the invocation of the xref
	process. This lets the symbol browser
	be mapped before any xref files are
	scanned under Win95/98.

2003-05-30  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/window.tcl (center): Use reqwidth and
	reqheight when calculating window size during
	window centering operation. The previous code
	tried to query the configured width and height
	of the window. This approach was failing under
	Win32 because the default platform window min
	size was being returned in the interval before
	the window was mapped.

2003-05-23  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add basic
	local variable support. Use the searchtable
	implementation that was just moved into
	libcommon.a to support variable lookups.
	Add support for the global keyword.
	Add FUNCTION condition support to variable
	read and write rules.
	* tests/parsers/php.test: Add a series of
	variable definition and xref tests. Check
	global variable, local variable, and the
	global keyword.
	* tests/parsers/testutil.tcl: Add new
	php_parse_local_xref helper method that
	passes the -l flag to phpbrowser.

2003-05-23  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/misc.tcl (load_xref_pipe): Switch xref
	pipe back to blocking mode before closing
	so that stderr messages are not lost due to
	a nasty Tcl bug.

2003-05-23  Mo DeJong  <mdejong@users.sourceforge.net>

	* db/Makefile.am: Remove ref to srchtbl.c.
	* db/Makefile.in: Regen.
	* db/srchtbl.c:
	* db/srchtbl.h: Moved to parsers/common
	so that each of the browsers have
	access to a hashtable implementation.
	* parsers/common/Makefile.am: Add srchtbl.c
	and srchtbl.h to libcommon_a_SOURCES.
	* parsers/common/Makefile.in: Regen.
	* parsers/common/srchtbl.c:
	* parsers/common/srchtbl.h: Moved from db.
	* parsers/cpp/cpplib/Makefile.am: Add
	parsers/common to list of include directories.
	* parsers/cpp/cpplib/Makefile.in: Regen.

2003-05-23  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/toolbox/snptools.c (sn_getopt,
	sn_process_options): Set the report_local_vars
	global variable defined in the libcommon.a
	when the -l option is passed to a SN parser.
	This allows xrefs to global variables to
	be written by a toolbox based parser.

2003-05-23  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/cpp/cbrowser2.c (main): Fix the -l
	option so that it does not require an
	argument. This fixes a problem when xref
	was not running when local vars is enabled.

2003-05-22  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add include
	file support. The browser recognizes
	the include, include_once, require, and
	require_once keywords.
	* tests/parsers/php.test: Add a series of
	include keyword tests.

2003-05-22  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add a simple debug
	dump function that can be used to print out
	matched rules and text as they are made.

2003-05-22  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/m4/m4browser.c: Regen.
	* parsers/m4/m4browser.l: Pass SN_FUNC_DEF
	as the second argument to sn_insert_xref
	for a global variable access. The docs
	indicate the SN_REF_TO_GLOB_VAR was not
	a valid context to be passing there.
	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Ditto.
	* tests/parsers/m4.test: Update an xref
	output that was expecting "gv" instead
	of "fu" for a GLOBAL call from scope.
	* tests/parsers/php.test: Add a easy
	mode check and a couple of global var
	xref tests to test for SN_FUNC_DEF change.

2003-05-21  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Fixup mode switching
	bug when we transition from a FUNCTION mode to
	INITIAL and then back to FUNCTION.
	* tests/parsers/php.test: Add test case for
	FUNCTION mode swithing bug. Also test attempt
	to switch to HTML mode inside a comment, it
	should fail.

2003-05-21  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/m4/m4browser.c: Regen.
	* parsers/m4/m4browser.l: Add FUNCTION rule
	to support read, write, and call xrefs
	inside macros. Set the function declaration
	to include the entire text of the macro
	instead of just the macro name.
	* tests/parsers/m4.test: Add new var test
	cases for var xrefs in macros. Update
	macro definition test cases so that
	whole function is included, not just name.
	Add test for comments in macros.

2003-05-20  John Lash  <jkl@speakeasy.net>

	* gui/misc.tcl (sn_session, sn_nosplash):
	* gui/sninit.tcl (sn_read_commandline_arguments):
	Add option --nosplash to turn off splash screen.
	Helps when running over a slow link.

2003-05-20  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/php/phpbrowser.c: Regen.
	* parsers/php/phpbrowser.l: Add code to parse
	function bodies and generate xrefs for
	function calls inside a function declaration.
	Add new FUNCTION state and use parser state
	stacks so that we can push a mode like COMMENT
	and then pop back into a mode like FUNCTION.
	Handle newlines in addition to spaces and
	tabs as a separator character.
	* tests/parsers/php.test: Add tests for
	functions and comments in functions.

2003-05-17  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/cobol/skeleton.c (main):
	* parsers/cpp/skeleton.c (main):
	* parsers/java/skeleton.c (main):
	* parsers/tcl/skeleton.c (main):
	Remove incorrect comment that claimed the
	-x option to the parsers was ignored.

2003-05-15  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/tmeter.tcl (make_scale_window,
	hide_loading_message, sn_loading_message): Remove
	some pointless catch calls.

2003-05-15  John Lash  <jlash@speakeasy.net>

	* gui/tmeter.tcl (sn_loading_message):
	Remove raise call from gui/tmeter.tcl. This eliminates
	a repeated two second pause during the initial
	loading screen. The problem has been seen using both
	gnome and kde desktops and is a bug in the respective
	window managers.

2003-05-10  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/cobol/skeleton.c (main):
	* parsers/fortran/ftnchek.c (main):
	* parsers/java/skeleton.c (main):
	* parsers/tcl/skeleton.c (main):
	* parsers/toolbox/snptools.c (sn_process_options):
	Check to make sure the file name passed as
	the -y argument actually exists. This avoids
	a problem where a typo in the file name
	generates a usage message.

2003-05-10  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/misc.tcl (sn_create_new_project): Check each
	import directory to see if it exists and generate
	an error if it does not. This avoids a problem
	where a typo in a directory name will create
	an empty project instead of telling you that the
	import dir does not exist.

2003-05-09  Mo DeJong  <mdejong@users.sourceforge.net>

	* etc/sn_prop.cfg.in: Remove empty -brow_switch
	from fortran parser config. Remove *.am from
	commented out elf parser since this extension
	is covered by the others rule. Remove -high_cmd
	and -high_switch from the c, c++, java, tcl,
	chill, and python configurations since these
	languages have built-in syntax highlighters.
	Remove -high_cmd and -high_switch from the
	asm, m4, and php configurations since these
	parsers do not support highlighting.

2003-05-09  Mo DeJong  <mdejong@users.sourceforge.net>

	* db/dbutils.c (search_for_symbol):
	* parsers/common/parser.c (put_cross_ref):
	Fixup some questionable uses of the ternary
	operator. Pass "" instead of NULL to copystrings
	function. Pass "NULL" instead of NULL to fprintf.
	These changes do not change any of the functionality.

2003-05-09  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/cobol/skeleton.c (log_symbol_filename,
	main):
	* parsers/cpp/skeleton.c (log_symbol_filename,
	main):
	* parsers/fortran/ftnchek.c (log_symbol_filename,
	main):
	* parsers/java/skeleton.c (log_symbol_filename,
	main):
	* parsers/tcl/skeleton.c (log_symbol_filename,
	main):
	* parsers/toolbox/snptools.c (sn_register_filename,
	sn_main):
	Rework parser command line logic so that either a
	-y option or a file name is required. The parsers
	no longer try to read from stdin since the
	functionality is no longer needed by the IDE
	and results is pointless complexity. Rework
	the log_symbol_filename implementations so
	they more closely match each other.

2003-05-09  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/fortran/forlex.c (IncludeFileStack,
	push_include_file, pop_include_file, advance):
	Rename input_fd to yyin.
	* parsers/fortran/ftnchek.c (log_symbol_filename,
	main):
	Move fclose(hig_fp) call just before hig_fp
	is reset, that better matches the logic in
	other implementations of log_symbol_filename.
	Avoid calling freopen() to change the fd
	associated with stdin. Call fclose() and
	fopen() to manipulate the yyin file pointer.
	Don't set input_fd since this is handled
	by the yyin logic in log_symbol_filename.
	Close yyin at the end of main.
	* parsers/fortran/ftnchek.h: Rename input_fd
	to yyin.

2003-05-08  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/editorpane.tcl (UpdateHighlights): Comment
	out code that checks in the database for a
	highlight file. This code worked on the
	assumption that the parser would write an
	entry into the database for a highlight file.
	Since the parsers were modified so that they
	don't write into the database, this is never
	going to happen. Don't pass the -n option
	to the highlighter, the c/c++ parser is
	the only one that requires a -n option and
	it has an in-process syntax highlighter already.
	Rework the logic when a file has been modified
	outside the IDE so that we save the data
	into another file before invoking the highligher.
	This avoids code that would exec the parser
	and have it read the editor contents from
	stdin. The reading from stdin logic in the
	parsers is really flaky and should be removed.

2003-05-08  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/editorpane.tcl (UpdateHighlights): Add
	-delete flag to Sn_Highlight_Text calls so
	that existing text tags get deleted before
	new ones are added. This problem only effected
	file types like fortran, which do not have
	a built-in syntax highlighter.

2003-05-07  Mo DeJong  <mdejong@users.sourceforge.net>

	* configure: Regen.
	* configure.in: Generate parsers/php/Makefile.
	* etc/sn_prop.cfg.in: Add *.php suffix parser.
	* parsers/Makefile.am: Add php to SUBDIRS.
	* parsers/Makefile.in: Regen.
	* parsers/php/Makefile.am:
	* parsers/php/Makefile.in:
	* parsers/php/phpbrowser.c:
	* parsers/php/phpbrowser.l: Add initial version
	of PHP parser. It only handles global variables,
	function declarations, comments, and HTML->PHP
	mode conversions at this point.
	* tests/parsers/php.test: Add test cases for
	PHP parser.
	* tests/parsers/testutil.tcl: Add php parser
	helper functions.

2003-05-07  Mo DeJong  <mdejong@users.sourceforge.net>

	* etc/sn_prop.cfg.in: Add *.c++ to cpp file
	extensions. Enable the m4 parser by default.
	Set the m4 file pattern to {*.m4 *.ac configure.in},
	this depends on sn_get_file_type being able
	to match a pattern exactly. Add *.am and *.in
	patterns to the others rule.
	* gui/utilities.tcl (sn_get_file_type): Use the
	last component of the file name instead of
	just the extension so that exact matches
	like "configure.in" can be made. Earlier
	attempts at using "*.in" in the m4 rule
	were matching too many files like "Makefile.in".

2003-05-07  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/editorpane.tcl (RetrieveObject):
	* gui/misc.tcl (sn_create_new_project,
	sn_parse_uptodate):
	* gui/utilities.tcl (sn_external_editor,
	sn_highlight_browser, file_type_using_suf,
	sn_get_file_type): Rename file_type_using_suf
	to sn_get_file_type and change the argument
	type to a file name instead of a file suffix.
	Fix all the callers of this method so that
	they all pass a full file name. This refactoring
	does not change any functionality.

2003-05-07  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/m4/m4browser.c: Regen.
	* parsers/m4/m4browser.l: Remove unused COMMENT
	mode decl. Call sn_insert_comment to write
	comments into the database.
	* parsers/toolbox/snptools.c (sn_getopt,
	sn_process_options): Set the global variable
	comment_database defined in libcommon.a
	when the -r command line option is passed.
	This fixes insertion of comments into the
	database with the toolbox library.
	* tests/parsers/m4.test: Add comment
	xref tests.
	* tests/parsers/testutil.tcl
	(m4_parse_comment_xref): Add helper method
	to generate an xref with comments.

2003-05-07  Mo DeJong  <mdejong@users.sourceforge.net>

	* etc/english.txt.in: Add LanguageExtLanguage
	and LanguageExtFileExtensions strings.
	* gui/preferences.tcl (AddParser,
	parser_type_combo_changed): Modify the GUI
	of the Parser tab in the project preferences.
	There is now a combo box that can be used to
	select options for a specific parser. This
	is an improvement over the previous
	implementation since it will now be possible
	to add a new parser without having to update
	screen shots in the documentation. The
	macro input box is only enabled when c
	or c++ is selected as the language type.

2003-05-06  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/m4/m4browser.c: Regen.
	* parsers/m4/m4browser.l: Fix quoted-symbol
	define so that "SYMBOL" and "[SYMBOL]" are
	accepted but "[SYMBOL" and "SYMBOL]" are not.
	Fix dnl comment rule so that a line that
	begins with "dnl TEXT" is accepted but
	"dnlTEXT" is not.
	* tests/parsers/m4.test: Add basic set of
	regression tests for the m4 parser.
	* tests/parsers/testutil.tcl: Add helper
	utils that are used to test parsers.

2003-05-05  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/tools.tcl (select_file): When a
	LabelEntryButton& widget is used to select
	a directory, start in the directory named
	in the entry. The previous implementation
	would start one directory up.

2003-05-04  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/misc.tcl (sn_load_xref, sn_create_new_project,
	sn_parse_uptodate): Add a new cbrowser_xref
	argument to the sn_load_xref procedure. If this
	argument is true, cbrowser2 is run over the
	xref output before passing the data to dbimp.
	If the argument is false, the output of the
	parsers is passed directly to dbimp. Check to
	see if a C/C++ file will be parsed in the
	sn_create_new_project and sn_parse_uptodate
	methods and call sn_load_xref accordingly.

2003-05-04  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/misc.tcl (sn_create_new_project):
	Move the call to sn_set_tmp_dir before the
	sn_tmpFileName call that gets a tmp file name
	for the xref tmp file. This creates the tmp
	file that is passed as the -x option to the
	parser in the .snprj directory instead of
	/tmp on Unix systems.

2003-05-03  Mo DeJong  <mdejong@users.sourceforge.net>

	* MAINTAINERS: Update Mo's email address.

2003-05-03  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/libjcreuse/Errors.c: Include
	string.h to avoid compiler warning.
	* parsers/python/pybrowser.c: Regen.
	* parsers/python/pybrowser.l: Define YY_SKIP_YYWRAP
	to avoid compiler warning.

2003-05-03  Mo DeJong  <mdejong@users.sourceforge.net>

	Rework flex invocations via the "make flexgen"
	target so that generated .c files include only
	the file name of the .l file instead of the
	fully qualified path. Also, generate
	the c files directly in the srcdir.

	* hyper/Makefile.am:
	* hyper/Makefile.in: Regen.
	* hyper/c_high.c: Regen.
	* hyper/ch_high.c: Regen.
	* hyper/j_high.c: Regen.
	* hyper/py_high.c: Regen.
	* hyper/tcl_high.c: Regen.
	* parsers/assembly/ppc601-eabi/Makefile.am:
	* parsers/assembly/ppc601-eabi/Makefile.in: Regen.
	* parsers/assembly/ppc601-eabi/abrowser.c: Regen.
	* parsers/chill/Makefile.am:
	* parsers/chill/Makefile.in: Regen.
	* parsers/m4/Makefile.am:
	* parsers/m4/Makefile.in: Regen.
	* parsers/m4/m4browser.c: Regen.
	* parsers/python/Makefile.am:
	* parsers/python/Makefile.in: Regen.
	* parsers/python/pybrowser.c: Regen.
	* parsers/sendmail/Makefile.am:
	* parsers/sendmail/Makefile.in: Regen.
	* parsers/sendmail/sbrowser.c: Regen.

2003-05-02  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/common/parser.c (put_cross_ref):
	Fix mistake made when moving code over from
	dbutils.c, do nothing when the cross_ref_fp
	global var is not set.

2003-05-02  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/tmeter.tcl (make_scale_window): Add
	a call to sn_wait so that we sit in the
	event loop for a little bit after the scale
	window is mapped. This is needed to work around
	a problem under win32 where the scale window
	is mapped but the contents are not drawn for
	a couple of seconds.

2003-05-02  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/cpp/cbrowser2.c (main): Print an error
	to stdout and exit if the xref_file given does
	not exist. Don't flush stdout after a read of
	a non-cppref line. Performance will be much
	better if the buffer is allowed to fill up before
	it is flushed.

2003-05-02  Mo DeJong  <mdejong@users.sourceforge.net>

	Split parser functionality out of db/dbutils.c
	and move it into parsers/common/parser.c.
	With this change, a parser need only be linked
	to libcommon.a. Parsers will no longer need
	to link to libdbutils.a and libdb.a, with the
	exception of the evil C/C++ parser which does
	things its own way.

	* db/Makefile.am: Remove longstr.c in
	libdbutils_a_SOURCES.
	* db/Makefile.in: Regen.
	* db/dbutils.c (pipe_handle, Paf_dbimp_running,
	report_local_vars, cross_ref_fp, comment_database,
	acc_strings, SN_symbol_types, Paf_tempnam,
	create_table, put_file, put_comment, put_symbol,
	put_cross_ref, db_remove_file_def, db_insert_entry,
	inherit_members, load_class_members,
	search_for_symbol, Paf_Pipe_Create, Paf_Pipe_Flush,
	Paf_Pipe_Close, Paf_Pipe_Write, put_status_parsing_file):
	Move all parser related functionality into
	misc/libutils/longstr.c. Move the SN_symbol_types
	into strs.c and turn it into an access function
	called SN_GetSymbolType since it is needed in
	both the db and parser layers. Remove the
	Paf_dbimp_running logic since it is never used.
	* db/longstr.c: Moved to misc/libutils.
	* db/longstr.h: Moved to misc/libutils.
	* hyper/Makefile.am: Reorder the libutils.a
	link since it must appear after libdbutils.a.
	* hyper/Makefile.in: Regen.
	* hyper/sn.h: Define new PAF_SYMBOL_TYPE_MAX
	value used when iterating over members with
	the SN_GetSymbolType functions. Move declarations
	for put_symbol, put_cross_ref, put_file, put_comment,
	put_status_parsing_file, Paf_Pipe_Create,
	Paf_Pipe_Close, and Paf_tempnam into parser.h.
	Remove unused Paf_Macro decl and add a decl
	for SN_GetSymbolType.
	* misc/libutils/Makefile.am: Add longstr.h and
	longstr.c to libutils_a_SOURCES.
	* misc/libutils/Makefile.in: Regen.
	* misc/libutils/longstr.c:
	* misc/libutils/longstr.h: Moved longstr functions
	from db subdir since these functions are used in
	both the database and parser layers.
	* misc/libutils/strs.c (SN_GetSymbolType):
	Move SN_symbol_types here and create a access
	method called SN_GetSymbolType for it.
	* parsers/assembly/ppc601-eabi/Makefile.am: Don't
	link with libdbutils.a and libdb.a, libcommon.a
	is all that is needed now.
	* parsers/assembly/ppc601-eabi/Makefile.in: Regen.
	* parsers/cobol/Makefile.am: Add parsers/common
	to the include dirs so we can find parser.h.
	Link with libcommon.a and not with libdbutils.a
	and libdb.a.
	* parsers/cobol/Makefile.in: Regen.
	* parsers/cobol/skeleton.c: Include parser.h.
	* parsers/common/Makefile.am: Add misc/libutils
	and hyper the the include search dirs. Add
	parser.h and parser.c to libcommon_a_SOURCES.
	Add $(WINFLAGS) to INCLUDES to match db/Makefile.am
	so that things compile with VC++.
	* parsers/common/Makefile.in: Regen.
	* parsers/common/parser.c (acc_strings, pipe_handle,
	comment_database, cross_ref_fp, report_local_vars,
	Paf_Pipe_Create, Paf_Pipe_Close, Paf_Pipe_Write,
	Paf_Pipe_Flush, put_status_parsing_file, put_file,
	put_symbol, put_comment, put_cross_ref, Paf_tempnam):
	Move parser support functions from dbutils.c over
	to this file. Remove unused Paf_dbimp_running logic
	from put_cross_ref so that there are no dependencies
	on the database layer.
	* parsers/common/parser.h: Declare Paf_Pipe_Create,
	Paf_Pipe_Close, put_status_parsing_file, put_file,
	put_symbol, put_comment, put_cross_ref, and Paf_tempnam.
	* parsers/cpp/Makefile.am: Add parsers/common to
	the include search dirs and link with libcommon.a.
	* parsers/cpp/Makefile.in: Regen.
	* parsers/cpp/skeleton.c: Include parser.h.
	* parsers/cpp/cpplib/Makefile.am: Add misc/libutils
	to the include search dir so that longstr.h can
	be found.
	* parsers/cpp/cpplib/Makefile.in: Regen.
	* parsers/fortran/Makefile.am: Add parsers/common to
	the include search dirs and link with libcommon.a.
	* parsers/fortran/Makefile.in: Regen.
	* parsers/fortran/ftnchek.c: Include parser.h.
	* parsers/java/Makefile.am: Add parsers/common to
	the include search dirs and link with libcommon.a.
	Don't link to libdbutils.a and libdb.a.
	* parsers/java/Makefile.in: Regen.
	* parsers/java/skeleton.c: Include parser.h.
	* parsers/m4/Makefile.am: Link libcommon.a before
	libutils.a.
	* parsers/m4/Makefile.in: Regen.
	* parsers/python/Makefile.am: Don't link with
	libdbutils.a or libdb.a.
	* parsers/python/Makefile.in: Regen.
	* parsers/sendmail/Makefile.am: Don't link with
	libdbutils.a or libdb.a.
	* parsers/sendmail/Makefile.in: Regen.
	* parsers/tcl/Makefile.am: Add parsers/common
	to include search dir. Link to libcommon.a
	and not libdbutils.a or libdb.a.
	* parsers/tcl/Makefile.in: Regen.
	* parsers/tcl/skeleton.c: Include parser.h.
	* parsers/toolbox/Makefile.am: Add parsers/common
	to the include search dirs.
	* parsers/toolbox/Makefile.in: Regen.
	* parsers/toolbox/snptools.c: Include parser.h

2003-05-01  Mo DeJong  <mdejong@users.sourceforge.net>

	Tear the C/C++ xref generation code out of
	dbimp. This change will make it significantly
	easier to debug the xref parser and dbimp
	executables since they will be two separate
	executables.

	* db/Makefile.am: Don't link to libcpp2.a
	when compiling dbimp since the xref
	functionality has been moved into cbrowser2.
	* db/Makefile.in: Regen.
	* db/dbimp.c (encoding, filename_g, yylineno,
	yycharno, report_local_vars, yyfd, Paf_dbimp_running,
	my_panic, main):
	Remove use of the encoding, filename_g, yylineno,
	yycharno, and yyfd global vars from libcpp2.a.
	Don't set Paf_dbimp_running, it is not needed since
	the C/C++ parser is not linked into dbimp anymore.
	Don't accept the -l or -m command line arguments,
	these are now handled by cbrowser2. Panic if a
	PAF_CROSS_REF_CPP input is found instead of calling
	the libcpp2.a method Paf_insert_cross_ref_qry.
	* db/dbutils.c (db_remove_file_def): Print
	"Status: Deleting: ..." instead of "Deleting ..."
	so that status messages can be passed through
	dbimp and can be read by the IDE.
	* gui/misc.tcl (wait_xref_end, sn_load_xref,
	load_xref_pipe, event_LoadPipeInput):
	Check for "Status: Scanning:" or "Status: Deleting:"
	messages from the xref + dbimp pipe, ignore these
	same messages if they arrive on the first pass pipe.
	Run the cbrowser2 command in a pipe and have it
	output to the dbimp executable. Pass the
	-l (local vars) and -m (macro files) options to
	the cbrowser2 executable instead of dbimp.
	* gui/xrefpane.tcl (xref_termometer_disp):
	Pass a file name and a boolean flag to
	xref_termometer_disp instead of doing further
	pipe output parsing in this function.
	* parsers/cpp/Makefile.am: Compile the new
	cbrowser2 executable.
	* parsers/cpp/Makefile.in: Regen.
	* parsers/cpp/cbrowser2.c: Add code for
	cbrowser2 executable, this program does the
	xref generation for C/C++ files that used
	to be done inside dbimp.
	* parsers/cpp/cpplib/cp_crossref.c
	(Paf_insert_cross_ref_qry):
	Output "Status: Scanning: ..." instead of
	"Scanning ..." for each file that is
	processed by the xref stage 2 in cbrowser2.

2003-05-01  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/misc.tcl (sn_load_xref): Set the encoding
	of the dbimp pipe to utf-8 instead of the
	platform encoding. This fixes reading of file
	names outside the ascii range in status messages
	from the cross ref process.

2003-04-24  Mo DeJong  <mdejong@users.sourceforge.net>

	* db/dbutils.c (put_file, put_symbol):
	Panic if put_file is called without an open
	output pipe. Don't call put_file_db inside
	put_file since put_file is only invoked from
	inside the parsers and the parsers should
	not write directly into the database.
	Add a panic to put_symbol to ensure that it
	is never called without first opening the
	pipe.

2003-04-24  Mo DeJong  <mdejong@users.sourceforge.net>

	Rework parsers to remove code that directly writes
	into the database when the -p option is not given.
	Remove -p option and make writing to stdout the
	default. Also remove the -c, -H, and -P options
	to each of the parsers.

	* db/dbutils.c (db_cachesize, db_cross_cachesize,
	Paf_db_init_tables, Paf_Pipe_Create, Paf_Pipe_Close):
	Explicitly initialize the db_cachesize and
	db_cross_cachesize members to 0. Avoid initializing
	to 0 in Paf_db_init_tables since these vars are
	already initialized to a default value. This change
	just makes it more clear that Paf_db_init_tables
	does not actually need to be called, it should not
	change any runtime functionality.
	Rewrite Paf_Pipe_Create to support defualt pipe
	output for parsers. The parsers no longer take
	a -p option, so output always goes to stdout.
	Don't call Paf_db_close_tables from inside
	Paf_Pipe_Close, this is no longer needed since
	the parsers don't ever call Paf_db_init_tables.
	* gui/misc.tcl (sn_load_part_files): Don't pass
	-c, -H, -P, or -p command line options to the
	parsers.
	* hyper/sn.h: Redefine args to Paf_Pipe_Create.
	* parsers/cobol/skeleton.c (main): Remove
	-c, -H, -P, and -p command line options.
	Ignore the -n option. Don't call Paf_db_init_tables,
	instead always call Paf_Pipe_Create.
	* parsers/cpp/skeleton.c (main): Remove
	-c, -H, -P, and -p command line options.
	Don't call Paf_db_init_tables, instead
	always call Paf_Pipe_Create. Keep -n option
	since the cpp parser uses it to create an
	include database.
	* parsers/fortran/ftnchek.c (main): Remove
	-c, -H, -P, and -p command line options.
	Ignore the -n option. Don't call Paf_db_init_tables,
	instead always call Paf_Pipe_Create.
	* parsers/java/skeleton.c (main): Ditto.
	* parsers/tcl/skeleton.c (main): Ditto.
	* parsers/toolbox/snptools.c (sn_getopt,
	sn_process_options, sn_init): Ditto.
	* parsers/toolbox/snptools.h: Remove unused sn_options
	enum values.

2003-04-21  Mo DeJong  <mdejong@users.sourceforge.net>

	* db/dbutils.c (Paf_Pipe_Create, Paf_Pipe_Close):
	Remove the custom pipe code for win32
	and unix from the Paf_Pipe_Create method.
	Instead, send pipe output to stdout when
	the -p stdout is passed. Make the Paf_Pipe_Create
	method void since it does not return any
	useful info. Remove the pipe wait code in
	Paf_Pipe_Close since we just write to stdout.
	* gui/misc.tcl (sn_load_part_files):
	Pass the proper options to the parser and
	dbimp executable so that these programs
	can be run in a pipe managed by Tcl.
	* hyper/sn.h: Change return type of
	Paf_Pipe_Create decl to void.
	* parsers/cpp/skeleton.c (main): Ignore
	return value of Paf_Pipe_Create.
	* parsers/fortran/ftnchek.c (main): Ignore
	return value of Paf_Pipe_Create.
	* parsers/tcl/skeleton.c (main): Ignore
	return value of Paf_Pipe_Create.
	* parsers/toolbox/snptools.c (sn_init): Ignore
 	return value of Paf_Pipe_Create.

2003-04-21  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/misc.tcl (sn_load_part_files): Set the
	pipe used to communicate with the parser
	and dbimp so that it uses the utf-8 encoding.
	The recent change that piped status messages
	through dbimp broke the display of non-ascii
	file names, that problem is fixed by this change.
	This change could result in some garbled file
	names in error messages from the parsers,
	since they could still write file names
	in the local encoding to stderr.

2003-04-21  Mo DeJong  <mdejong@users.sourceforge.net>

	* hyper/sninit.c (sn_log): Convert log messages
	to the local system encoding before printing
	them to stderr or a log file. Also, remove some
	DOS style CRLF line endings.

2003-04-19  Mo DeJong  <mdejong@users.sourceforge.net>

	* db/dbimp.c (main): Pass a line that starts
	with "Status:" on to stdout. This is used by
	a parser that wants to pass a status message
	to SN through the pipe to dbimp.
	* db/dbutils.c (put_status_parsing_file):
	Use the Paf_Pipe_Write method to write to the
	dbimp pipe instead of writing a status
	message to stdout. Also use a new status
	format so that dbimp knows what input should
	be passed on to SN.
	* gui/misc.tcl (event_LoadPipeInput):
	Rename res local var to eof. Check for
	empty input line earlier on in method.
	Check for a status message that starts
	with "Status: Parsing:" since this is now
	used by the parsers and dbimp.

2003-04-19  Mo DeJong  <mdejong@users.sourceforge.net>

	* db/dbimp.c (main): Print error message to
	stderr instead of stdout. Slight change to
	a couple of error messages.
	* db/dbutils.c (db_remove_file_def,
	db_remove_file_xfer_using_keys,
	Paf_Pipe_Create):
	Use fprintf instead of printf when printing
	status message to stdout. Print error msg
	to stderr instead of stdout in a couple
	of functions.
	* parsers/cobol/skeleton.c (log_symbol_filename,
	main):
	Print error messages to stderr instead of stdout.
	This is critical for parsers since we are going
	to be redirecting the stdout of parsers into
	dbimp later on.
	* parsers/cpp/skeleton.c (log_symbol_filename,
	main): Ditto.
	* parsers/fortran/ftnchek.c (log_symbol_filename,
	main): Ditto.
	* parsers/java/skeleton.c (log_symbol_filename,
	main): Ditto.
	* parsers/tcl/skeleton.c (log_symbol_filename,
	main): Ditto.

2003-04-16  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/cobol/skeleton.c (main):
	* parsers/java/skeleton.c (main):
	* parsers/tcl/skeleton.c (main):
	* parsers/toolbox/snptools.c (sn_parse_all):
	Skip empty lines and lines that start
	with the # character when processing a
	file name passed in via the -y option.
	This makes the other parsers match
	the cpp parser implementation.

2003-04-16  Mo DeJong  <mdejong@users.sourceforge.net>

	* db/dbutils.c (put_status_parsing_file):
	Add a util method that prints a file status message.
	Currently this just prints the file name to
	stdout, this message is later read by the ide
	when updating the parser status bar.
	* hyper/sn.h: Declare put_status_parsing_file.
	* parsers/cobol/skeleton.c (log_symbol_filename):
	* parsers/cpp/skeleton.c (log_symbol_filename):
	* parsers/fortran/ftnchek.c (log_symbol_filename):
	* parsers/java/skeleton.c (log_symbol_filename):
	* parsers/tcl/skeleton.c (log_symbol_filename):
	* parsers/toolbox/snptools.c (sn_register_filename):
	Invoke put_status_parsing_file function to print
	a file parsing status message. This only changes
	the status message printed by parsers that use the
	toolbox, the file names are no longer printed
	with three periods after them.

2003-04-14  Mo DeJong  <mdejong@users.sourceforge.net>

	* mkdist.sh: Grab the version number out of the
	configure.in file and check it against the version
	in the configure file in an attempt to avoid
	releasing a dist with the wrong version info.
	Update the list of copied files to account for
	changes from move to sourceforge CVS.

2003-04-08  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/projmng.tcl (sn_new_project_cb): Don't delete
	a project file that was created in batch mode. The
	sn_create_new_project proc returns zero on a
	normal exit when in batch mode, so we were deleting
	the project file just after it had been created.
	[Bug 656067]

2003-04-02  Steven Johnson  <sjohnson@neurizon.net>

	* gui/tree.tcl (sort_refresh): Added this new method,
	to allow the sort order of a list to be reset,
	after changes may have been made to the list contents.
	* gui/retrieverpane.tcl (start_search): Called new
	sort_refresh method after symbol tree is regenerated
	(following a file save). This restores the sort
	order that was selected prior to the save.
	[Bug 577348]

2003-03-31  Mo DeJong  <mdejong@users.sourceforge.net>

	* Makefile.in:
	* configure: Regen.
	* configure.in: Subst TK_DBGX.
	* bitmaps/Makefile.in:
	* db/Makefile.in:
	* demo/Makefile.in:
	* doc/Makefile.in:
	* doc/html/Makefile.in:
	* etc/Makefile.in:
	* etc/sn_toolchains/Makefile.in:
	* gui/Makefile.in:
	* hyper/Makefile.am: Define TK_DBGX so that
	we can load a tk dll built with --enable-symbols
	under Windows.
	* hyper/Makefile.in:
	* misc/Makefile.in:
	* misc/libutils/Makefile.in:
	* packages/Makefile.in:
	* parsers/Makefile.in:
	* parsers/assembly/Makefile.in:
	* parsers/chill/Makefile.in:
	* parsers/cobol/Makefile.in:
	* parsers/common/Makefile.in:
	* parsers/cpp/Makefile.in:
	* parsers/cpp/cpplib/Makefile.in:
	* parsers/fortran/Makefile.in:
	* parsers/gcj/Makefile.in:
	* parsers/java/Makefile.in:
	* parsers/libjcreuse/Makefile.in:
	* parsers/m4/Makefile.in:
	* parsers/python/Makefile.in:
	* parsers/sendmail/Makefile.in:
	* parsers/tcl/Makefile.in:
	* parsers/toolbox/Makefile.in:
	* sdk/Makefile.in:
	* sdk/api/Makefile.in:
	* sdk/api/c/Makefile.in:
	* sdk/api/c/database/Makefile.in:
	* sdk/api/c/database/examples/Makefile.in:
	* sdk/api/tcl/Makefile.in:
	* sdk/api/tcl/database/Makefile.in:
	* sdk/api/tcl/database/examples/Makefile.in:
	* sdk/api/tcl/misc/Makefile.in:
	* sdk/parsers/Makefile.in:
	* sdk/parsers/examples/Makefile.in:
	* sdk/parsers/examples/assembly/Makefile.in:
	* sdk/parsers/examples/elf/Makefile.in:
	* snavigator/Makefile.in:
	* snavigator/unix/Makefile.in:
	* snavigator/win/Makefile.in: Regen.


2003-03-30  Steven Johnson  <sjohnson@neurizon.net>

	*  gui/editorpane.tcl (Update_Layout): Set the cursor
	color to be the same as the default text foregorund
	color, so that the cursor is visible when the background
	color is changed to black (the default color).

2003-03-30  Roberto Yazon  <ryazonjr@cox.net>

	* gui/editorpane.tcl (InsertTab, Newline):
	Insert only the right amount of spaces to move cursor
	to next tab column. Read the edit-tabstop property
	to determine the equivalent number of spaces for a tab.

2003-03-28  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/sninit.tcl (sn_tcl_tk_init): Fix prepend
	of SN bin dir to the PATH env var on startup.
	The previous code used : as the PATH separator
	under Windows which was causing problems with exec.
	The problem manifested itself as a mysterious exec
	error when attempting to build with Cygwin make.
	[Bug 658173]

2003-03-11  Steven Johnson  <sjohnson@neurizon.net>

	* gui/projedit.tcl (add_files_cb): Use a foreach
	loop instead of an array set call since the
	join optimization used in the method broke
	when processing files where the name included
	a space.

2003-03-11  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/editorpane.tcl (InsertTab, Newline):
	Use string repeat instead of a for loop since
	it is more clear and executes more quickly.
	Re-implement the Newline proc, it was doing
	extra work when it was not needed and creating
	extra variables for no reason. Incorporate
	the translate tabs to spaces patch submitted
	by sjohnson@neurizon.net. [Bug 685173]

2003-02-22  Ian Roxborough  <irox@ix.netcom.com>

	* gui/editorpane.tcl (Editor&::SearchForNext
	Editor&::Replace_String Editor&::insert_file_cb
	Editor&::SetFondPos Editor&::Indent):
	* gui/text.tcl (tkTextSelectTo tkTextSelectAll
	tkTextKeySelect tkTextMarkPara):
	* gui/multiview.tcl (MultiWindow&::edit_selectall):
	When setting the selection, raise the selection to
	highest level, otherwise the selected text will not
	have the selection foreground color and maybe be
	unreadable (i.e. light yellow text with a slightly
	different light yellow background).

2003-02-22  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/classtreepane.tcl (constructor):
	* gui/editorpane.tcl (constructor):
	* gui/includepane.tcl (constructor):
	* gui/xrefpane.tcl (constructor): Grid scrollbars
	and main window so that x scroll does not extend
	below the y scroll. This makes the Edit, Hierarchy,
	Xref, and Include tabs look correct.

2003-02-18  Mo DeJong  <mdejong@users.sourceforge.net>

	* parsers/fortran/fortran.c: Regen.
	* parsers/fortran/fortran.y: Add patch from
	bug report 658664 to fix error generated by
	bison 1.75.

2003-02-17  Mo DeJong  <mdejong@users.sourceforge.net>

	* patches/README.TXT:
	* patches/tk_select.patch: Remove last patch
	and README.TXT file.

2003-02-17  Mo DeJong  <mdejong@users.sourceforge.net>

	* patches/libgui_print.patch: Remove libgui patch
	since it was just added to the libgui CVS.

2003-02-17  Mo DeJong  <mdejong@users.sourceforge.net>

	* patches/itk_component.patch: Remove itk patch
	since it was just added to the itk CVS.

2003-02-17  Ian Roxborough  <irox@ix.netcom.com>

	* gui/text.tcl (tkTextUndoPop): When they are no
	more undo operations on the undo stack, tell the
	editor to reset the modified status to unmodified.

2003-02-17  Ian Roxborough  <irox@ix.netcom.com>

	* gui/projmng.tcl (sn_select_project): On a
	Double click, don't invoke the open project
	proc until a ButtonRelease event is received.
	
2003-02-15  Mo DeJong  <mdejong@users.sourceforge.net>

	* configure: Regen to account for --enable-symbols
	fixes.
	* parsers/assembly/ppc601-eabi/configure: Ditto.

2003-02-14  Mo DeJong  <mdejong@users.sourceforge.net>

	* INSTALL.TXT: Document building with Msys+Mingw.
	Update Cygwin with VC++ build process and include
	note about broken grep and how to work around it.
	Remove instructions that set CC and CFLAGS before
	running configure since that is no longer needed.
	* configure: Regen.
	* configure.in: Set CC and CFLAGS to support
	building with VC++.
	* db/Makefile.am: Don't pass CFLAGS to linker
	since that makes no sense and results in
	warnings from the linker. Don't set CFLAGS
	in a conditional block, the CFLAGS settings
	need to come from configure.
	* db/Makefile.in: Regen.
	* hyper/Makefile.am: Don't pass CFLAGS to the
	linker.
	* hyper/Makefile.in: Regen.
	* parsers/assembly/ppc601-eabi/configure: Regen.
	* parsers/assembly/ppc601-eabi/configure.in: Set
	CC and CFLAGS to support building with VC++. Add
	AC_CONFIG_AUX_DIR and AC_CANONICAL_HOST.

2003-02-13  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/multiview.tcl (AddStatusbar): Anchor the
	text used to display the name of the file
	currently being edited to the east. This
	will still display the text file name when
	the window is too small to display the entire
	file path.

2003-02-12  Mo DeJong  <mdejong@users.sourceforge.net>

	Regenerate all Makefile.in files because I
	forgot to add clsbr_private.xpm. It needed
	it anyway.

	* Makefile.in:
	* bitmaps/Makefile.am: Add clsbr_private.xpm.
	* bitmaps/Makefile.in:
	* db/Makefile.in:
	* demo/Makefile.in:
	* doc/Makefile.in:
	* doc/html/Makefile.in:
	* etc/Makefile.in:
	* etc/sn_toolchains/Makefile.in:
	* gui/Makefile.in:
	* hyper/Makefile.in:
	* misc/Makefile.in:
	* misc/libutils/Makefile.in:
	* packages/Makefile.in:
	* parsers/Makefile.in:
	* parsers/assembly/Makefile.in:
	* parsers/chill/Makefile.in:
	* parsers/cobol/Makefile.in:
	* parsers/common/Makefile.in:
	* parsers/cpp/Makefile.in:
	* parsers/cpp/cpplib/Makefile.in:
	* parsers/fortran/Makefile.in:
	* parsers/gcj/Makefile.in:
	* parsers/java/Makefile.in:
	* parsers/libjcreuse/Makefile.in:
	* parsers/m4/Makefile.in:
	* parsers/python/Makefile.in:
	* parsers/sendmail/Makefile.in:
	* parsers/tcl/Makefile.in:
	* parsers/toolbox/Makefile.in:
	* sdk/Makefile.in:
	* sdk/api/Makefile.in:
	* sdk/api/c/Makefile.in:
	* sdk/api/c/database/Makefile.in:
	* sdk/api/c/database/examples/Makefile.in:
	* sdk/api/tcl/Makefile.in:
	* sdk/api/tcl/database/Makefile.in:
	* sdk/api/tcl/database/examples/Makefile.in:
	* sdk/api/tcl/misc/Makefile.in:
	* sdk/parsers/Makefile.in:
	* sdk/parsers/examples/Makefile.in:
	* sdk/parsers/examples/assembly/Makefile.in:
	* sdk/parsers/examples/elf/Makefile.in:
	* snavigator/Makefile.in:
	* snavigator/unix/Makefile.in:
	* snavigator/win/Makefile.in: Regen.

2003-02-11  Mo DeJong  <mdejong@users.sourceforge.net>

	* etc/sn_toolchains/gnu-pro-native: Change
	toolchain debugger name to insight instead of gdb.
	* gui/gdbtk.tcl (sn_debugger, sn_socket_accept):
	Debug print gdb command before exec'ing it.
	Declare sn_options as global to avoid var
	error when opening in an editor as the result
	of an Insight command.
	* gui/sninit.tcl (sn_init_globals): Default
	debugger name now set to insight.

2003-02-11  Mo DeJong  <mdejong@users.sourceforge.net>

	* configure: Regen.
	* configure.in: Set the c preprocessor and
	executable extensions to work around problems
	that autoconf 2.13 has with VC++.

2003-02-11  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/makepane.tcl (sn_make): Fix build dialog
	so that it does not flash on screen when first
	mapped. The toplevel must be withdrawn and
	then mapped after idle calculations are done.

2003-02-11  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/dialog.tcl (tk_dialog_with_widgets): Fix
	fast create dialog so that it is centered properly.
	The call to update idletasks needs to happen
	before the req width and height are calculated.

2003-02-11  Mo DeJong  <mdejong@users.sourceforge.net>

	* gui/makepane.tcl (ExecMake): Pass only the Makefile
	name to the -f argument instead of passing a fully
	qualified path name. This should not change any
	functionality since the ExecMake command should
	cd to the proper directory first. Add some debug
	output and comments.

2003-02-11  Mo DeJong  <mdejong@users.sourceforge.net>

	* bitmaps/clsbr_private.xpm: Add small empty
	image to represent a private class member.
	* gui/utilities.tcl: Define cls_br_private_image
	with date from clsbr_private.xpm.
	* hyper/services.c (class_browser_insert): Use
	cls_br_private_image as the image when a member
	with PAF_PRIVATE access is found. Check for
	PAF_PRIVATE explicitly instead of just assuming
	that a non-public and non-protected member is
	private.

2003-01-31  Earnie Boyd  <earnie@users.sf.net>

	* db/dbutils.c (Paf_Pipe_Flush): Use FlushFileBuffers
	for mingw32 host.

2003-01-29  Mo DeJong  <mdejong@uncounted.org>

	* INSTALL.TXT: Remove install file comment about
	needing bison and flex to build.
	* Makefile.am: Add flexgen and bisongen
	targets that can be used to regenerate
	.c file in the build dir. This should be
	run on a developers machine that has flex
	and bison installed.
	* Makefile.in: Regen.
	* aclocal.m4: Regen.
	* config.h.in: Regen.
	* configure: Regen.
	* configure.in: Regen.
	* bitmaps/Makefile.in:
	* db/Makefile.in:
	* demo/Makefile.in:
	* doc/Makefile.in:
	* doc/html/Makefile.in:
	* etc/Makefile.in:
	* etc/sn_toolchains/Makefile.in:
	* gui/Makefile.in: Regen.
	* hyper/Makefile.am: Add flexgen target and remove
	old .l.c conversions since these required that
	flex be installed at build time.
	* hyper/Makefile.in: Regen.
	* hyper/c_high.c: Add flex generated file.
	* hyper/ch_high.c: Add flex generated file.
	* hyper/j_high.c: Add flex generated file.
	* hyper/py_high.c: Add flex generated file.
	* hyper/tcl_high.c: Add flex generated file.
	* misc/Makefile.in:
	* misc/libutils/Makefile.in:
	* packages/Makefile.in:
	* parsers/Makefile.in:
	* parsers/assembly/Makefile.in: Regen.
	* parsers/assembly/ppc601-eabi/Makefile.am: Replace
	.l file with .c file in dep to support building
	on systems that don't have flex. Add flexgen target.
	* parsers/assembly/ppc601-eabi/Makefile.in: Regen.
	* parsers/assembly/ppc601-eabi/abrowser.c: Add flex
	generated file.
	* parsers/assembly/ppc601-eabi/aclocal.m4: Regen.
	* parsers/assembly/ppc601-eabi/config.h.in: Regen.
	* parsers/assembly/ppc601-eabi/configure: Regen.
	* parsers/assembly/ppc601-eabi/configure.in: Don't
	invoke AM_PROG_LEX and AC_PROG_YACC, just hard code
	flex and bison.
	* parsers/chill/Makefile.am: Fixup includes and deps
	and add bisongen and flexgen targets. This directory
	is not currently part of the build.
	* parsers/chill/Makefile.in:
	* parsers/cobol/Makefile.in:
	* parsers/common/Makefile.in:
	* parsers/cpp/Makefile.in:
	* parsers/cpp/cpplib/Makefile.in: Regen.
	* parsers/fortran/Makefile.am: Use .c file in deps
	and add bisongen target.
	* parsers/fortran/Makefile.in: Regen.
	* parsers/fortran/fortran.c: Add bison generated file.
	* parsers/fortran/fortran.h: Add bison generated file.
	* parsers/gcj/Makefile.in:
	* parsers/java/Makefile.in:
	* parsers/libjcreuse/Makefile.in: Regen.
	* parsers/m4/Makefile.am: Use .c file in deps
	and add flexgen target.
	* parsers/m4/Makefile.in: Regen.
	* parsers/m4/m4browser.c: Add flex generated file.
	* parsers/python/Makefile.am: Remove LEXLIB since
	it is not needed to build. Replace .l file with .c
	file in deps. Add flexgen target.
	* parsers/python/Makefile.in: Regen.
	* parsers/python/pybrowser.c: Add flex generated file.
	* parsers/sendmail/Makefile.am: Remove LEXLIB since
	it is not needed to build. Replace .l file with .c
	file in deps. Add flexgen target.
	* parsers/sendmail/Makefile.in: Regen.
	* parsers/sendmail/sbrowser.c: Add flex generated file.
	* parsers/tcl/Makefile.in:
	* parsers/toolbox/Makefile.in:
	* sdk/Makefile.in:
	* sdk/api/Makefile.in:
	* sdk/api/c/Makefile.in:
	* sdk/api/c/database/Makefile.in:
	* sdk/api/c/database/examples/Makefile.in:
	* sdk/api/tcl/Makefile.in:
	* sdk/api/tcl/database/Makefile.in:
	* sdk/api/tcl/database/examples/Makefile.in:
	* sdk/api/tcl/misc/Makefile.in:
	* sdk/parsers/Makefile.in:
	* sdk/parsers/examples/Makefile.in:
	* sdk/parsers/examples/assembly/Makefile.in:
	* sdk/parsers/examples/elf/Makefile.in:
	* snavigator/Makefile.in:
	* snavigator/unix/Makefile.in:
	* snavigator/win/Makefile.in: Regen.

2003-01-11  Ian Roxborough  <irox@sbcglobal.net>

	* gui/projedit.tcl (print_file): Where possible
	use the directory of the first source file in
	a project as the default directory for the
	"Add Files" file selection dialog.

2003-01-11  Mo DeJong  <mdejong@uncounted.org>

	* etc/sn_cmp_g.pat: Add pattern to match a
	Win32 filename like d:/filename.c:856.
	* gui/grep.tcl (sn_goto_comp_error_or_grep):
	Remove hack to match a win32 path name
	like d:/filename.c:856, use regexp instead.
	* tests/gui/grep.test: Add path name test
	cases for sn_goto_comp_error_or_grep.

2002-11-26  Mo DeJong  <mdejong@uncounted.org>

        * patches/libgui_print.patch: Add patch
	for libgui that fixes Win32 printing crash.

2002-11-26  Mo DeJong  <mdejong@uncounted.org>

	* gui/Makefile.am: Add winprint.tcl.
	* gui/Makefile.in: Regen.
	* gui/editorpane.tcl (print_file): Don't
	attempt to delete a printer dialog object
	if it does not exist. This fixes a problem
	printing the grep pane under Windows.
	* gui/tclIndex: Regen.
	* gui/winprint.tcl: Resurrect windows
	printing file that was erroneously removed
	on 2000-05-26. These methods are used
	by the utilities.tcl file.

2002-11-25  Mo DeJong  <mdejong@uncounted.org>

	* gui/retriever.tcl (destructor, window_deleted):
	Fixup window deletion by setting the window
	var to "" when it is deleted by the user.

2002-11-24  Mo DeJong  <mdejong@uncounted.org>

	* configure: Regen.
	* configure.in:
	* mkdist.sh: Update version number
	to 5.2.0.

2002-11-24  Mo DeJong  <mdejong@uncounted.org>

	* gui/multiview.tcl (toolbar_post_scope_menu):
	Fix state of Related, All, All, and None buttons
	inside the symbol combo to match the comments
	and the documentation.
	* gui/xrefpane.tcl (fill): Use variables
	prefixed by $itk_option(-symbols_filter) not
	$itk_option(-symbols) when setting values
	for the combobox. This fixes symbol filtering
	while the xref tab is active.

2002-11-20  Mo DeJong  <mdejong@uncounted.org>

	* INSTALL.TXT: Inform users that GNU tools
	are required to build Source-Navigator.
	* configure: Regen.
	* configure.in: Require GNU flex and
	bison when building.
	* hyper/Makefile.am: Remove generated
	.c files as a results of 'make clean'.
	* hyper/Makefile.in: Regen.
	* parsers/assembly/ppc601-eabi/Makefile.am: Add
	missing backslash.
	* parsers/assembly/ppc601-eabi/Makefile.in: Regen.
	* parsers/m4/Makefile.am: Add missing backslash.
	* parsers/m4/Makefile.in: Regen.

2002-11-16  Mo DeJong  <mdejong@uncounted.org>

	* gui/editorpane.tcl (m3_post_menu_update):
	Invert undo menu state so that it is normal
	when the file has changed.
	* gui/multiview.tcl (edit_post): Make the
	state of the undo and redo menu items
	depend on the -file_changed option from
	the editor to match the implementation
	in the editor class.

2002-11-15  Mo DeJong  <mdejong@uncounted.org>

	* db/dbimp.c (check_running): Add declaration
	of kill function when compiling under Win32.
	Fix check_running comment since this method
	does not check for the process using a socket.
	Reverse order of arguments to kill.
	* db/dbutils.c (kill): Reverse order of
	arguments to Win32 version of kill so they
	match the Unix implementation.

2002-11-15  Mo DeJong  <mdejong@uncounted.org>

	* db/dbdump.c:
	* db/dbimp.c:
	* db/dbutils.c:
	* db/dbutils.h: 
	* hyper/dbsym.c:
	* hyper/sn.h:
	* hyper/sninit.c:
	* hyper/tkTreeTable.c:
	* hyper/win/winMain.c:
	* parsers/cpp/skeleton.c:
	* parsers/cpp/cpplib/macread.c:
	* snavigator/win/winCon.c:
	Fix compiler warnings by adding casts
	and consts where needed. Also init some
	variables that could have been used
	without an init. No functional changes.

2002-11-15  Mo DeJong  <mdejong@uncounted.org>

	* Makefile.in: Regen.
	* configure: Regen.
	* configure.in: Invoke AC_CANONICAL_HOST
	and AC_CHECK_TOOL so that cross compiling
	works correctly. Invoke AC_CONFIG_AUX_DIR
	so configure knows where to look for
	config.sub and config.guess.
	* bitmaps/Makefile.in: Regen.
	* db/Makefile.in: Regen.
	* demo/Makefile.in: Regen.
	* doc/Makefile.in: Regen.
	* doc/html/Makefile.in: Regen.
	* etc/Makefile.in: Regen.
	* etc/sn_toolchains/Makefile.in: Regen.
	* gui/Makefile.in: Regen.
	* hyper/Makefile.in: Regen.
	* misc/Makefile.in: Regen.
	* misc/libutils/Makefile.in: Regen.
	* packages/Makefile.in: Regen.
	* parsers/Makefile.in: Regen.
	* parsers/assembly/Makefile.in: Regen.
	* parsers/chill/Makefile.in: Regen.
	* parsers/cobol/Makefile.in: Regen.
	* parsers/common/Makefile.in: Regen.
	* parsers/cpp/Makefile.in: Regen.
	* parsers/cpp/cpplib/Makefile.in: Regen.
	* parsers/fortran/Makefile.in: Regen.
	* parsers/gcj/Makefile.in: Regen.
	* parsers/java/Makefile.in: Regen.
	* parsers/libjcreuse/Makefile.in: Regen.
	* parsers/m4/Makefile.in: Regen.
	* parsers/python/Makefile.in: Regen.
	* parsers/sendmail/Makefile.in: Regen.
	* parsers/tcl/Makefile.in: Regen.
	* parsers/toolbox/Makefile.in: Regen.
	* sdk/Makefile.in: Regen.
	* sdk/api/Makefile.in: Regen.
	* sdk/api/c/Makefile.in: Regen.
	* sdk/api/c/database/Makefile.in: Regen.
	* sdk/api/c/database/examples/Makefile.in: Regen.
	* sdk/api/tcl/Makefile.in: Regen.
	* sdk/api/tcl/database/Makefile.in: Regen.
	* sdk/api/tcl/database/examples/Makefile.in: Regen.
	* sdk/api/tcl/misc/Makefile.in: Regen.
	* sdk/parsers/Makefile.in: Regen.
	* sdk/parsers/examples/Makefile.in: Regen.
	* sdk/parsers/examples/assembly/Makefile.in: Regen.
	* sdk/parsers/examples/elf/Makefile.in: Regen.
	* snavigator/Makefile.in: Regen.
	* snavigator/unix/Makefile.in: Regen.
	* snavigator/win/Makefile.in: Regen.

2002-11-14  Mo DeJong  <mdejong@uncounted.org>

	* misc/compat.h: Include winsock.h when compiling
	with mingw to avoid u_char related errors.

2002-11-14  Mo DeJong  <mdejong@uncounted.org>

	* gui/editorpane.tcl (toolbar_grep): Invoke search_grep
	method from the multiwin parent instead of broken
	sn_grep procedure. [Bug 610449]

2002-11-13  Mo DeJong  <mdejong@uncounted.org>

	* db/dbutils.c: Use Win32 version of kill()
	when compiling with VC++ or Mingw.
	* misc/libutils/fileutils.c: Invert test
	so that Cygwin specific code is only
	used when __CYGWIN32__ is defined instead
	of testing for #ifndef __MSVC__. This
	fixes the build under Mingw.
	* parsers/fortran/ftnchek.c: Include
	sys/param.h when HAVE_SYS_PARAM_H is
	defined instead of depending on __MSVC__.

2002-11-13  Mo DeJong  <mdejong@uncounted.org>

	* Makefile.in: Regen.
	* config.h.in: Regen.
	* bitmaps/Makefile.in: Regen.
	* db/Makefile.in: Regen.
	* demo/Makefile.in: Regen.
	* doc/Makefile.in: Regen.
	* doc/html/Makefile.in: Regen.
	* etc/Makefile.in: Regen.
	* etc/sn_toolchains/Makefile.in: Regen.
	* gui/Makefile.in: Regen.
	* hyper/Makefile.am: Add .o target that
	does not use cygpath to support building
	with mingw.
	* hyper/Makefile.in: Regen.
	* misc/Makefile.in: Regen.
	* misc/libutils/Makefile.in: Regen.
	* packages/Makefile.in: Regen.
	* parsers/Makefile.in: Regen.
	* parsers/assembly/Makefile.in: Regen.
	* parsers/chill/Makefile.in: Regen.
	* parsers/cobol/Makefile.in: Regen.
	* parsers/common/Makefile.in: Regen.
	* parsers/cpp/Makefile.in: Regen.
	* parsers/cpp/cpplib/Makefile.in: Regen.
	* parsers/fortran/Makefile.in: Regen.
	* parsers/gcj/Makefile.in: Regen.
	* parsers/java/Makefile.in: Regen.
	* parsers/libjcreuse/Makefile.in: Regen.
	* parsers/m4/Makefile.in: Regen.
	* parsers/python/Makefile.in: Regen.
	* parsers/sendmail/Makefile.in: Regen.
	* parsers/tcl/Makefile.in: Regen.
	* parsers/toolbox/Makefile.in: Regen.
	* sdk/Makefile.in: Regen.
	* sdk/api/Makefile.in: Regen.
	* sdk/api/c/Makefile.in: Regen.
	* sdk/api/c/database/Makefile.in: Regen.
	* sdk/api/c/database/examples/Makefile.in: Regen.
	* sdk/api/tcl/Makefile.in: Regen.
	* sdk/api/tcl/database/Makefile.in: Regen.
	* sdk/api/tcl/database/examples/Makefile.in: Regen.
	* sdk/api/tcl/misc/Makefile.in: Regen.
	* sdk/parsers/Makefile.in: Regen.
	* sdk/parsers/examples/Makefile.in: Regen.
	* sdk/parsers/examples/assembly/Makefile.in: Regen.
	* sdk/parsers/examples/elf/Makefile.in: Regen.
	* snavigator/Makefile.in: Regen.
	* snavigator/unix/Makefile.in: Regen.
	* snavigator/win/Makefile.am: Fix incorrectly quoted
	-D argument to the compiler.
	* snavigator/win/Makefile.in: Regen.

2002-11-13  Mo DeJong  <mdejong@uncounted.org>

	* configure: Regen.
	* configure.in: Include sys/times.h in
	the headers we check for.
	* parsers/libjcreuse/rSystem.c: Include
	sys/times.h based on HAVE_SYS_TIMES_H
	instead of _MSC_VER. This fixes
	compilation problems under mingw.

2002-11-13  Mo DeJong  <mdejong@uncounted.org>

	* configure: Regen.
	* configure.in: Check for cygpath and
	don't attempt path conversions if it
	is not found. This fix is needed to
	be able to cross compile for windows.

2002-11-10  Mo DeJong  <mdejong@uncounted.org>

	* gui/makepane.tcl (ExecMake): Pipe stdout
	and stderr from make to cat and read the
	results from the pipe. The old code used
	2>@stdout in an attempt to do this, but
	that fails under Windows with Tcl 8.3.

2002-11-10  Mo DeJong  <mdejong@uncounted.org>

	* gui/emacs.tcl (sn_ensure_emacs_running):
	Remove 2>@stdout argument to exec since
	this is failing under Windows with Tcl 8.3.
	Log subprocess errors if they occur.

2002-09-13  Mo DeJong  <supermo@bayarea.net>

	* patches/tk_wmwithdraw.patch: Removed
	patch file since it has been incorporated
	into the CVS.

2002-09-13  Mo DeJong  <supermo@bayarea.net>

	* gui/editorpane.tcl (make_editor_bindings):
	Move Editor bindings after instance bindings
	to avoid a problem with highlighting when
	indenting text when events are processed
	in the wrong order.
	[Bug 597660]

2002-09-12  Ralf Corsepius  <corsepiu@faw.uni-ulm.de>

	* Makefile.in:
	* bitmaps/Makefile.am:
	* bitmaps/Makefile.in:
	* db/Makefile.am:
	* db/Makefile.in:
	* demo/Makefile.am:
	* demo/Makefile.in:
	* doc/html/Makefile.am:
	* doc/html/Makefile.in:
	* packages/Makefile.am:
	* packages/Makefile.in:
	* sdk/Makefile.am:
	* sdk/Makefile.in:
	* sdk/api/c/Makefile.am:
	* sdk/api/c/Makefile.in:
	* snavigator/unix/Makefile.am:
	* snavigator/unix/Makefile.in:
	Prefix install locations with $(DESTDIR) to
	better support installing into a
	staging location.

2002-09-12  Mo DeJong  <supermo@bayarea.net>

	* gui/classtreepane.tcl:
	* gui/diff.tcl:
	* gui/editorpane.tcl:
	* gui/elix.tcl:
	* gui/gdbtk.tcl:
	* gui/multiview.tcl:
	* gui/preferences.tcl:
	* gui/printdialog.tcl:
	* gui/projedit.tcl:
	* gui/rcs.tcl:
	* gui/retrieverpane.tcl:
	* gui/selector.tcl:
	* gui/tools.tcl:
	* gui/tree.tcl:
	* gui/xrefpane.tcl:
	Replace pointless use of ::set with set.

2002-09-12  Mo DeJong  <supermo@bayarea.net>

	* mkdist.sh:
	Rework toplevel directory test so it
	checks for tcl and tk directories.
	Remove any .rej files from dest dir
	after patching.

2002-09-11  Mo DeJong  <supermo@bayarea.net>

	Added SN-511-2002-09-11 tag.
	
2002-09-05  Mo DeJong  <supermo@bayarea.net>

	* gui/text.tcl (tkTextInsertChar): Sync so that
	highlighted region is deleted in other editors
	when a character is typed.

2002-09-04  Chris Drexler  <ckolumbus@users.sourceforge.net>

	* demo/c++_demo/contrib/perl/sample_client:
	Change hard coded path name of perl so that
	rpm will not complain at install time.

2002-09-04  Mo DeJong  <supermo@bayarea.net>

	* gui/text.tcl (tkTextInsert): Sync other
	editors when pasting into a text widget.
	[Bug 594678]

2002-08-05  Chris Drexler  <ckolumbus@users.sourceforge.net>

	* configure: Regen.
	* configure.in: Avoid evaluating ${prefix} or
	${exec_prefix} in variables passed into the
	Makefiles. This will better support setting
	the prefix or exec_prefix and install time.

2002-07-30  Mo DeJong  <supermo@bayarea.net>

	* tcl_configure.patch: Remove patch since
 	it has been committed to the CVS.

2002-07-30  Mo DeJong  <supermo@bayarea.net>

	* gui/editorpane.tcl (filter): Sort symbols before
	inserting them into the editor combo box. This
	reverses an accidental gui change introduced
	in 5.0 as part of the combo rewrite.
	[Bug 579570]

2002-07-29  Mo DeJong  <supermo@bayarea.net>

	* gui/mkfilegen.tcl (WriteRuleTarget): Escape
	variable name that is meant to be evaluated
	when make is run.
	[Bug 585568]

2002-07-16  Mo DeJong  <supermo@bayarea.net>

	* gui/rcs.tcl (check_in_out): Don't check
	return value of sn_rcs.* methods since they
	do not return booleans and we don't do anything
	with the results of such a check.
	* gui/version.tcl (sn_rcs_lockunlockdel): Use
	treebind method of the Selector& class, the
	bind method was removed long ago.
	[Bug 570492]

2002-07-14  Mo DeJong  <supermo@bayarea.net>

	* gui/editorpane.tcl (proceed_gotoline): Save
	and reset the -linenumber_var value before hiding
	the goto line dialog since this invokes Focus_In
	and changes the value. This was causing the Win32
	version to fail.
	[Bug 579168]

2002-07-09  David Philippi  <lists@torangan.de>

	* hyper/c_high.l: Added all missing keywords
	from ISO C++ (according to a list from
	"The Complete Reference C++" by Herbert Schildt).
	Removed the obsolete keyword "overload" and
	the non-existing keyword "interface".

2002-07-02  Mo DeJong  <supermo@bayarea.net>

	Added SN-510-2002-07-02 and SN-51-branch tags.

2002-06-25  Mo DeJong  <supermo@bayarea.net>

	* mkdist.sh: Update version to 5.1.0.

2002-06-25  Mo DeJong  <supermo@bayarea.net>

	* hyper/highlight.c (tk_text_buffer): Update hack used
	to extract text from a Tk text widget before passing
	it to the lexer. This function has the name of the
	tk dll hard coded inside it, and it needed to be
	updated. The method also lacked error checking for
	the case where the dll could not be found.

2002-06-24  Mo DeJong  <supermo@bayarea.net>

	* patches/tk_wmwithdraw.patch: Add patch that fixes
	win32 initial mapping problems. This fixes the forward
	button in the tools window, it was not painting when
	the window was first mapped. This also fixes problems
	with dialogs that get mapped at one size but then
	get moved or resized at idle time.

2002-06-24  Mo DeJong  <supermo@bayarea.net>

	* gui/multiview.tcl (search_grep): Invoke StartGrep not
	ExecGrep on the grep widget.

2002-06-24  Mo DeJong  <supermo@bayarea.net>

	* gui/multiview.tcl (constructor): Base the initial size
	of the tools window on the user pref percent.
	* gui/symbolbrowser.tcl (constructor): Cleanup height
	calculation so that it uses floating point arithmetic.

2002-06-21  Mo DeJong  <supermo@bayarea.net>

	* gui/execgrepdriver.tcl (start, finish, grepReadableEvent):
	Assert that the text widget is empty before starting.
	Toggle the -state of the text widget before/after
	the processing in the finish method.
	Add a newline after the truncated or canceled message
	so the test cases get a uniform output. If the search
	has been canceled, look back at the last line to see
	if it ends in a \n and add one if missing. This avoids
	a problem where the canceled message shows up on
	the same line as the last line of data.
	Walk backward over the characters in the buffer to
	find the last line of text when seeing if the max
	number of matches has been reached.
	* gui/greppane.tcl (finish_grep, incr_selected_line):
	Don't change the -state of the text widget in finish_grep
	since the drivers finish method now does it.
	When moving the selected line up or down, check for the
	last line by walking backwards over the buffer until
	we find a non newline character. This fixes a problem
	where you would have to hit the next button twice before
	the selection would wrap around.
	* gui/tclgrepdriver.tcl (start, finish, doneReadingData):
	Assert that the text widget is empty before starting.
	Toggle the -state of the text widget before/after
	the processing in the finish method.
	Check to see if adding next line would put us over the
	max matches limit and truncate if it would.
	* tests/gui/execgrepdriver.test: Add truncation tests.
	* tests/gui/tclgrepdriver.test: Ditto.

2002-06-21  Mo DeJong  <supermo@bayarea.net>

	* gui/execgrepdriver.tcl (destructor, close, start, isAvailable):
	Invoke isAvailable if it has not been called so that the
	grep_exe variable will be set. Set the grep_fd to "" when
	closing. Don't try to close a grep_fd unless it is not "".

2002-06-20  Mo DeJong  <supermo@bayarea.net>

	* gui/execgrepdriver.tcl (isValidPattern, start, isAvailable):
	Add isValidPattern method, it lets the user ask the driver if
	a given pattern can be used before actually invoking the driver.
	Pass -- to the grep command after the -n and -i flags so user
	can type in a pattern that starts with the - character.
	* gui/greppane.tcl (GrepDriver, StartGrep): Add isValidPattern
	method declaration to the driver interface. Use new isValidPattern
	method to provide the user with a error dialog box in the
	case of an invalid pattern. Remove check for - character at
	the beginning of a pattern since this needs to be handled in
	the driver.
	* gui/tclgrepdriver.tcl (isValidPattern): Add isValidPattern
	method, it lets the user ask the driver if a given pattern can
	be used before actually invoking the driver.
	* tests/gui/execgrepdriver.test: Test pattern that starts with -.
	* tests/gui/tclgrepdriver.test: Ditto.

2002-06-20  Mo DeJong  <supermo@bayarea.net>

	* gui/misc.tcl (sn_title): Remove useless call to join
	that was generating an error if the user entered
	"HI {" as a grep pattern.

2002-06-20  Mo DeJong  <supermo@bayarea.net>

	* gui/tclgrepdriver.tcl (processNextIndex, inputReadyCallback):
	Unset currentFileBuffer after running the grep to deallocate
	the buffer instead of setting it to the empty string before
	running the next grep. Just set the buffer in the fileevent
	callback instead of appending to an empty variable. This
	can cut the amount in memory needed in half since it avoids
	doubling the allocated size in the append command. Check to
	see if all bytes have been read by checking the size of the
	buffer instead of decrementing after a read.

2002-06-20  Mo DeJong  <supermo@bayarea.net>

	* gui/tclgrepdriver.tcl (line_grep): Fix search for last
	character in buffer as well as bad variable access introduced
	by my last checkin.

2002-06-20  Mo DeJong  <supermo@bayarea.net>

	* gui/tclgrepdriver.tcl (line_grep): Rework line_grep
	method so that it works for buffers that do not end
	with a newline. This lets us get rid of the need to
	append a newline on the end of the buffer and
	making an extra copy of a potentially large buffer.
	* tests/gui/line_grep.test: Add more test cases for
	buffers that do not end with a newline.

2002-06-19  Mo DeJong  <supermo@bayarea.net>

	* gui/tclgrepdriver.tcl (processNextIndex, line_grep):
	Don't use Tcl IO subststem to filter crlf into lf,
	instead handle crlf sequences directly in line_grep.
	* tests/gui/line_grep.test:
	* tests/gui/tclgrepdriver.test: Add test cases for crlf
	EOL style.

2002-06-09  Mo DeJong  <supermo@bayarea.net>

	* gui/editorpane.tcl (print_file, print_dialog): Escape []
	in user input to avoid an error where sn_print_file
	tries to execute the window title as a command. Don't
	regsub the input first since that does not protect
	from bad user input.
	* gui/printdialog.tcl (printit): Escape [] in user input
	to avoid an error where sn_print_file tries to execute
	the window title as a command.
	* gui/tree.tcl (print_it): Ditto.

2002-06-09  Mo DeJong  <supermo@bayarea.net>

	* gui/editorpane.tcl (EditorBindings): Take puts call
	out of Insert binding. Remove <Double-1><ButtonRelease-1>
	binding. This binding did not function in version 5.0
	and it was highlighting in an unexpected way under 5.1.

2002-06-08  Mo DeJong  <supermo@bayarea.net>

	* gui/preferences.tcl (AddInclude): Reorder bindings
	on "Include Directories" text widget so that hitting
	Return in the text widget no longer dismisses the
	project prefs dialog.

2002-06-08  Mo DeJong  <supermo@bayarea.net>

	* etc/english.txt.in: Remove unused Email, Web,
	BugReport, LimitScanMsg, LimMsg, ReportBugs,
	EditionCannotOpenThisProject, SplashSupportText,
	ButtonBugReport, and ButtonMail strings. Removed
	mention of old support email from the string
	NewerProjectCannotBeOpened.
	* etc/german.txt: Ditto.
	* etc/japanese.txt: Ditto.
	* gui/bugreport.tcl (mail_send_bug_report,
	web_send_bug_report, mail_bug_report, sn_drop_mail_line,
	sn_send_mail): Remove all old email and web based
	bug reporting code.
	* gui/misc.tcl: Remove commented out use of the string
	SplashSupportText.
	* gui/preferences.tcl (AddOthers, handle_mailhost):
	Disconnect the mailhost entry box from the
	sn_options(def,mailhost) variable. The gui elements were
	not removed to avoid doc impact of a gui change.
	Remove unused method handle_mailhost.
	* gui/sninit.tcl (sn_init_globals): Remove mailhost,
	cygnus-home-http, and bug-mail-address sn_options
	values. Remove any old cygnus references.
	* gui/tmeter.tcl: Use copyright not cygnus_copyright.

2002-06-07  Mo DeJong  <supermo@bayarea.net>

	* gui/multiview.tcl (AddMenu):
	* gui/projedit.tcl (AddMenu): Pass $itk_component(hull)
	instead of $this to AddWindowsMenu method to avoid
	a problem in sn_hide_show_project where all the project
	windows were withdrawn via Windows->Iconize Project.
	Ditto for AddHelpMenu.

2002-06-07  Mo DeJong  <supermo@bayarea.net>

	* gui/includepane.tcl (mark_item, see_item): Set -fill to red
	for connecting lines when a "to" or "by" relationship is
	added. Call mark_item when a canvas id is passed to see_item
	and correctly deal with a canvas id passed to mark_item.

2002-06-07  Ralf Corsepius  <corsepiu@faw.uni-ulm.de>

	* etc/Makefile.am: Add german.txt to etc_DATA.
	* etc/Makefile.in: Regen.
	* etc/english.txt.in: Remove unused ToUpgrade
	and fix minor typo.
	* etc/german.txt: Sync keywords with english.txt.in.
	Partially update the translations.
	* etc/japanese.txt: Sync keywords with english.txt.in.

2002-06-07  John Lash  <jlash@speakeasy.net>

	* etc/english.txt.in: Remove PafProjBusy and ProjAlreayOpened.
	Add ProjAlreadyOpenedThisProcess, ProjAlreadyOpenedOtherSystem,
	ProjAlreadyOpenedThisUser, and ProjAlreadyOpenedThisSystem.
	* etc/german.txt: Ditto, with empty place holders.
	* etc/japanese.txt: Ditto, with empty place holders.
	* gui/misc.tcl (sn_is_project_busy, sn_open_project,
	sn_read_project): Set a pid value so that callers can
	display the locked process pid. Return a more descriptive
	set of values so that callers can display more information
	about why the db is locked.
	* gui/projedit.tcl (can_create_project):
	* gui/projmng.tcl (sn_delete_project): Display a more
	descriptive set of errors after calling sn_is_project_busy.

2002-06-07  John Lash  <jlash@speakeasy.net>

	* gui/misc.tcl (sn_is_project_busy,
	sn_unix_check_process): Check to see if another
	process that holds a db lock is still alive using
	the /proc filesystem instead of kill -0. If we
	don't have access to /proc then default to
	kill -0 but only when the same user has the lock.
	Add new method that looks at the /proc filesystem
	for Linux, BSD, and Solaris style implementations.

2002-06-04  Mo DeJong  <supermo@bayarea.net>

	* patches/itk_pathname.patch: Remove patch
	since it has been integrated into the CVS
	at sources.redhat.com.

2002-06-01  Mo DeJong  <supermo@bayarea.net>

	* patches/tcl_configure.patch: Add patch for
	tcl/win/configure so that mkdist.sh will
	generate a dist file that compiles under Windows.

2002-05-31  Mo DeJong  <supermo@bayarea.net>

	* mkdist.sh: Automatically apply patches
	from src/snavigator/patches to clean CVS
	checkout before making dist file.
	* patches/README.TXT:
	* patches/itk_component.patch:
	* patches/itk_pathname.patch:
	* patches/tcl_configure.patch:
	* patches/tk_select.patch: Add patch
	files that need to be applied to sources CVS.

2002-05-31  John Lash  <jlash@speakeasy.net>

	* gui/retrieverpane.tcl (handle_all_none): Fix broken
	checkbutton variable setting in the filter dialog.
	Deselect the files checkbutton when the None button
	is pressed.

2002-05-29  Mo DeJong  <supermo@bayarea.net>

	* gui/projedit.tcl (add_files_cb): Rewrite the add_files_cb
	method to avoid invoking [lsearch -nocase $files $file].
	This lsearch option was a local hack that is not in Tcl 8.3.
	To speed things up and support no case searching, we create
	a map that is checked as we loop over added files. Pass
	a list of file names to add_files_cb instead of wasting
	time in a useless eval.

2002-05-29  Mo DeJong  <supermo@bayarea.net>

	* gui/dialog.tcl (tk_dialog_with_widgets): Don't set .
	as the transient for the dialog. This keeps the dialog
	from being mapped when . is withdrawn under Win32/Tk 8.3.

2002-05-29  Mo DeJong  <supermo@bayarea.net>

	* gui/classtreepane.tcl (print): Rename PrintDialog,
	use itk_component(hull) not this, reorder arguments.
	Invoke Window::transient to explicitly set the
	transientfor property for the PrintDialog.
	* gui/dialog.tcl: Remove the poorly named -parent
	option for the Dialog class. A transient window
	should set its master using Window::transient.
	* gui/includepane.tcl (print): Rename PrintDialog,
	use itk_component(hull) not this, reorder arguments.
	Invoke Window::transient to explicitly set the
	transientfor property for the PrintDialog.
	* gui/targetmgr.tcl (edit_target): Invoke the
	Window::transient method instead of using -parent.
	* gui/xrefpane.tcl (print): Rename PrintDialog,
	use itk_component(hull) not this, reorder arguments.
	Invoke Window::transient to explicitly set the
	transientfor property for the PrintDialog.

2002-05-29  Mo DeJong  <supermo@bayarea.net>

	* gui/classpane.tcl:
	* gui/classtreepane.tcl:
	* gui/editorpane.tcl:
	* gui/greppane.tcl:
	* gui/includepane.tcl:
	* gui/makepane.tcl:
	* gui/projedit.tcl:
	* gui/retrieverpane.tcl:
	* gui/xrefpane.tcl: Rework use of $topw member
	variable in pane windows. Use $itk_component(hull)
	instead of namespace tail ${this}. Use the
	-title and -iconname options from the Window class.
	Don't set a default value for topw so we can be sure
	it is set before use. Move itk_initialize in the
	Editor& class after variable initilizations because
	the -filename property invokes editfile. Use $topw
	member instead of makeing another call to wm toplevel.

2002-05-28  Mo DeJong  <supermo@bayarea.net>

	* configure: Regen.
	* configure.in: Don't subst install/Makefile
 	since it no longer exists.
	* mkdist.sh: Use 5.1a2 as tar ball name.
	No need to make a zip file since we require
	Cygwin to do the build.

2002-05-19  Mo DeJong  <supermo@bayarea.net>

	* etc/english.txt.in: Add GrepCanceledString,
	GrepTruncatedString, and GrepFileDoesNotExist.
	* gui/Makefile.am: Include tclgrepdriver.tcl
	and execgrepdriver.tcl files.
	* gui/Makefile.in: Ditto.
	* gui/execgrepdriver.tcl: Add exec based implementation
	of GrepDriver interface from greppane.tcl. This rewrite
	includes support for versions of grep other than GNU grep.
	* gui/greppane.tcl: Move exec based implementation of
	grep into execgrepdriver.tcl. Add new generic driver
	interface so we can swap out grep implementations.
	Default to exec grep if available and SN_TCLGREP is
	not defined in the env array.
	* gui/tclIndex: Regen.
	* gui/tclgrepdriver.tcl: Add Tcl 8.3 regexp implementation
	of grep.
	* tests/gui/execgrepdriver.test: Test ExecGrepDriver.
	* tests/gui/line_grep.test: Test line_grep.
	* tests/gui/tclgrepdriver.test: Test TclGrepDriver.

2002-05-17  Mo DeJong  <supermo@bayarea.net>

	* gui/greppane.tcl (constructor, ExecGrep, handle_proceed):
	Use bindtags and a <Return> binding on the hull to implement
	starting grep via the keyboard. Fix the filtercombo and max
	lines entries so that they support this binding. Reenable the
	widgets before leaving the ExecGrep method because of user
	error. Set or remove the <Return> binding in the handle_proceed
	method so that ExecGrep cannot be reentered by hitting the
	Return key twice in a row.

2002-05-17  Mo DeJong  <supermo@bayarea.net>

	* gui/greppane.tcl (ExecGrep, finish_grep): Disable the Serach
	button along with other widgets as soon as the user clicks.
	Snap the horizontal scrollbar to the left side after the
	grep has completed.

2002-05-16  Mo DeJong  <supermo@bayarea.net>

	* mkdist.sh: Add script to create source
	distribution archives.

2002-05-09  Mo DeJong  <supermo@bayarea.net>

	* INSTALL.TXT: Minor wording change. Tell folks to
	add -nologo flag to VC++ CFLAGS.
	* MAINTAINERS: Syd has resigned as a maintainer,
	remove him and update Ian's email address.
	* Makefile.am: Remove install/ from SUBDIRS. Add
	README.TXT INSTALL.TXT to list of file that get
	included by the `make dist` target.
	* Makefile.in: Regen.
	* README.TXT: Update info and URLs to account for
	change of project hosting location. Added readme
	contents from the outdated install/README.TXT.
	* install/Makefile.am: Remove.
	* install/Makefile.in: Remove.
	* install/README.JAPAN.TXT: Remove.
	* install/README.TXT: Remove.

2002-05-06  Mo DeJong  <supermo@bayarea.net>

	* etc/english.txt.in: Add ButtonDismiss and
	ErrorOccured strings.	
	* gui/bugreport.tcl (display_bug_report): Add a
	new method to replace mail_send_bug_report. This
	error handler simply displays bug information in
	a text box instead of sending an email to the
	cygnus support email address.
	* gui/sninit.tcl: Call display_bug_report instead
	of mail_send_bug_report and avoid the initial
	bug report dialog.
	* gui/tclIndex: Regen to account for addition of
	the display_bug_report procedure.

2002-05-06  Mo DeJong  <supermo@bayarea.net>

	* gui/targetedit.tcl (cb_add_lib): Change tk_getOpenFile
	call to Editor&::FileDialog so that the same file selection
	dialog is used throughout the target editor dialog.

2002-05-02  Mo DeJong  <supermo@bayarea.net>

	* gui/targetedit.tcl: Remove hack at top of file
	that sources combobox.tcl. This is not needed
	since this procedure is auto-loaded from libgui.
	This command has become broken because the
	.../share/cygnus install directory in libgui was
	renamed to .../share/redhat recently.

2002-04-29  Mo DeJong  <supermo@bayarea.net>

	* configure: Regen.
	* configure.in: Bump version to 5.1.0.

2002-04-29  Mo DeJong  <supermo@bayarea.net>

	* gui/editorpane.tcl (FileDialog): Remove the
	-multiple argument to the file dialog boxes.
	This was a local modification to the Tk 8.1
	sources for tkFDialog and tk_getOpenFile.
	* gui/projedit.tcl (add_files): Remove the
	-multiple argument to Editor&::FileDialog.
	* gui/targetedit.tcl (import_files): Ditto.

2002-04-26  Mo DeJong  <supermo@bayarea.net>

	* hyper/recudir.c: Cast return values from
	ckalloc to avoid warnings from VC++. Cast
	values passed to ckfree for the same reason.
	* misc/libutils/mxfuncs.h: Undefine EXTERN
	before defining it to avoid compiler warning.
	* parsers/cpp/cpplib/macro.c: Avoid compiler
	warning by including longstr.h to access the
	function prototype for SN_StrDup. Use NULL
	instead of the literal 0.
	* parsers/tcl/Scanner.c: Include string.h
	to avoid compiler warning because of lack
	of prototypes for functions like strchr.

2002-04-26  Mo DeJong  <supermo@bayarea.net>

	* db/dbcp.c: Include compat.h before db.h
	to avoid undefined type error when building
	with VC++.

2002-04-25  Mo DeJong  <supermo@bayarea.net>

	* Makefile.am: Remove BUILD_GREP conditional
	install rule.
	* Makefile.in: Regen.
	* config.h.in: Regen.
	* configure: Regen.
	* configure.in: Check for sys/param.h header.
	Check for u_char type. Remove special VC++ flags
	from WINFLAGS since they are no longer needed.
	Add WINFLAGS settings for mingw.
	Remove check of the system's grep, we no longer
	include a grep module so this is not needed.
	* bitmaps/Makefile.in: Regen.
	* db/Makefile.am: Add snavigator/misc
	to include search directories. Fixup CFLAGS
	assignment to use = instead of +=.
	* db/Makefile.in: Regen.
	* db/dbcp.c: Include <compat.h>.
	* db/dbimp.c: Include <config.h> and <compat.h>.
	Conditionally include <unistd.h>
	* db/dbutils.c: Ditto.
	* db/dbutils.h: Remove WIN32 conditional around
	<config.h> include.
	* demo/Makefile.in: Regen.
	* doc/Makefile.in: Regen.
	* doc/html/Makefile.in: Regen.
	* etc/Makefile.in: Regen.
	* etc/sn_toolchains/Makefile.in: Regen.
	* gui/Makefile.am: Add warning message in case
	the tclIndex file does not exist.
	* gui/Makefile.in: Regen.
	* hyper/Makefile.am: Add snavigator/misc
	to include search directories.
	* hyper/Makefile.in: Regen.
	* hyper/dbsym.c: Remove WIN32 conditional around
	<config.h> include. Include <compat.h>.
	* hyper/win/winMain.c: Include <config.h> and
	conditionally include <unistd.h>
	* install/Makefile.in: Regen.
	* misc/Makefile.in: Regen.
	* misc/compat.h: Add new file.
	* misc/libutils/Makefile.am: Add snavigator/misc
	to include search directories.
	* misc/libutils/Makefile.in: Regen.
	* misc/libutils/realpath.c: Include <config.h>.
	Conditionally include <sys/param.h>. Include
	<compat.h>.
	* packages/Makefile.in: Regen.
	* parsers/Makefile.in: Regen.
	* parsers/assembly/Makefile.in: Regen.
	* parsers/assembly/ppc601-eabi/Makefile.in: Regen.
	* parsers/assembly/ppc601-eabi/configure: Regen.
	* parsers/assembly/ppc601-eabi/configure.in: Add
	mingw compiler check and WINFLAGS. Remove unneeded
	VC++ WINFLAGS that include files from the db package.
	* parsers/chill/Makefile.in: Regen.
	* parsers/cobol/Makefile.am: Add snavigator/misc
	to include search directories.
	* parsers/cobol/Makefile.in: Regen.
	* parsers/cobol/skeleton.c: Include <config.h> and
	<compat.h>. Conditionally include <sys/param.h>.
	* parsers/common/Makefile.in: Regen.
	* parsers/cpp/Makefile.in: Regen.
	* parsers/cpp/cpplib/Makefile.am: Add snavigator/misc
	to include search directories.
	* parsers/cpp/cpplib/Makefile.in: Regen.
	* parsers/cpp/cpplib/cp_crossref.c: Remove _MSC_VER
	conditional around <config.h> include. Conditionally
	include <unistd.h>. Include <compat.h>.
	* parsers/fortran/Makefile.in: Regen.
	* parsers/gcj/Makefile.in: Regen.
	* parsers/java/Makefile.am: Add snavigator/misc
	to include search directories.
	* parsers/java/Makefile.in: Regen.
	* parsers/java/skeleton.c: Include <config.h> and
	<compat.h>. Conditionally include <sys/param.h>.
	* parsers/libjcreuse/Makefile.in: Regen.
	* parsers/m4/Makefile.in: Regen.
	* parsers/python/Makefile.in: Regen.
	* parsers/sendmail/Makefile.in: Regen.
	* parsers/tcl/Makefile.am: Add snavigator/misc
	to include search directories.
	* parsers/tcl/Makefile.in: Regen.
	* parsers/tcl/skeleton.c: Include <config.h> and
	<compat.h>. Conditionally include <sys/param.h>.
	* parsers/toolbox/Makefile.in: Regen.
	* parsers/toolbox/snptools.c: Include <config.h>.
	Conditionally include <unistd.h> and <sys/param.h>.
	* parsers/toolbox/snptools.h: Include <config.h>.
	Conditionally include <unistd.h>.
	* sdk/Makefile.in: Regen.
	* sdk/api/Makefile.in: Regen.
	* sdk/api/c/Makefile.in: Regen.
	* sdk/api/c/database/Makefile.in: Regen.
	* sdk/api/c/database/examples/Makefile.in: Regen.
	* sdk/api/tcl/Makefile.in: Regen.
	* sdk/api/tcl/database/Makefile.in: Regen.
	* sdk/api/tcl/database/examples/Makefile.in: Regen.
	* sdk/api/tcl/misc/Makefile.in: Regen.
	* sdk/parsers/Makefile.in: Regen.
	* sdk/parsers/examples/Makefile.in: Regen.
	* sdk/parsers/examples/assembly/Makefile.in: Regen.
	* sdk/parsers/examples/elf/Makefile.in: Regen.
	* snavigator/Makefile.in: Regen.
	* snavigator/unix/Makefile.in: Regen.
	* snavigator/win/Makefile.in: Regen.

2002-04-25  Mo DeJong  <supermo@bayarea.net>

	* config.h.in: Regen.
	* configure: Regen.
	* configure.in: Avoid using AC_TYPE_* macros
	since they muck with #defines of the type name.
	Use AC_TRY_COMPILE and AC_DEFINE to create newer
	autoconf style HAVE_* defines. These calls to
	AC_TRY_COMPILE can be replaced by the commented
	out AC_CHECK_TYPES call when upgrading to 2.5X.
	The effected types are ssize_t, size_t, mode_t,
	off_t, and pid_t. Remove useless call of
	AC_TYPE_GETGROUPS.

2002-04-25  Mo DeJong  <supermo@bayarea.net>

	* configure: Regen.
	* configure.in: Check for Windows compiler type
	using AC_EGREP_CPP instead of looking at the
	value of ac_cv_prog_CC. Call AC_PROG_CPP before
	hand since this is required for Autoconf 2.13.
	* parsers/assembly/ppc601-eabi/configure: Regen.
	* parsers/assembly/ppc601-eabi/configure.in: Ditto.

2002-04-24  Mo DeJong  <supermo@bayarea.net>

	* configure: Regen.
	* configure.in: Set the executable extension before
	running AC_EXEEXT since autoconf 2.13 gets this
	wrong with VC++.
	* parsers/assembly/ppc601-eabi/configure: Regen.
	* parsers/assembly/ppc601-eabi/configure.in: Ditto.

2002-04-24  Mo DeJong  <supermo@bayarea.net>

	* configure: Regen.
	* configure.in: Call AC_CONFIG_SUBDIRS with
	a plain path argument instead of a variable
	argument. This will allow us to use autoconf
	2.5X when the time comes.

2002-04-23  Mo DeJong  <supermo@bayarea.net>

	* Makefile.in: Regen.
	* acconfig.h: Remove.
	* acinclude.m4: Use 3 argument form of
	AC_DEFINE so that acconfig.h is no longer
	required.
	* aclocal.m4: Regen.
	* config.h.in: Regen.
	* configure: Regen.
	* configure.in: Use 3 argument form of
	AC_DEFINE so that acconfig.h is no longer
	required.

2002-04-22  Mo DeJong  <supermo@bayarea.net>

	* parsers/assembly/ppc601-eabi/Makefile.in:
	* parsers/assembly/ppc601-eabi/aclocal.m4:
	* parsers/assembly/ppc601-eabi/autogen.sh:
	* parsers/assembly/ppc601-eabi/config.h.in:
	* parsers/assembly/ppc601-eabi/configure: Update
	build files to autoconf 2.13 and automake 1.4.

2002-04-22  Mo DeJong  <supermo@bayarea.net>

	* Makefile.in:
	* autogen.sh: Add new file.
	* config.h.in:
	* configure:
	* bitmaps/Makefile.in:
	* db/Makefile.in:
	* demo/Makefile.in:
	* doc/Makefile.in:
	* doc/html/Makefile.in:
	* etc/Makefile.in:
	* etc/sn_toolchains/Makefile.in:
	* gui/Makefile.in:
	* hyper/Makefile.in:
	* install/Makefile.in:
	* misc/Makefile.in:
	* misc/libutils/Makefile.in:
	* packages/Makefile.in:
	* parsers/Makefile.in:
	* parsers/assembly/Makefile.in:
	* parsers/chill/Makefile.in:
	* parsers/cobol/Makefile.in:
	* parsers/common/Makefile.in:
	* parsers/cpp/Makefile.in:
	* parsers/cpp/cpplib/Makefile.in:
	* parsers/fortran/Makefile.in:
	* parsers/gcj/Makefile.in:
	* parsers/java/Makefile.in:
	* parsers/libjcreuse/Makefile.in:
	* parsers/m4/Makefile.in:
	* parsers/python/Makefile.in:
	* parsers/sendmail/Makefile.in:
	* parsers/tcl/Makefile.in:
	* parsers/toolbox/Makefile.in:
	* sdk/Makefile.in:
	* sdk/api/Makefile.in:
	* sdk/api/c/Makefile.in:
	* sdk/api/c/database/Makefile.in:
	* sdk/api/c/database/examples/Makefile.in:
	* sdk/api/tcl/Makefile.in:
	* sdk/api/tcl/database/Makefile.in:
	* sdk/api/tcl/database/examples/Makefile.in:
	* sdk/api/tcl/misc/Makefile.in:
	* sdk/parsers/Makefile.in:
	* sdk/parsers/examples/Makefile.in:
	* sdk/parsers/examples/assembly/Makefile.in:
	* sdk/parsers/examples/elf/Makefile.in:
	* snavigator/Makefile.in:
	* snavigator/unix/Makefile.in:
	* snavigator/win/Makefile.in: Regen with net release of
	autoconf 2.13 and automake 1.4

2002-04-20  Mo DeJong  <supermo@bayarea.net>

	* gui/tclIndex: Add file that got
	ignored by the cvs import.

2002-04-19  Mo DeJong  <supermo@bayarea.net>

	* configure.in: Avoid setting HYPER_CONSOLE.
	* hyper/Makefile.am: Avoid using HYPER_CONSOLE
	when linking hyper.exe.
	* hyper/Makefile.in: Ditto.
	* hyper/win/winMain.c (WinMain, Tcl_AppInit):
	Use public Tk_CreateConsoleWindow instead of
	internal TkConsoleCreate and TkConsoleInit
	functions. This removes the need to link
	to the HYPER_CONSOLE object from tk which
	should make it easier to build with an
	already installed version of Tk.

2002-04-19  Mo DeJong  <supermo@bayarea.net>

	* gui/preferences.tcl (AddParser): Use a grid layout
	for the "Language Extensions" entries in the Parser tab.
	The previous implementation would grow the left entry
	at the expense of the right entry. One could make the
	right entry vanish by typing a lot of text into the
	left entry.

2002-02-21  Mo DeJong  <supermo@bayarea.net>

        * gui/preferences.tcl (AddProject): Change
        [info encodings] call to [encoding names].
        The info subcommand was a local Tcl modification
        that did not survive the 8.3 upgrade process.

2002-02-20  Mo DeJong  <supermo@bayarea.net>

        * INSTALL.TXT: Indicate that users should install
        into /opt/sourcenav by default so as to avoid
        version conflicts in supporting packages.
        Add note about -MD in the CFLAGS and --host=windows32
        on the configure line when compiling with VC++.
        * README.TXT: Mention INSTALL.TXT not INSTALL.

2002-02-04  Mo DeJong  <supermo@bayarea.net>

	* gui/makepane.tcl (Make): When initially
	opening the build window select the
	<External Makefile> target.

2002-02-04  Mo DeJong  <supermo@bayarea.net>

	* MAINTAINERS: Update email addressed for
	Syd and Mo. Add note about not contacting
	maintainers.

2002-02-04  Mo DeJong  <supermo@bayarea.net>

	* gui/combo.tcl (-state, -readonly): Implement a read
	only entry widget with a binding that ignores all
	key press events. The previous implementation depended
	on a local modification that added a -state readonly
	property to the entry widget. We can't depend on that
	modification since it will not exist in a system
	install of Tk 8.3.
	* tests/gui/combo.test: Add test case for selecttext
	member function.

2002-02-04  Mo DeJong  <supermo@bayarea.net>

	* INSTALL.TXT: Add missing file.
	* README.TXT: Add missing file.

2002-02-01  Ian Roxborough  <irox@redhat.com>

	* Makefile.am: Changed hardcoded
	tcl/tk path names to reflex the current repository.
	* configure.in: Ditto.
	* Makefile.in: Regenerated.
	* configure: Ditto.
	* bitmaps/Makefile.in: Ditto.
	* db/Makefile.in: Ditto.
	* etc/Makefile.in: Ditto.
	* gui/Makefile.in: Ditto.
	* hyper/Makefile.in: Ditto.
	* misc/libutils/Makefile.in: Ditto.
	* parsers/chill/Makefile.in: Ditto.
	* parsers/cobol/Makefile.in: Ditto.
	* parsers/cpp/Makefile.in: Ditto.
	* parsers/cpp/cpplib/Makefile.in: Ditto.
	* parsers/fortran/Makefile.in: Ditto.
	* parsers/java/Makefile.in: Ditto.
	* parsers/libjcreuse/Makefile.in: Ditto.
	* parsers/m4/Makefile.in: Ditto.
	* parsers/python/Makefile.in: Ditto.
	* parsers/sendmail/Makefile.in: Ditto.
	* parsers/tcl/Makefile.in: Ditto.
	* sdk/api/tcl/database/examples/Makefile.in: Ditto.
	* sdk/api/tcl/misc/Makefile.in: Ditto.
	* win/Makefile.in: Ditto.
	
2001-09-25  Ian Roxborough  <irox@redhat.com>

	* etc/sn_toolchains/gnu-pro-powerpc-eabi:
	Add another missing file.

	* gui/tclIndex: Added if cvs import ignored
	it (despite the -I\! option).

2001-08-23  Ian Roxborough  <irox@redhat.com>

	* gui/tree.tcl (Tree:SyncTabs): Fixed
	problem with resizing tables with only
	one column.

	* gui/retriever.tcl (display_contents):
	Call SyncTabs to line up the headers after
	changing table contents.

2001-08-22  Ian Roxborough  <irox@redhat.com>

	* hyper/tkTreeTable.c: Added support for a
	resize Tcl callback (set with -resizecommand)
	that can be used to line up the columns and
	headers.
	* gui/tree.tcl (Tree::SyncTabs) New method.
	(Tree::constructor) Set resize callback to
	call SyncTabs.
	* gui/classpane.tcl (Class&::fill): Call
	SyncTabs since column width may have changed.
	
2001-08-17  Ian Roxborough  <irox@redhat.com>

	* gui/tree.tcl (treetable_bindings): Check tkPriv(listboxPrev)
	is set before calling tkListboxCancel when the Escape key
	binding is called.
	
2001-08-17  Ian Roxborough  <irox@redhat.com>

	* gui/editorpane.tcl (Editor&::load_n_colour):
	New method. (Editor&::revert_file): Call load_n_colour
	instead of editfile when revert other editors with the
	same file. This avoids making calls that would result
	in focus of the current editor plane being changed.
	
2001-08-16  Ian Roxborough  <irox@redhat.com>

	* gui/projedit.tcl (Project&::apply): Store newly
	added files in itk_option(-new_ProjectFiles) when
	creating a project first time around.

2001-06-15  Mo DeJong  <mdejong@redhat.com>

	* hyper/sninit.c (Sn_setup_Init): Don't call TclSetEnv
	since it is a Tcl internal function. We can't link to
	this internal function because it is not exported from
	the Tcl dll. Set the env variable with Tcl_SetVar2 instead.

2001-06-14  Mo DeJong  <mdejong@redhat.com>

	* snavigator/unix/snavigator.in: Don't set TCL_LIBRARY, it
	is no longer needed since the Unix version of hyper should
	now be location independent.

2001-06-11  Mo DeJong  <mdejong@redhat.com>

	* Makefile.in:
	* configure:
	* bitmaps/Makefile.in:
	* db/Makefile.in:
	* demo/Makefile.in:
	* doc/Makefile.in:
	* doc/html/Makefile.in:
	* etc/Makefile.in:
	* etc/sn_toolchains/Makefile.in:
	* gui/Makefile.in:
	* hyper/Makefile.am: Add TCL_BUILD_STUB_LIB_SPEC to hyper_LDADD so
	that the Windows version of hyper finds links to the stub init functions.
	* hyper/Makefile.in:
	* install/Makefile.in:
	* misc/Makefile.in:
	* misc/libutils/Makefile.in:
	* packages/Makefile.in:
	* parsers/Makefile.in:
	* parsers/assembly/Makefile.in:
	* parsers/chill/Makefile.in:
	* parsers/cobol/Makefile.in:
	* parsers/common/Makefile.in:
	* parsers/cpp/Makefile.in:
	* parsers/cpp/cpplib/Makefile.in:
	* parsers/fortran/Makefile.in:
	* parsers/gcj/Makefile.in:
	* parsers/java/Makefile.in:
	* parsers/libjcreuse/Makefile.in:
	* parsers/m4/Makefile.in:
	* parsers/python/Makefile.in:
	* parsers/sendmail/Makefile.in:
	* parsers/tcl/Makefile.in:
	* parsers/toolbox/Makefile.in:
	* sdk/Makefile.in:
	* sdk/api/Makefile.in:
	* sdk/api/c/Makefile.in:
	* sdk/api/c/database/Makefile.in:
	* sdk/api/c/database/examples/Makefile.in:
	* sdk/api/tcl/Makefile.in:
	* sdk/api/tcl/database/Makefile.in:
	* sdk/api/tcl/database/examples/Makefile.in:
	* sdk/api/tcl/misc/Makefile.in:
	* sdk/parsers/Makefile.in:
	* sdk/parsers/examples/Makefile.in:
	* sdk/parsers/examples/assembly/Makefile.in:
	* sdk/parsers/examples/elf/Makefile.in:
	* snavigator/Makefile.in:
	* snavigator/unix/Makefile.in:
	* snavigator/win/Makefile.in: Regen.

2001-06-08  Mo DeJong  <mdejong@redhat.com>

	* INSTALL:
	* INSTALL.TXT:
	* README:
	* README.TXT: Rename files. The INSTALL file
	was causing cvs checkout to fail on Windows
	because the INSTALL file and the install/
	directory conflict on a case insensitive
	filesystem.

2001-06-07  Mo DeJong  <mdejong@redhat.com>

	* INSTALL: Rework some sentences related to Windows
	paths and the compiler/shell.
	* README: Change and to an in initial description.

2001-06-06  Mo DeJong  <mdejong@redhat.com>

	* INSTALL:
	* README: Rework some sentences, move binary
	install section to top of INSTALL.

2001-06-05  Mo DeJong  <mdejong@redhat.com>

	* INSTALL: Add note about install of a binary release.

2001-06-04  Mo DeJong  <mdejong@redhat.com>

	* COPYING: Remove.
	* INSTALL: Add build/install instructions.
	* README: Add generic readme notes.
	* admin/RELEASE: Add file describing the
	steps needed to release SN.

2001-05-24  Mo DeJong  <mdejong@redhat.com>

	* Makefile.in:
	* configure:
	* bitmaps/Makefile.in:
	* db/Makefile.in:
	* demo/Makefile.in:
	* doc/Makefile.in:
	* doc/html/Makefile.in:
	* etc/Makefile.in:
	* etc/sn_toolchains/Makefile.in:
	* gui/Makefile.in:
	* hyper/Makefile.am: Add -I includes for itcl
	and itk generic directories.
	* hyper/Makefile.in:
	* hyper/sninit.c: Add #include of itk.h so that
	Itcl_Init and Itk_Init are prototyped correctly.
	* install/Makefile.in:
	* misc/Makefile.in:
	* misc/libutils/Makefile.in:
	* packages/Makefile.in:
	* parsers/Makefile.in:
	* parsers/assembly/Makefile.in:
	* parsers/chill/Makefile.in:
	* parsers/cobol/Makefile.in:
	* parsers/common/Makefile.in:
	* parsers/cpp/Makefile.in:
	* parsers/cpp/cpplib/Makefile.in:
	* parsers/fortran/Makefile.in:
	* parsers/gcj/Makefile.in:
	* parsers/java/Makefile.in:
	* parsers/libjcreuse/Makefile.in:
	* parsers/m4/Makefile.in:
	* parsers/python/Makefile.in:
	* parsers/sendmail/Makefile.in:
	* parsers/tcl/Makefile.in:
	* parsers/toolbox/Makefile.in:
	* sdk/Makefile.in:
	* sdk/api/Makefile.in:
	* sdk/api/c/Makefile.in:
	* sdk/api/c/database/Makefile.in:
	* sdk/api/c/database/examples/Makefile.in:
	* sdk/api/tcl/Makefile.in:
	* sdk/api/tcl/database/Makefile.in:
	* sdk/api/tcl/database/examples/Makefile.in:
	* sdk/api/tcl/misc/Makefile.in:
	* sdk/parsers/Makefile.in:
	* sdk/parsers/examples/Makefile.in:
	* sdk/parsers/examples/assembly/Makefile.in:
	* sdk/parsers/examples/elf/Makefile.in:
	* snavigator/Makefile.in:
	* snavigator/unix/Makefile.in:
	* snavigator/win/Makefile.in: Regen automake files.

2001-05-24  Mo DeJong  <mdejong@redhat.com>

	* hyper/sninit.c (Sn_setup_Init): Remove ^M chars.

2001-04-25  Syd Polk  <spolk@redhat.com>

        * etc/sn_toolchains/Makefile.am: Removed gnu-pro-elix-powerpc
        and gnu-pro-elix-x86. Added gnu-pro-powerpc-eabi.
        * etc/sn_toolchains/Makefile.in: Regenerated.

        * etc/sn_toolchains/gnu-pro-elix-powerpc gnu-pro-elix-x86: Removed.
        * etc/sn_toolchains/gnu-pro-powerpc-eabi: Added.

2001-04-23  Mo DeJong  <mdejong@redhat.com>

	* gui/printdialog.tcl (PrintDialog): Don't
 	call on_close method in Dialog class. Use
	deactivate method to indicate how the dialog
	closed. Fixes PR 38.

2001-04-12  Syd Polk  <spolk@redhat.com>

	* configure.in: No longer regenerate doc/html/generateindex.tcl.in.
	* configure: Regenerated.
	* doc/html/generateindex.tcl.in: Removed.
	* doc/html/index.tcl.in: Removed.
	* doc/html/index.tcl: This won't change based on version now. Just
	use it.
	* doc/html/Makefile.am: Don't generate index.tcl; just use it.
	* doc/html/Makefile.in: Regenerated.

2001-04-06  Mo DeJong  <mdejong@redhat.com>

	* snavigator/unix/snavigator.in: Avoid
	cd'ing to the bin directory before
	running hyper. Fixes PR 29.

2001-04-01  Mo DeJong  <mdejong@redhat.com>

	* gui/editorpane.tcl (FileDialog):
	Call tk::dialog::file::tkFDialog
	instead of tkFDialog when running
	with Tk 8.3 or newer.

2001-03-31  Mo DeJong  <mdejong@redhat.com>

	* gui/Makefile: Add Makefile in srcdir.
	It should be used to regenerate tclIndex.
	* gui/Makefile.am: Copy tclIndex into
	install dir and install time, do not
	generate a new tclIndex file at install.
	* gui/Makefile.in: Regenerate.
	* gui/tclIndex: Generate tclIndex and
	add it to the CVS.

2001-03-27  Ian Roxborough  <irox@redhat.com>

	* hyper/recudir.c: Correct macros so Tcl_ObjSetVar2 is called
	for Tcl8.3.
	
	* hyper/sninit.c: Removed some extra "^M"s.  Call
	Tcl_EvalObj with two parameters when using Tcl8.3
	
2001-03-22  Syd Polk  <spolk@redhat.com>

	* snavigator/unix/snavigator.in: The assignment of TCL_LIBRARY
	has to be separate from the export statement to work on Solaris.

2001-03-21  Syd Polk  <spolk@redhat.com>

	* snavigator/unix/snavigator.in: Export TCL_LIBRARY so that tcl
	can find its encodings.

2001-03-14  Syd Polk  <spolk@redhat.com>

	* configure.in: Added --enable-assembly-parser, which will control
	which directory gets built for the assembly parser. Defaults to
	ppc601-eabi. Don't generate Makefile for assembly parsers; call
	the correct configure instead.
	* configure: Regenerated.


	* parsers/assembly/ppc601-eabi/Makefile.am Makefile.in acinclude.m4
	aclocal.m4 config.h.in configure configure.in install-sh
	missing mkinstalldirs stamp-h.in: Added.

	

2001-03-06  Ian Roxborough  <irox@redhat.com>

	* gui/multiview.tcl (Editor&::windows_delete_last_pane):
	Don't ask to "save changes" if there is another Editor&
	open with the same file (and the same edits).
	(CountInstancesOfFile): New proc for counting the number
	of Editors open with a specific file.

2001-03-02  Syd Polk  <spolk@redhat.com>

	* AUTHORS: Fleshed out.
	* MAINTAINERS: New file.

	* configure.in: Don't install install/INSTALL.
	* configure: Regenerate.
	
	* Makefile.am: Don't install wish.
	* Makefile.in: Regenerate.
	
	* install/INSTALL.in: Removed.
	* install/README.TXT: Updated.
	* install/Makefile.am: Don't install INSTALL.
	* install/Makefile.in: Regenerate.

	* unix/Makefile.am: Don't install elix-link. We will do this better
	if we ever do EDK again.
	* unix/Makefile.in: Regenerate.

2001-03-01  Syd Polk  <spolk@redhat.com>

	* snavigator/unix/snavigator.in: Simplify launching of hyper
	to be location independent now that hyper knows how to find
	its tcl libraries.

2001-03-01  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (ExecGrep, finish_grep,
	grepReadableEvent):
	Don't insert \n in the grep file group loop.
	Don't strip a trailing \n off the input
	buffer in the read call.
	Call tixBusy when highlighting text search
	results since it could take a long time.
	Add a CANCELED line to the text results
	if the user hit the Cancel button.
	Remove update call inside the
	grepReadableEvent method and add
	comment to explain why.
	Make grep_running private.

2001-02-28  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (ExecGrep): Reinit
	the text_b1_current_line_num so that
	the selected line property is cleaned
	up by running a new grep.

2001-02-28  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (cancel_grep, grep_canceled):
	Add grep_canceled variable, use it to detect
	when the user hits the Cancel button so
	that we break out of the multiple file grep.

2001-02-28  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (text_b1_down,
	text_b1_double): Ring the bell when ignoring
	a click in the grep result window while the
	grep is still running.

2001-02-28  Syd Polk  <spolk@redhat.com>

	* etc/english.txt.in: Use separated years for copyrights.

2001-02-28  Syd Polk  <spolk@redhat.com>

	* configure.in: If we don't have GNU grep, build it.
	* configure: Regenerated.

	* Makefile.am: Install grep executable if BUILD_GREP is set.
	* */Makefile.am: Regenerated.

	* gui/greppane.tcl (ExecGrep): Use bindir/grep if it is installed
	rather than relying on path.

2001-02-28  Ian Roxborough <irox@redhat.com>

	* etc/english.txt.in: Updated splash
	screen Copyright message to the year 2001.

2001-02-28  Mo DeJong  <mdejong@redhat.com>

	* gui/misc.tcl (event_LoadPipeInput): Put
	the parser pipe back in blocking mode
	before calling close. This fixes detection
	of a crashed parser.

2001-02-27  Ian Roxborough <irox@redhat.com>

	* gui/xrefpane.tcl (XRef&::fill):  Do not use
	tixBusy as it stops the combo drop down grab
	from working properly.  Display "watch" cursor
	on long db look ups.

2001-02-26  Mo DeJong  <mdejong@redhat.com>

	* gui/projmng.tcl (sn_new_project_cb):
	If an error was raised during the call to
	sn_create_new_project, delete a half
	created project if there is one.

2001-02-26  Mo DeJong  <mdejong@redhat.com>

	* etc/english.txt.in: Remove entry
	for ContinueProcessing.
	* gui/misc.tcl (sn_create_new_project,
	sn_ask_to_continue_project):
	Don't call sn_ask_to_continue_project, we
	never want to create an incomplete project.
	Fix some CRLF line endings by converting
	them to LF. Remove sn_ask_to_continue_project.

2001-02-26  Ian Roxborough <irox@redhat.com>

	* gui/xrefpane.tcl (XRef&::fill): Added
	simple caching of symbols drop down contents.
	
2001-02-26  Mo DeJong  <mdejong@redhat.com>

	* gui/misc.tcl (sn_processing_canceled):
	Use the incorrectly spelled global variable
	ProcessingCancelled.

2001-02-25  Ian Roxborough <irox@redhat.com>
	
	* gui/classpane.tcl
	* gui/classtreepane.tcl
	* gui/combo.tcl
	* gui/dialog.tcl
	* gui/diff.tcl
	* gui/dirdialog.tcl
	* gui/editorpane.tcl
	* gui/grep.tcl
	* gui/greppane.tcl
	* gui/includepane.tcl
	* gui/makepane.tcl
	* gui/misc.tcl
	* gui/mkfilegen.tcl
	* gui/multiview.tcl
	* gui/panewd.tcl
	* gui/preferences.tcl
	* gui/project.tcl
	* gui/projedit.tcl
	* gui/rcs.tcl
	* gui/retriever.tcl
	* gui/retrieverpane.tcl
	* gui/selector.tcl
	* gui/sninit.tcl
	* gui/symbolbrowser.tcl
	* gui/targetedit.tcl
	* gui/tmeter.tcl
	* gui/tools.tcl
	* gui/version.tcl
	* gui/window.tcl
	* gui/xrefpane.tcl
	* hyper/c_high.l
	* hyper/sninit.c
	* parsers/cpp/cpplib/cp_crossref.c
	* parsers/cpp/cpplib/cp_declaration.c
	* parsers/cpp/cpplib/cp_maintest.c
	* parsers/cpp/cpplib/cp_process.c
	* parsers/cpp/cpplib/cp_statement.c
	* parsers/cpp/cpplib/cplex.c
	* parsers/m4/m4browser.l:
	Change Copyright notices date to 2001 if the
	file has changed since Jan 1, 2001.

2001-02-24  Ian Roxborough <irox@redhat.com>

	* gui/tools.tcl (ChooseFont&): Use correct method
	to set Combo& contents.  Inherit from sourcenav::Dialog
	instead of sourcenav::Windows.

2001-02-23  Ian Roxborough <irox@redhat.com>

	* gui/editorpane.tcl (DirDialog) Remove "::"
	from window name before calling ide_get_directory.
	
2001-02-22  Mo DeJong  <mdejong@redhat.com>

	* gui/grep.tcl (sn_make_edit_file): Add
	new method that will be invoked from
	a double click on an error line in the
	make window. The system will attempt
	to convert a fully qualified Cygwin
	path to a windows native one. In
	addition a match on the */foo.c
	will be done on a path like
	../../src/foo.c.
	* gui/makepane.tcl (handle_return):
	Call sn_make_edit_file instead of
	sn_grep_edit_file on a double click
	in the build window.
	* gui/multiview.tcl (): Add note about
	menu item that should be removed in
	a future release.

2001-02-19  Syd Polk  <spolk@redhat.com>

	* hyper/sninit.c (sn_tcl_tk_init): Find the share directory correctly 
	for both UNIX and Windows when exec-prefix != prefix.
 
	* win/snavigator.c (winMain): Launch hyper correctly for exec-prefix
	!= prefix.

2001-02-15  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (ExecGrep): Add
	tixBusy calls around the code
	that deletes the grep results
	in case deleting the results
	from the text widget takes
	a long time.

2001-02-15  Mo DeJong  <mdejong@redhat.com>

	* gui/xrefpane.tcl (fill, activate,
	postcommand): Make the fill method
	private. Add tixBusy calls around
	the database query. Call the filter
	method to fill in the combo contents
	when the drop down is activated.
	Remove unused displayed variable
	and confusing comments.

2001-02-14  Mo DeJong  <mdejong@redhat.com>

	* gui/dialog.tcl (activate):
	* gui/dirdialog.tcl (constructor):
	Call Window methods instead of
	directly invoking wm methods.

2001-02-14  Mo DeJong  <mdejong@redhat.com>

	* gui/version.tcl (sn_rcs_diff): Block
	the UI via tixBusy while waiting for
	a revision log command to complete.
	Replace direct calls to window commands
	with methods from the Window class. Use
	centerOnScreen and friends instead
	of move_to_mouse.
	* gui/window.tcl (transient): Re-implement
	the transient method to work around a
	bug that causes a transient window to
	be re-mapped under Windows.

2001-02-13  Mo DeJong  <mdejong@redhat.com>

	* gui/misc.tcl (sn_show_splash_screen):
	* gui/preferences.tcl (constructor):
	* gui/projedit.tcl (constructor):
	Use centerOnScreen instead of center method.
	Make explicit calls to configure geometry,
	deiconify, and take_focus methods.
	* gui/window.tcl (centerOnScreen, center,
	move_to_mouse):
	Use the center method when a call to
	centerOnScreen is made under Windows.
	Make the center method private and
	remove calls to deiconify and take_focus.
	Remove unused -relief itk option and
	add a FIXME note about usual options
	that are not being passed to itk:Toplevel.

2001-02-11  Mo DeJong  <mdejong@redhat.com>

	* parsers/m4/m4browser.l: Define
	global xrefs as if they were
	in a function named GLOBAL.
	Eat \$ pattern so that \$foo
	is not seen as a variable access.
	Add missing sn_advance_column
	to each pattern so that output
	column numbers are correct.
	Improve autoconf/m4 function
	declaration pattern.

2001-02-09  Ian Roxborough  <irox@redhat.com>

	* gui/misc.tcl (sn_parse_uptodate):
	raise the "file not found" window before
	trying "set grab".
	
2001-02-09  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (text_b1_double,
	handle_single_click): Add tixBusy
	calls just before calling the
	single or double click method.
	This user feedback is critical
	when a selection action could
	gets stuck in a long file parse.
	* gui/tmeter.tcl (delete_scale_window):
	When destroying the tmp scale
	window widget, call update
	so that any windows it appeared
	over will get to redraw. This is
	needed so that the window will
	redraw itself in the case of
	a long file parse after the
	call to delete_scale_window.

2001-02-09  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (finish_grep,
	handle_proceed): Disable the
	format, next, and prev buttons
	while the grep is running.

2001-02-09  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (text_b1_down,
	text_b1_double): Ignore mouse
	down events in the grep results
	text widget while the grep is
	running.

2001-02-09  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (text_b1_down,
	text_b1_up, text_b1_double): Set
	mouse motion binding after a
	normal click action, this
	will make canceling a mouse
	event safe with respect to mouse
	motion events.

2001-02-09  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (ExecGrep, finish_grep):
	Remove calls to tixBusy, we can't blocks
	window events while the grep is running
	because you can't hit cancel or switch
	tabs when events are blocked.

2001-02-09  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (constructor,
	handle_return, text_b1_double, Focus):
	Remove Return and space bindings from
	the grep text widget. They are not
	documented and are not accessible.
	Always assign default focus to the
	pattern entry. Remove handle_return
	method, inline it in text_b1_double.

2001-02-08  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (Split_Line,
	handle_single_click, exported_current_line):
	Re-implement feature that will allow a
	double click to open a new file without
	changing the current symbol in the grep.
	A new exported_current_line variable
	will be set to a symbol on a single
	click but not on a double click.

2001-02-08  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl: Revert changes
	from 2001-02-06 that dealt with
	the selection on single and double
	clicks.

2001-02-08  Mo DeJong  <mdejong@redhat.com>

	* gui/makepane.tcl (constructor,
	cb_launch_build, RefreshTargetInfo,
	handle_proceed, activate, deactivate):
	Add new protected variable for
	the toolbar frame. Remove
	some FIXMEs that have been
	addressed. Don't configure the
	state of widgets inside the
	Combo& widget. Disable all
	the widgets except the cancel
	button while make is running.

2001-02-08  Ian Roxborough  <irox@redhat.com>

	* gui/misc.tcl (sn_show_splash_screen):
	Use "center" instead of "centerOnScreen"
	method.

2001-02-07  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl (constructor): Remove
	unused configurations options for Tree.
	Add new "extended" component, it replaces
	the -extended option. Make -bd option
	a private variable and set it to 1.
	* gui/editorpane.tcl (constructor,
	read_filetags): Don't pass -bd
	option to combo. Raise an error
	if read_filetags is called without
	having a combo set.
	* gui/multiview.tcl (AddToolbar,
	Add_Symbol_Filter, toolbar_symbols):
	Don't pass -withframe to the combo.
	Don't pass menu argument to the
	toolbar_symbols method. Use the
	new extended component of the combo
	instead of the old -extended option.
	* tests/gui/combo.test: Add test for
	extended component placement.

2001-02-07  Ian Roxborough  <irox@redhat.com>

	* gui/selector.tcl (Selector&::setSelectorContents):
	New method for setting selector contents.
	
	* gui/rcs.tcl:  Change "configure -contents"
	to setSelectorContents where the Selector& class
	is used.
	
2001-02-06  Mo DeJong  <mdejong@redhat.com>

	* gui/sninit.tcl (sn_master_delete_slave):
	Exit even if tcl_interactive is set to 1
	under windows because hyper hard codes
	tcl_interactive to 1 under Windows.

2001-02-06  Ian Roxborough  <irox@redhat.com>

	* gui/tools.tcl (select_file_cb): Don't use
	"list" when handling file names.

2001-02-06  Ian Roxborough  <irox@redhat.com>

	* gui/misc.tcl (add_more_cb): Initialize
	sn_newargs variable when adding an extra
	directory entry-label-button.

2001-02-06  Ian Roxborough  <irox@redhat.com>

	* gui/editorpane.tcl (Editor&::SearchForNext):
	Beep if no instances of the search pattern are
	found.

2001-02-06  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl (Grep::text_b1_motion):
	Update the selection highlight, but don't set
	anything (i.e. don't set text_current_line).

2001-02-06  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl (Grep::handle_return):
	Added a parameter use_external_file, which
	means editors can be launched without
	setting the private variable text_current_line.
	Other clean and fixes to stop text_current_line
	being changed when it shouldn't.

2001-02-05  Ian Roxborough  <irox@redhat.com>

	* gui/editorpane.tcl (Editor&::SearchForNext):
	Beep when the last instance of a pattern is found.
	
2001-02-05  Ian Roxborough  <irox@redhat.com>

	* hyper/c_high.l: Added highlighting
	for #error.
	
2001-02-05  Ian Roxborough  <irox@redhat.com>

	* gui/classtreepane.tcl:
	* gui/rcs.tcl: Add UI blocking where
	needed for class tree tab and rcs (maybe
	need to add more for rcs).
	
2001-02-02  Mo DeJong  <mdejong@redhat.com>

	* gui/editorpane.tcl (read_filetags):
	Don't fully qualify standard Tcl commands.
	Make the read_filetags method private.
	Tidy up some expr commands.
	* gui/window.tcl (twidget): Remove
	unused twidget method. Tidy up some
	expr commands.

2001-02-02  Mo DeJong  <mdejong@redhat.com>

	* gui/targetedit.tcl (waitforwindow,
	waitForWindow): Remove instance
	variable and method, they are
	no longer needed now that
	the class is a child of Dialog.

2001-02-01  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl (constructor): Pass
	-type tearoff to the menu used to
	implement the Combo& under Windows.
	Under unix pass -type normal. This
	fixes a problem under Windows where
	two Combo& widgets could be displayed
	on screen even though they should
	be mutually exclusive.

2001-02-01  Ian Roxborough  <irox@redhat.com>

	* gui/retrieverpane.tcl: (Retr&::start_search):
	Added UI blocking during searches. (For Symbol
	browser and retriever windows.)
	
2001-02-01  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl: Correctly implement
	the -state and -readonly options
	using the back ported -state readonly
	option from Tk 8.3. Don't keep the
	-state option, configure the contained
	widgets from the -state body command.
	* tests/gui/combo.test: Remove or update
 	test for the -state active option, we
	only support normal and disabled. Add
	new tests to fully exercise the -state
	and -readonly options.

2001-02-01  Ian Roxborough  <irox@redhat.com>

	* gui/xrefpane.tcl (XRef&::cancel_Button_State):
	Block the UI while doing the xref lookup.
	
2001-02-01  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl:  Fixed missing results
	and two results per line bug.
	
2001-01-31  Mo DeJong  <mdejong@redhat.com>

	* tests/gui/combo.test: Add test case
	for two combo boxes, only one drop
	down can be visible at a time.

2001-01-31  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl: Don't bother to
	change the entry state when
	changing the -entrytext option.
	Use -entrytext option instead of
	doing a direct query/insert on
	the entry widget. Add some
	descriptive comments to
	option declarations.

2001-01-31  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl (menu_selection):
	Make the menu_selection method private.

2001-01-31  Mo DeJong  <mdejong@redhat.com>

	* tests/gui/combo.test: Add test case
	for type ahead in the combo box.

2001-01-31  Mo DeJong  <mdejong@redhat.com>

	* gui/tools.tcl (Color&::display_schemes):
	Use the Combo& -contents option instead
	of the defunct Combo& insert method.

2001-01-31  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl (constructor): Pass
	-sort "" to the Tree so that contents
	will appear as added not in sorted
	order. Remove the unneeded -sort
	option for Combo&.

2001-01-31  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl (menu_first, get,
	select, see, insert): Remove unused
	methods and variables.

2001-01-31  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl (selecttext): Return
	the index being selected.
	* gui/makepane.tcl (constructor):
	* gui/rcs.tcl(constructor):  Use
	the Combo& selecttext method instead
	of the select method. Select depends
	on the position of elements in the
	list and selecttext does not. Also,
	the select method is being phased out.

2001-01-30  Ian Roxborough  <irox@redhat.com>

	* parsers/cpp/cpplib/sp_process.c (Put_cross_ref):
	Make Put_cross_ref call correct put_cross_ref call
	and pragma out debug code.

2001-01-30  Mo DeJong  <mdejong@redhat.com>

	* gui/editorpane.tcl (goto): When
	searching the DB for an unknown
	symbol that was entered into the
	symbol combo box, restrict
	the search to the current file
	without a scope.

2001-01-30  Mo DeJong  <mdejong@redhat.com>

	* gui/editorpane.tcl (editfile, gotofile_cb):
	Raise descriptive error messages when invalid
	input to these methods is discovered. This
	prevents an "illegal operation on a directory"
	error that was showing up when entering
	an unknown symbol into the symbol accelerator
	combo for the editor pane.
	* gui/retriever.tcl (read_matched_from_db):
	Fix "empty list getting lindexed" problem
	that caused above errors in the editor.

2001-01-30  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (finish_grep): Add
	a text widget see call so that you
	can actually see a TRUNCATED message
	appended to the end of the results.
	Don't query the full contents of
	the result text widget just to find
	out if any results were added. Instead
	we just query the end index to see
	if any result lines were added.

2001-01-30  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl (menu_place): Remove
	unused combowidth and comboheight
	options.

2001-01-30  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl (Grep::ExecGrep):  Update
	the progress meter after every grep ran.
        (Grep::handle_proceed): Removed a rogue
	"set scalevalue 0" which was causing the
	progress meter to flicker.
	
2001-01-30  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl:  Added public variable
	grep_running to be used with tkwait to stop
	more than one grep running at once.  TRUNCATED
	message is now add after the colorizing is
	complete.

2001-01-29  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl: Changed lots of things
	to break down the number of files grep will
	attempted to process at once.

2001-01-29  Mo DeJong  <mdejong@redhat.com>

	* gui/classpane.tcl (activate):
	* gui/classtreepane.tcl (activate):
	* gui/editorpane.tcl (activate):
	* gui/greppane.tcl (activate, deactive):
	* gui/includepane.tcl (activate):
	* gui/multiview.tcl (Activate,
	windows_delete_last_pane):
	* gui/retrieverpane.tcl (activate, deactive):
	* gui/xrefpane.tcl (activate, deactive, fill,
	Reenable): Move code common to pane
	activate methods into MultiWindow&
	Activate. Don't use Combo& selecttext
	when a configure -entrytext will do.
	Keep the symbol combo in the normal
	state except when switching to the
	Retriever or Grep tabs. When
	splitting a Retriever or Grep tab,
	re-enable the symbol combo. Fix up
	broken variables in xref fill
	method. Don't disable the xref
	symbol combo otherwise one could
	not type into the entry. Make
	the xref Reenable method a no-op,
	since the symbol combo is not
	disabled to begin with.

2001-01-26  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl (Grep): the grep window
	will now block and display the hour glass
	when it can't take user input.

2001-01-26  Mo DeJong  <mdejong@redhat.com>

	* gui/mkfilegen.tcl (GenerateMakefile):
	Use itcl::delete object instead of old
	style object delete.

2001-01-26  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl (treew): Remove unneeded
	treew method.
	* gui/makepane.tcl: 
	* gui/xrefpane.tcl: Use treew component
	instead of treew method.

2001-01-26  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl: Remove the -postentrycommand
	option and callback. It serves no purpose,
	the -selectcommand should be used instead.
	* gui/multiview.tcl: Remove incorrect
	use of -postentrycommand option for Combo&.

2001-01-26  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl: Fix typo in last
	checkin, a \ was left off of
	a continued command.

2001-01-26  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl: Remove all traces
	of -tearoff support from the menu
	that is used to implement the
	combo popup. This fixes the
	problem where an empty area
	appears above the popup window.
	Properly quote exprs.

2001-01-26  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl (constructor, menu_focus):
	Force assignment of the focus to the
	tree widget when the popup is displayed.
	This fixes type ahead in the combo.

2001-01-26  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl: Replace private treew
	variable with itk_component(treew).
	* tests/gui/combo.test: Enable tests
	for combo popup window. Use the
	menu_unpost method to hide the combo
	popup window before destroying the
	widget. Add popup focus test.

2001-01-23  Ian Roxborough  <irox@redhat.com>

	* gui/diff.tcl:
	* gui/editorpane.tcl:
	* gui/misc.tcl:
	* gui/mkfilegen.tcl:
	* gui/project.tcl:
	* gui/retriever.tcl:
	* gui/retrieverpane.tcl:
	* gui/sninit.tcl:
	* gui/xrefpane.tcl: Changed that last
	few old style static method calls to
	itcl 3.0 style.  This fixes some minor
	gui problems.

2001-01-23  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl (Grep::print): Don't
	use old static method calling syntax.
	Pass itk_component(results) to print
	correct widget.

2001-01-22  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl (close_grep): Oops,
	missed one regexp that need updating
	to work on Windows.

2001-01-22  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl (close_grep): Added
	support for Windows results colorizing.
	i.e., ignore the ':' in the path name
	of the grepped files when looking for
	the part to colorize.
	
2001-01-22  Mo DeJong  <mdejong@redhat.com>

	* gui/editorpane.tcl (SearchForNext):
	Set the contents of the quick find box
	with the passed in string. Don't use
	the Combo& get method to query the
	contents of the combo box.

2001-01-22  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl: Pass -entryvariable
	not -textvariable with the Combo& widget.
	Use -entrytext property to query the
	contents of a Combo& widget. Use -parent
	object when adding history entries.
	* gui/multiview.tcl: Add -parent
	option to the constructors for
	each of the classes derived from
	MultiChild.
	* gui/symbolbrowser.tcl: Pass
	-parent option to Retr& class.

2001-01-22  Mo DeJong  <mdejong@redhat.com>

	* tests/gui/itk_destroy.test: Add test
	case for problem with itk object that
	adds a widget to a frame outside the
	hull.

2001-01-17  Mo DeJong  <mdejong@redhat.com>

	* gui/editorpane.tcl (edit_SearchString,
	edit_SearchDirection, edit_SearchMethod,
	edit_SearchNoCase, edit_ReplaceString):
	Removed ${this}- prefixed global
	variables and replaced them with
	instance variables.

2001-01-17  Ian Roxborough  <irox@redhat.com>

	* gui/classpane.tcl (Class&::constructor):
	Turned sane window size control back on.
	(Windows will stop auto resize and stay sane.)

2001-01-16  Mo DeJong  <mdejong@redhat.com>

	* gui/classpane.tcl (base_classes_of,
	class_viewed, sub_classes_of, visib):
	Replace $this prefixed global
	variables with instance variables.

2001-01-15  Mo DeJong  <mdejong@redhat.com>

	* gui/misc.tcl:
	* gui/sninit.tcl: Remove calls to sn_blt_busy
	sitting inside catch statements. sn_blt_busy
	was removed during the 5.0 upgrade process.

2001-01-15  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl (Grep::grepReadableEvent):
	Added the "*** TRUNCATED ***" message when
	the results found equals max search.
	
	(Grep::ExecGrep): Add --with-filename to
	greps command line arguments.  This way if
	only one file is searched, the results will
	still contain the filename.
	
	(Grep::close_grep): Don't color the filename
	in the results if the pattern happens to
	match part of the filename.

2001-01-15  Mo DeJong  <mdejong@redhat.com>

	* gui/panewd.tcl (calc-fraction): Fix undefined
	variable error that shows up when one of the
	paned windows in the revision control editor
	is resized by the user.

2001-01-09  Ian Roxborough  <irox@redhat.com>

	* parsers/cpp/cpplib/cp_crossref.c:
	Removed the #undefs and replaced them
	with a comment about using valid debugging
	macros for that file.

	* parsers/cpp/cpplib/cp_declaration.c:
	Replaced #undefs with comment about debugging
	macros. Added comments describing what certain
	bits do (or don't).

	* parsers/cpp/cpplib/cp_maintest.c:
	Set Tcl_Encoding and include "tcl.h".

	* parsers/cpp/cpplib/cp_process.c:
	Replaced #undefs with comment about debugging
	macros. Added comments describing what certain
	bits do.  Modified dummy put_cross_ref to output
	type strings (i.e. display the string "REF_UNDEFINED"
	rather than 29).  Added PAF_REF_UNDEFINED to the
	type_to_string converter.

	* parsers/cpp/cpplib/cp_statement.c:
	Replaced #undefs with comment about debugging
	macros.

	* parsers/cpp/cpplib/cplex.c:
	Replaced #undefs with comment about debugging
	macros.

2000-12-21  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl (entry_enter, entry_selection,
	entry_value): Remove bindings on
	<Enter> and <Leave> events. Remove entry_enter
	method, make entry_selection private, remove
	the entry_value member variable.
	* tests/gui/combo.test: Modify tests to
	check that the callback is not invoked
	on <Enter> and <Leave> events.

2000-12-18  Mo DeJong  <mdejong@redhat.com>

	* gui/bindings.tcl (bind_focus_enter):
	* gui/combo.tcl:
	* gui/dialog.tcl:
	* gui/editorpane.tcl:
	* gui/error.tcl:
	* gui/selector.tcl:
	* gui/tree.tcl:
	* gui/window.tcl: Purge the system of
	bind_focus_enter. It was a nasty hack
	that implemented focus follows mouse
	in some widgets.



2000-12-11  Mo DeJong  <mdejong@redhat.com>

	* gui/classpane.tcl: Use -entryvariable
	instead of -textvariable.
	* gui/combo.tcl (clearentry, getentry,
	-textvariable): Don't pass the -textvariable
	option to the entry widget. Use OptionTrace
	to maintain -entryvariable and -entrytext,
	instead of using -textvariable. Use the
	-entrytext property instead of directly
	accessing the entry widget.
	* gui/editorpane.tcl:
	* gui/elix.tcl:
	* gui/greppane.tcl:
	* gui/makepane.tcl:
	* gui/multiview.tcl:
	* gui/preferences.tcl:
	* gui/projedit.tcl:
	* gui/tools.tcl:
	Query -entrytext property instead of calling getentry.
	Set -entrytext property instead of calling clearentry.
	Use -entryvariable instead of -textvariable.
	* tests/gui/combo.test:
	Use -entryvariable instead of -textvariable.

2000-12-11  Mo DeJong  <mdejong@redhat.com>

	* gui/makepane.tcl: Make $startdir an
	instance variable instead of a global
	variable.

2000-12-11  Mo DeJong  <mdejong@redhat.com>

	* gui/Makefile.am:
	* gui/Makefile.in: Add optiontrace.tcl.
	* gui/optiontrace.tcl: New functions
	to support generic option tracing
	for itk widgets. This means we can
	define a -value and -variable option
	on an itk class and have each updated
	automatically.
	* gui/tools.tcl: Modify LabelEntryButton&
	class to use the OptionTrace commands.
	* tests/gui/labelentrybutton.test: Remove
	implementation dependent tests.
	* tests/gui/optiontrace.test: Add test
	cases and example class for OptionTrace.

2000-12-07  Mo DeJong  <mdejong@redhat.com>

	* tests/gui/labelentrybutton.test: Added
	a slew of new test cases for the
	LabelEntryButton& class, most of which fail.

2000-12-07  Mo DeJong  <mdejong@redhat.com>

	* parsers/Makefile.am: Revert alphabetical
	re-ordering of subdirs. Keep m4 subdir.
	* parsers/Makefile.in: Regen.

2000-12-07  Mo DeJong  <mdejong@redhat.com>

	* gui/tools.tcl (LabelEntryButton&::select_file_cb):
	Make the select_file_cb method private.

2000-12-07  Mo DeJong  <mdejong@redhat.com>

	* gui/tools.tcl (LabelEntryButton&):
	Pass -command option to the button.
	* tests/gui/labelentrybutton.test:
	Rename and renumber test cases,
	add new test for -command option
	and add tests for the -text option.

2000-12-07  Mo DeJong  <mdejong@redhat.com>

	* gui/tools.tcl (LabelEntryButton&::select_file):
	Make the select_file method private.

2000-12-07  Mo DeJong  <mdejong@redhat.com>

	* gui/editorpane.tcl (Refresh_Display): Don't revert
	files in editors when saving a buffer in an editor.
	This fixes a problem where saving the file would
	shift the text in the buffer around and revert
	the text in other open buffers.

2000-12-01  Mo DeJong  <mdejong@redhat.com>

	* configure: Regen.
	* configure.in: Add parsers/m4. Reorder
	parser listing so it is alphabetical.
	* db/dbutils.c (put_cross_ref): Fix
 	typo in printed error message.
	* etc/sn_prop.cfg.in: Add support for
	the m4 parser but put it in an if 0
	block until it is ready for prime time.
	* parsers/Makefile.am: Add m4 subdir.
	Reorder parser listing so it is alphabetical.
	* parsers/Makefile.in: Regen.
	* parsers/m4/Makefile.am:
	* parsers/m4/Makefile.in:
	* parsers/m4/m4browser.l: First attempt
	at m4 macro parser. It is very rough
	and only works for dead simple examples.

2000-11-27  Mo DeJong  <mdejong@redhat.com>

	* gui/targetedit.tcl (CreateDialog): Set the
	LEB -command option after the LEB has been
	added to the target editor dialog. This fixes
	a problem in the target editor where the
	dirdialog brought up by the LEB would generate
	an error when the OK button was pressed.

2000-11-27  Mo DeJong  <mdejong@redhat.com>

	* tests/gui/dialog.test: Cleanup before
	running some tests and don't print to
	stdout. Add additional multiple modal
	dialog tests.
	* tests/gui/tmeter.test: Add a basic
	test for the ProgressBar widget.

2000-11-27  Mo DeJong  <mdejong@redhat.com>

	* packages/eventutils/eventutils.tcl (mouse_click): Fix
	minor indentation problem.
	* packages/eventutils/eventutils.test: Add regression
	tests for the problem with mouse_click in a window
	that has the grab. Also add tests for enter_text
	and the \n bug that causes hyper to crash.

2000-11-22  Mo DeJong  <mdejong@redhat.com>

	* gui/buildtarget.tcl: Itcl 3.0 upgrade.

2000-11-22  Mo DeJong  <mdejong@redhat.com>

	* packages/eventutils/eventutils.tcl (delay, _refocus,
	_init_keypress_lookup): Add support for waiting inside
	the delay method for specified multiples of the delay.
	Fix up the _refocus method so that when the initial
	focus for a window is not set, it will force the focus
	to the named widget. Add \n -> Return mapping to
	_init_keypress_lookup table.
	* tests/gui/combo.test: Add unit tests for Combo&.
	* tests/gui/labelentrybutton.test: Add unit tests for
	LabelEntryButton&.
	* tests/scenarios/targetedit.sns: Add target edit
	scenario to be used from the build target scenario.
	* tests/scenarios/targetmgr.sns: Run targetedit.sns
	at the end of the existing build target scenario.

2000-11-21  Mo DeJong  <mdejong@redhat.com>

	* Makefile.am: Add packages subdirectory, remove snscenario.
	* Makefile.in: Regen.
	* configure: Regen.
	* configure.in: Add packages subdirectory, remove snscenario.
	* etc/Makefile.am:
	* etc/Makefile.in: Regen.
	* etc/snscenario: Add "main" startup script for snscenario
	that works like the snavigato startup file for sourcenav.
	* gui/Makefile.am: Install into .../share/sourcenav/gui
	instead of .../share/gui.
	* gui/Makefile.in: Regen.
	* hyper/sninit.c: Add .../share/sourcenav/packages to
	the auto_path to support loading with "package require pkg".
	* packages/Makefile.am: This makefile will install all
	the .tcl files in subdirectories of packages.
	* packages/Makefile.in: Regen.
	* packages/eventutils/API.txt:
	* packages/eventutils/eventutils.tcl:
	* packages/eventutils/pkgIndex.tcl: New package
	of event abstractions called "eventutils".
	These methods are used by the snscenario application
	as well as the unit regression tests.
	* packages/snscenario/API.txt:
	* packages/snscenario/pkgIndex.tcl:
	* packages/snscenario/remote.tcl:
	* packages/snscenario/sandbox.tcl:
	* packages/snscenario/snscenario.tcl: Moved
	over from old snscenario/* directory.
	* snavigator/unix/snscenario.in: Run the
	new etc/snscenario script from the snscenario
	shell script.
	* snscenario/API.txt:
	* snscenario/Makefile.am:
	* snscenario/Makefile.in:
	* snscenario/eventutils.tcl:
	* snscenario/remote.tcl:
	* snscenario/sandbox.tcl:
	* snscenario/snscenario.tcl: Moved to new
	packages/snscenario directory.
	* tests/gui/dialog.test:
	* tests/gui/dirdialog.test: Use new eventutils
	package and the delay method.

2000-11-21  Mo DeJong  <mdejong@redhat.com>

	* gui/dialog.tcl (activate): Center the dialog
	on the users screen when activate is called.
	* gui/dirdialog.tcl (constructor): Set the
	-title property in the Window class. Move
	the call to centerOnScreen into Dialog class.

2000-11-13  Mo DeJong  <mdejong@redhat.com>

	* gui/dialog.tcl: Hide on_close command from
	Window class, classes that inherit from Dialog
	must never call this method. Don't allow the
	-modality option to get changed while the
	Dialog is active. Add _active state variable,
	it will be set to true while the dialog is shown.
	Raise error if hull is already mapped when
	activate is called. Raise error if Dialog is
	activated twice. Raise error if deactivate
	is called when not active. If the destructor
	is called while still active, call deactivate
	before cleaning up. Don't use the after
	command to go to sleep, use vwait instead.
	* gui/dirdialog.tcl (cancel, getSelectedDir):
	Rename DirDialog& to sourcenav::DirDialog.
	Remove cancel and getSelectedDir methods.
	Don't implicitly delete the Dialog object,
	calling code needs to do that.
	* gui/editorpane.tcl (DirDialog): Use new
	sourcenav::DirDialog API, delete the dialog
	and delete the dialog when finished with it.
	* gui/preferences.tcl (choose_db_dir): Fix
	old Itcl 1.5 style method invocation. Caused
	error in the preferences dialog during
	initial project creation.
	* gui/window.tcl: Add FIXME notes and remove
	a broken <Destroy> binding.
	* tests/gui/dialog.test: Check grab stack
	to make sure it is getting cleaned up properly.
	Check for invalid operation errors, like calling
	activate twice on the same Dialog. Check that
	<Escape> event will deactivate the Dialog. Make
	sure a hidden window does not turn deactivate
	into a no-op. Add additional checks for event
	delivery to a Dialog that has the grab. Verify
	modality of a Dialog using a second Dialog.
	* tests/gui/dirdialog.test: Update widget
	name to use sourcenav::DirDialog. Call activate
	method instead of getSelectedDir. Check that
	widgets in a Dialog can be accessed with
	generated events. Explicitly delete the
	DirDialog object when finished with it.
	Add timeouts for tests that suffer from
	known WM problems.

2000-11-10  Ian Roxborough  <irox@redhat.com>

	* gui/tree.tcl (Tree&::print_dialog_box): Fixed
	tree widget printer dialog.
	
2000-11-10  Ian Roxborough  <irox@redhat.com>

	* gui/targetedit.tcl (snEditTarget::AddLinkPage):
	Use LabelEntryButton& instead of entry widget so
	the user has a file browser button + entry.

	* gui/tools.tcl (LabelEntryButton&::-value):
	Fixed bug when handling itcl::scope'd variables.
	
2000-11-08  Ian Roxborough  <irox@redhat.com>

	* gui/Makefile.am: Removed busy.tcl dependancy.

	* gui/Makefile.in: Regenerated.

2000-11-08  Ian Roxborough  <irox@redhat.com>

	* gui/printdialog.tcl (PrintDialog): Removed
	unused method, removed use of Busy& class and
	#auto (both last uses).

	* gui/busy.tcl: Removed.

2000-11-08  Ian Roxborough  <irox@redhat.com>

	* gui/buildtarget.tcl (snBuildTarget): Add
	support to Save/Load/Delete linker application
	field.

	* gui/targetedit.tcl (snEditTarget::UpdateCmdLine):
	Update the linker location field from the entry box.

2000-11-07  Mo DeJong  <mdejong@redhat.com>

	* gui/dirdialog.tcl: Inherit from Dialog
	instead of Window. Remove unused destructor.
	Remove unused dirselected instance variable.
	Use the activate and deactivate methods from
	the Dialog class.

2000-11-07  Mo DeJong  <mdejong@redhat.com>

	* gui/dialog.tcl (activate): Make activate
	method block when called on a window that
	is already visible. Remove invalid modality
	check since that has already been done.
	* tests/gui/dialog.test: Add new tests for
	bug that showed up when window was already
	visible. Check each of the known -modality
	options.

2000-11-07  Mo DeJong  <mdejong@redhat.com>

	* gui/dialog.tcl: Remove common _wait, it is
	no longer needed as we now wait on _result.
	Reset _result in dtor to avoid deadlocking
	the activate method.
	* tests/gui/dialog.test: Add unit regression
	tests for the sourcenav::Dialog class.

2000-11-07  Mo DeJong  <mdejong@redhat.com>

	* gui/dialog.tcl: Fix calls to grab
	that were accidently changed in last
	checkin.

2000-11-07  Mo DeJong  <mdejong@redhat.com>

	* gui/dialog.tcl: Reformat Dialog class so that
	itcl::body is used instead of defining the methods
	inside the class. Add empty constructor and
	mark some of the methods as public. Functionality
	of the code was not changed.

2000-11-07  Mo DeJong  <mdejong@redhat.com>

	* gui/dirdialog.tcl (select, cancel, display,
	build_filepath, expand): Changed protection of
	internal methods from default to private. Changed
	build_filepath into an instance method. Finished
	itk upgrade and removed the tree and treew variables.
	Rename select method to ok. Prefix calls to instance
	methods.

2000-11-07  Ian Roxborough  <irox@redhat.com>

	* gui/classtreepane.tcl (ClassTree&::print):
	Added activate and itcl::delete calls for
	printer dialog.
	
	* gui/xrefpane.tcl (XRef&::print):
	Added activate and itcl::delete calls for
	printer dialog.

	* gui/includepane.tcl (Include&::print):
	Added activate and itcl::delete calls for
	printer dialog.
	
	* gui/editorpane.tcl (Editor&::print_dialog):
	Use sourcenav::Window instead of Toplevel&.
	
	* gui/printdialog.tcl: Itcl3.0 rewrite.
	
2000-11-06  Mo DeJong  <mdejong@redhat.com>

	* gui/dirdialog.tcl (destructor): Add destructor
	to clean up after a dangling call to getSelectedDir.
	Address some internal components as itk components.
	Fully qualify non-absolute path names that are
	passed into the widget. Add some debug statements.
	* tests/gui/dirdialog.test: Add regression tests
	for gui/dirdialog.tcl class.

2000-11-06  Mo DeJong  <mdejong@redhat.com>

	* gui/dirdialog.tcl: Switch each method in
	DirDialog& class over so it uses itcl::body.
	No code was changed during this transition.

2000-11-06  Ian Roxborough  <irox@redhat.com>

	* gui/targetmgr.tcl (snIdeTargetMgr::edit_target):
	Use a common variable to protect the edit_target
	callback from being invoked more than once at the
	same time.

2000-11-06  Mo DeJong  <mdejong@redhat.com>

	* tests/scenarios/targetmgr.sns: Fixed
	silly typos in test case.

2000-11-03  Mo DeJong  <mdejong@redhat.com>

	* tests/gui/targetedit.test: Remove old test.
	* tests/scenarios/targetmgr.sns: Add new scenario
	that will create a project and open up the
	target manager followed by the target editor.
	* snscenario/eventutils.tcl (enter_text,
	mouse_triple_click, _refocus, _keypress,
	keyevent, type_string, _keypress_lookup,
	_init_keypress_lookup): Type text into an entry
	widget by triple clicking, hitting delete, and
	then typing. This is all done with generated
	events. Add function to click mouse 3 times
	in a row. Add methods to simulate typing
	using a named event table.
	* snscenario/remote.tcl: Add FIXME notes.

2000-10-31  Ian Roxborough  <irox@redhat.com>

	* gui/dialog.tcl: Added option -parent for
	specifying the dialog as a transient window.

	* gui/targetmgr.tcl: Add -parent option when
	call snEditTarget to activate window as transient.
	
2000-10-31  Ian Roxborough  <irox@redhat.com>

	* gui/dirdialog.tcl:  Change -initialdir to an itk_option
	to make the initialize directory stuff work.

	* gui/misc.tcl: When using add directory in the fast create
	dialog use LabelEntryButton&'s built in directory selector.

	* gui/tools.tcl (LabelEntryButton&): When getting the initial
	directory/file to set in a directory/file selector dialog, get
	it from the -variable option rather than the -value option.
	(The -value option can be out of sync.)
	
2000-10-31  Ian Roxborough  <irox@redhat.com>

	* gui/conftooldlg.tcl (snIdeToolsDlg::DefinesPage):
	Added vertical scrollbar to defines tab.

2000-10-31  Mo DeJong  <mdejong@redhat.com>

	* gui/mkfilegen.tcl: Upgrade to Itcl 3.0.

2000-10-30  Ian Roxborough  <irox@redhat.com>

	* gui/tools.tcl (LabelEntryButton&): Make
	LabelEntryButton work when user is isn't using
	-variable to extract information.
	(Fixes: 902723-CR)

2000-10-27  Syd Polk  <spolk@redhat.com>

	* demo/Makefile.am: Make this work when configure path is relative.
	Workaround tar not handling windows paths in the prefix.

2000-10-27  Mo DeJong  <mdejong@redhat.com>

	* gui/dirdialog.tcl: Upgrade class to Itcl 3.0.

2000-10-27  Ian Roxborough  <irox@redhat.com>

	* etc/english.txt.in: Added new error strings
	for incorrect import files.

	* gui/misc.tcl (sn_create_new_project): Added error
	checking for import files (check it exists, check it's
	not a directory).  Also, don't delete tmeter when in
	batchmode.
	(Fixes: 902692-CR)

2000-10-27  Mo DeJong  <mdejong@redhat.com>

	* gui/diff.tcl: Upgrade diff class to Itcl 3.0.

2000-10-26  Mo DeJong  <mdejong@redhat.com>

	* parsers/cpp/cparser.c (put_cross1): Use snprintf
	instead of sprintf to avoid a buffer overflow. This
	fixes 902594-CR.

2000-10-26  Syd Polk  <spolk@redhat.com>

	* install/INSTALL.in: Remove cd key screen. Change to copying
	unexpanded demos. Get creating a demo project in installer working
	again.

2000-10-25  Mo DeJong  <mdejong@redhat.com>

	* gui/busy.tcl: 
	* gui/gdbtk.tcl: Itcl 3.0 upgrade.
	* gui/projedit.tcl: Add explicit ${this} to method call.

2000-10-24  Ian Roxborough  <irox@redhat.com>

	* etc/english.txt.in: New text error string to open project error.
	
	* gui/misc.tcl (sn_read_project): If user gets a error opening
	a project don't just return the db error.  Advise them to check
	if the project is a valid sn project.
	(Fixes: 16473)
	
2000-10-24  Ian Roxborough  <irox@redhat.com>

	* gui/targetedit.tcl: Removed commented out code and
	some misplaced commets.

	* gui/buildtarget.tcl (snBuildTarget::AddSourceFiles):
	Added support to remove any duplicate files in a build
	project.
	(Fixes: 902551-CR)

2000-10-23  Mo DeJong  <mdejong@redhat.com>

	* gui/misc.tcl (sn_db_reopen_files): Remove unused function.

2000-10-20  Mo DeJong  <mdejong@redhat.com>

	* snscenario/API.txt: Added doc for close_toplevel command.
	* snscenario/eventutils.tcl: Added close_toplevel.
	* snscenario/sandbox.tcl: Added cd and source commands
	to the set of commands available in the sandbox. Added
	implicit raise of toplevel window during next_toplevel.
	* snscenario/snscenario.tcl: Added ability to check for
	command line argument of sns file to run. Added widgets
	to select the file and to set the RPC delay in the runner.
	* tests/scenarios/create_project.sns: Removed.
	* tests/scenarios/projsel.sns: Moved script from
	create_project.sns, added more tests to exercise
	the project selector dialog and project creation.

2000-10-19  Mo DeJong  <mdejong@redhat.com>

	* gui/window.tcl: Reformat code, declare
	method public and move them together,
	move all itk defines and variables
	together. No functional changes made.

2000-10-19  Mo DeJong  <mdejong@redhat.com>

	* snscenario/sandbox.tcl
	(sandbox_toplevel_list_changed_callback): Overhauled
	toplevel change notification and next_toplevel command
	so that they work when windows become hidden because
	of the window manager unmapping them on a virtual screen.

2000-10-19  Ian Roxborough  <irox@redhat.com>

	* etc/sn_toolchains/gnu-pro-elix-x86
	* etc/sn_toolchains/gnu-pro-native
	* etc/sn_toolchains/gnu-pro-elix-powerpc:
	Changed "ar" flag from "-o" to "-r".
	(Fixes: 902603-CR)

2000-10-19  Ian Roxborough  <irox@redhat.com>

	* etc/sn_prop.cfg.in: Change Lex rule to work better.
	(Fixes: 101208)

2000-10-19  Ian Roxborough  <irox@redhat.com>

	* gui/dialog.tcl (tk_dialog_with_widgets):
	Fixed error that occurs if none is specified
	for the default button.

2000-10-19  Ian Roxborough  <irox@redhat.com>

	* gui/targetedit.tcl (snEditTarget::AddLibPage):
	Add horizontal scrollbar to the libraries tab.
	(Fixes: 100366)

2000-10-18  Ian Roxborough  <irox@redhat.com>

	* gui/tools.tcl (ChooseColor&): Rewrite class to
	stop using global variables and be modal.
	(Fixes: 100366:981215)
	
2000-10-18  Mo DeJong  <mdejong@redhat.com>

	* snscenario/API.txt: Add descriptions of
	the commands available to snscenario regression
	test writers.

2000-10-17  Mo DeJong  <mdejong@redhat.com>

	* snscenario/eventutils.tcl (test_queue_event,
	test_do_next_event, test_will_block,
	listbox_select_index, listbox_select_entry_pattern):
	Remove old test methods, add new listbox selection
	methods.
	* snscenario/sandbox.tcl: Add pause command to sandbox.
	* snscenario/snscenario.tcl: Change label in console
	window.
	* tests/scenarios/create_project.sns: Add regression
	test that loads a new project.
	* tests/scenarios/projsel.sns: Use listbox_select_index
	command instead of hardcoding an x and y value.

2000-10-17  Ian Roxborough  <irox@redhat.com>

	* gui/preferences.tcl: Added filtering option (0-9)
	to all numeric entry boxes in the preferences dialog.
	(Fixes: 100153:981202)
	(Fixes: 16868)
	(Fixes: 16867)
	(Fixes: 100842)
	
2000-10-17  Ian Roxborough  <irox@redhat.com>

	* gui/tools.tcl (Entry&::): Added support
	to filter key strokes based on number sets.
	
2000-10-16  Mo DeJong  <mdejong@redhat.com>

	* snscenario/Makefile.am: Added remote.tcl and
	sandbox.tcl.
	* snscenario/Makefile.in: Regen.
	* snscenario/remote.tcl: Break out commands related
	to sending to the remote and remote slave interp.
	* snscenario/sandbox.tcl: Break out commands related
	to the "sandbox", the safe interp that regression
	test code will be run in.
	* snscenario/snscenario.tcl: Add events for toplevel
	classes. Cleanup to account for sandbox and remote changes.
	* tests/scenarios/projsel.sns: Update widget paths,
	use the next_toplevel command.

2000-10-11  Mo DeJong  <mdejong@redhat.com>

	* etc/navigato.in: Don't pass -e to create_interp.
	* gui/sninit.tcl: Use new create_interp semantics.

2000-10-11  Ian Roxborough  <irox@redhat.com>

	* gui/targetedit.tcl (snEditTarget::SaveData):
	Added missing array index when checking user linker
	flags.
	(Fixes: 902716-CR)
	
2000-10-11  Ian Roxborough  <irox@redhat.com>

	* gui/multiview.tcl (MultiWindow::AddMenu):
	Use correct arguements when calling AddHelpMenu.
	(Fixes: 902714-CR)
	
2000-10-11  Mo DeJong  <mdejong@redhat.com>

	* gui/misc.tcl (sn_open_project):
	* gui/projmng.tcl (sn_new_project, sn_projectmanager):
	* gui/sninit.tcl (create_interp): Remove -e
	argument to create_interp command.

2000-10-11  Ian Roxborough  <irox@redhat.com>

	* gui/conftooldlg.tcl (snIdeToolsDlg::DefHandleState):
	Added extra state for something selected and nothing
	in the entry widget (disables all buttons).
	(Fixes: 902605-CR)

2000-10-11  Mo DeJong  <mdejong@redhat.com>

	* gui/targetmgr.tcl (create_cb): Fix itcl::delete
	call that was missing the object argument.

2000-10-11  Ian Roxborough  <irox@redhat.com>

	* gui/conftooldlg.tcl (snIdeToolsDlg::DefinesPage):
	Watch(trace) entry widget textVariable and update
	button states when textVariable changes.
	(Fixes: 902604-CR)
	
2000-10-11  Ian Roxborough  <irox@redhat.com>

	* gui/conftooldlg.tcl (snIdeToolsDlg::IncludesPage):
	Add scrollbars to Includes tab, cleaned up grid
	placement code for Include tab.
	(Fixes: 902599-CR)

2000-10-11  Ian Roxborough  <irox@redhat.com>

	* gui/projmng.tcl (sn_select_project): Don't disable the
	open and delete buttons by default.
	(Fixes: 902698-CR)
	
2000-10-11  Ian Roxborough  <irox@redhat.com>

	* gui/classpane.tcl: Change sn_rc_classbrowser 
	parameter type.

	* gui/greppane.tcl: Change sn_rc_grep parameter
	type.

	* gui/includepane.tcl: Change sn_rc_include parameter
	type.

	* gui/makepane.tcl: Uncommented sn_rc_make and changed
	the parameter type.

	* gui/rcs.tcl: Added menu parameter to sn_rc_project_editor.

	* gui/retrieverpane.tcl: change sn_rc_retriever parameter
	type.

	* gui/xrefpane.tcl: Changed sn_rc_retriever parameter
	type.
	
2000-10-10  Mo DeJong  <mdejong@redhat.com>

	* etc/english.txt.in: Add IncludeLaunch key, change
	IncludesINFO to correct text for the include by button.
	* gui/symbolbrowser.tcl (AddToolbar):
	* gui/window.tcl (sn_window_add_icons): Use IncludeLaunch
	not IncludesINFO for the button popup text.

2000-10-10  Ian Roxborough  <irox@redhat.com>

	* gui/projmng.tcl (sn_delete_project_cb,sn_select_project):
	Removed some all tree widget calls (we use a listbox now).
	(Fixes: 902695-CR)
	
2000-10-10  Ian Roxborough  <irox@redhat.com>

	* gui/html.tcl (doc_start): Fix cut and paste error
	using wrong file descriptor.  Fixes html generation
	for docs example.

2000-10-09  Joe Pallas  <pallas@cs.stanford.edu>

	* parsers/cpp/cpplib/macro.c: Use SEARCH_DUP_KEY when entering
	macros, since the key is ephemeral.

2000-10-09  Mo DeJong  <mdejong@redhat.com>

	* snscenario/snscenario.tcl: Added wait state
	when choosing a toplevel interp or target
	interp so that no error is generated in
	the case where no interps can be found.
	Added initial implementation of a non-GUI
	based toplevel list that is maintained
	in the snscenario application.

2000-10-05  Syd Polk  <spolk@redhat.com>

	* hyper/Makefile.am: Changed link order for hyper to build on HPUX.
	* hyper/Makefile.in: Regenerated.

2000-10-03  Ian Roxborough  <irox@redhat.com>

	* gui/classpane.tcl: Added -fillcommand option to
	tree widget, so that Class&::fill is called instead
	of the Tree class internal fill.
	(Fixes: 902654-CR)

2000-10-02  Ian Roxborough  <irox@redhat.com>

	* gui/editorpane.tcl (Editor&::Replace): on closing
	the replace window use itcl::delete object <obj> instead
	of <obj> delete.
	(Fixes: 902685-CR)

2000-10-02  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl (Grep::grepReadableEvent): Use split
	and lindex rather than regexp to a void confusion when
	getting the file name part of the grep output line.
	(Fixes: 902675-CR)
	
2000-10-02  Ian Roxborough  <irox@redhat.com>

	* gui/retriever.tcl (read_matched_from_db): When handling
	pattern matching for file list append an "*" to the end
	of the pattern, so that patterns like *.h will work
	(becoming *.h*).
	(Fixes: 902639-CR)

2000-09-29  Ian Roxborough  <irox@redhat.com>

	* gui/combo.tcl (Combo&::menu_selection):
	Store off entry widget state and set state
	to normal before changing value, then return
	entry widget to original state.

	* gui/mkfilegen.tcl (MakefileGen::WriteRuleALL): Take into
	account a suffix on the output file if a custom
	post linker stage has been set.
	(MakefileGen::WritePostLinkRule) Added missing parameter to
	custom post link stage proc call.

2000-09-26  Syd Polk  <spolk@redhat.com>

	* doc/html/enterprise/userguide/TOC.html: Removed. It was supposed to
	be replaced by toc.html, and having the two generates a conflict when
	checking out on Windows.

2000-09-25  Ian Roxborough  <irox@redhat.com>

	* gui/conftooldlg.tcl: Remove grab_focus
	method and calling code.

	* gui/targetedit.tcl: Remove calls to grab_focus.
	
2000-09-25  Ian Roxborough  <irox@redhat.com>

	* gui/dialog.tcl (sourcenav::Dialog):
	Added new Dialog class derived from
	sourcenav::Window based in part on
	itk::Shell.

	* gui/conftooldlg.tcl: Use new sourcenav::Dialog
	class.

	* gui/targetedit.tcl: Use new sourcenav::Dialog
	class.

	* gui/targetmgr.tcl: Slight change in creation
	step for target editor dialog.

	* gui/window.tcl (sourcenav::Window): Add support
	for maintaining a modal windows stack.  Every time a
	a sourcenav::Window is passed focus it will check
	to make sure it's not stealing focus from a
	modal dialog.
	
2000-09-18  Ian Roxborough  <irox@redhat.com>

	* gui/dialog.tcl: Don't pad buttons to 0
	on Windows.  We have a patch for making
	buttons the correct size.

	* gui/misc.tcl (sn_is_project_busy):
	Add call to isfileused to check if
	project file is in use (Windows Only).

2000-09-15  Ian Roxborough  <irox@redhat.com>

	* gui/xrefpane.tcl (explore_calls): Check
	MaxLevels has a valid numberic value.  If
	it doesn't, reset it to 1.
	(Fixes: 902664-CR)
	
2000-09-15  Ian Roxborough  <irox@redhat.com>

        * gui/gdbtk.tcl (sn_debugger):	
	* gui/utilities.tcl (sn_prompt_fileselector):
	Use <class>::<proc> not <class> :: <proc>.
	(Fixes: 902676-CR)

2000-09-15  Ian Roxborough  <irox@redhat.com>

	* gui/misc.tcl (sn_quit): Don't close db
	until after the all objects have been deleted.
	(Fixes: 902681-CR)

2000-09-14  Ian Roxborough  <irox@redhat.com>

	* gui/retrieverpane.tcl (Retr&::start_filter):
	Remove namespace qualifier from the widget path.
	(Fixes: 902657-CR)

2000-09-14  Ian Roxborough  <irox@redhat.com>

	* gui/tree.tcl:  Added Copyright Red Hat 2000
	and GPL blub.

2000-09-14  Ian Roxborough  <irox@redhat.com>

	* gui/editorpane.tcl (Editor&::deactivate): Removed
	code that probably never work.

	* gui/multiview.tcl (MultiWindow&::constructor):
	Don't use createcmd in the tix notebook to create
	notebook pages (you have no guarantee that the page
	has even been created).  Pages are now explicitly
	created in the constructor.
	(Fixes: 902648-CR)
	
	* gui/greppane.tcl: Declare PatternFormatsCombo as a
	private common to avoid errors when creating Grep
	objects after the first instance.
	
2000-09-14  Mo DeJong  <mdejong@redhat.com>

	* snscenario/snscenario.tcl: Source the
	eventutils.tcl script on startup. Use
	a new widget map instead of depending
	on the contents of the widget list.

2000-09-14  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl: Don't pass -state option to entry widget.
	Disable the entry widget if -readonly is set to 1.
	Remove a bunch of commented out code.
	* gui/editorpane.tcl:
	* gui/greppane.tcl:
	* gui/makepane.tcl:
	* gui/multiview.tcl:
	* gui/projedit.tcl:
	Remove -readonly 0 option to Combo& constructor, it is now the default.

2000-09-14  Ian Roxborough  <irox@redhat.com>
	
        * gui/classpane.tcl:
	* gui/combo.tcl:
	* gui/dirdialog.tcl:
	* gui/dirdialog.tcl:
	* gui/projedit.tcl:
	* gui/retriever.tcl:
	* gui/tools.tcl:
	* gui/xrefpane.tcl:
	* gui/bindings.tcl: Remove Tree::resize_widget
	calls.

	* gui/tree.tcl: Remove proc ide_treetable.
	Move scrollbar creation into Tree class.
	Remove no demand scrollbars from Tree class.
	(Fixes: 902653-CR)

2000-09-13  Mo DeJong  <mdejong@redhat.com>

	* Makefile.am: Install share/snscenario.
	* Makefile.in: Regen.

2000-09-13  Ian Roxborough  <irox@redhat.com>

        * gui/greppane.tcl (Grep): Fixed Syntax
	error in creating private common variable
	PatternFormats.
	(Fixes: 902674-CR)
	
	* gui/statistics.tcl (sn_statistic): Use
	sourcenav::Window to create statistics toplevel.
	(Fixes: 902643-CR)

2000-09-12  Ian Roxborough  <irox@redhat.com>

	* gui/treetable.tcl: Removed (unused file).

	* */Makefile.in: Regenerated.

	* gui/Makefile.am: Removed reference to
	treetable.tcl:
	
2000-09-12  Ian Roxborough  <irox@redhat.com>

	* gui/multiview.tcl (find_Reusable): When
	returning a window path, removed the namespace
	qualifier.
	(Fixes: 902666-CR and maybe others)

	* gui/retriever.tcl (Retriever&::display_retrieves):
	Enable all the buttons on the tool bar.
	(Fixes: 902680-CR)
	
2000-09-11  Ian Roxborough  <irox@redhat.com>

	* hyper/sninit.c (isfileused): Re-add
	isfileused function until we have a better
	way of handling locking.

2000-09-11  Ian Roxborough  <irox@redhat.com>

	* gui/projmng.tcl (sn_select_project): Replaced
	the Tree class widget with a simple listbox plus
	scrollbars.
	(Fixes: 902665-CR)
	
2000-09-11  Ian Roxborough  <irox@redhat.com>

	* gui/classtreepane.tcl (ClassTree&::edit_it): Use
	itk_option(doubleclickcommand) instead of public
	variable $doubleclickcommand.

2000-09-06  Ian Roxborough  <irox@redhat.com>

	* gui/classpane.tcl (Class&::mixer): Explicitly
	raise the filter window - don't rely on side effects.
	(Fixes: 902660-CR)
	
2000-09-06  Ian Roxborough  <irox@redhat.com>

	* gui/editorpane.tcl (Editor&::Indent): Don't use
	itk_component since Indent is a proc not a method.
	(Fixes: 902670-CR)

	* gui/text.tcl (tkTextReplace): Make tkTextReplace
	sync up with other open editors.

2000-09-06  Ian Roxborough  <irox@redhat.com>

	* gui/tools.tcl (LabelEntryButton& -value):
	Handle setting values a little better so
	we don't end up with bogus default values.

2000-09-06  Ian Roxborough  <irox@redhat.com>

	* gui/classpane.tcl (Class&::fill): Tree& class
	needs to use "config" method instead of "configure".
	(Fixes: 902638-CR)

2000-09-06  Ian Roxborough  <irox@redhat.com>

        * gui/help.tcl (sn_show_abbrav): Use sourcenav::Window
	instead of Toplevel&. (Fixes: 902636-CR) 
	
2000-08-24  Ian Roxborough  <irox@redhat.com>

	* gui/tools.tcl (LabelEntryButton&): Changed how
	-value is handled if it's being initialize internally.
	Otherwise it'll blow away valid values used by -variable.
	(Fixes: 902631-CR)

2000-08-21  Mo DeJong  <mdejong@redhat.com>

	* configure: Regen.
	* configure.in: Add new .in files to AC_OUTPUT.
	* snavigator/unix/Makefile.am: Add snscenario rule.
	* snavigator/unix/Makefile.in: Regen.
	* snavigator/unix/snscenario.in: Add new shell script.
	* snscenario/Makefile.am: Add install rules for snscenario.
	* snscenario/Makefile.in: Regen.
	* snscenario/eventutils.tcl: Event utilities we used with send.
	* snscenario/snscenario.tcl: Gui code for snscenario.
	* tests/scenarios/projsel.sns: Example scenario file.

2000-08-21  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl (goto): Fix up old itcl
	class method call, now uses itcl 3.0 style.

2000-08-18  Mo DeJong  <mdejong@redhat.com>

	* gui/misc.tcl (sn_start_new_session): Add sn_log output,
	don't call return command after interp is deleted.
	* gui/projmng.tcl (sn_new_project, sn_projectmanager): Don't
	use -app argument to create_interp.
	* gui/sninit.tcl (create_interp): Create slave interps with
	globally unique names so that we can always detect when a
	slave interp has been deleted. Remove -app option to
	create_interp command.

2000-08-18  Ian Roxborough  <irox@redhat.com>

        * etc/english.txt.in: Added RCS warning string.

	* etc/sn_prop.cfg.in: Add new flag "-use-relative-path"
	to cvs revision control spec.

	* gui/diff.tcl: Patched together so the diff window
	works.

	* gui/rcs.tcl: Patched together so rcs stuff works.

	* gui/selector.tcl: Use treebind method to bind to
	Tree objects.

	* gui/version.tcl: Add support for optional use of
	relative path with revision control systems if needed.
	
2000-08-15  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl: Fixed broken progressbar.
	
	* gui/sninit.tcl: Removed commented out puts'.

	* gui/classpane.tcl: Fixed drop down symbols filter.

	* gui/xrefpane.tcl: Fixed details to and by.
	
2000-08-11  Mo DeJong  <mdejong@redhat.com>

	* hyper/sninit.c (Sn_setup_Init): Always call
	SN_set_scope_bits, this should fix the strange
	error we were getting about SN_Scope_Bits(virtual)
	not being defined.

2000-08-11  Mo DeJong  <mdejong@redhat.com>

	* etc/navigato.in: Create session in a slave interp.
	* gui/projmng.tcl (sn_new_project, sn_projectmanager): Change
	tk appname to sourcenav. Create new slave interp to display
	project select dialog when there is only one slave left.
	* gui/sninit.tcl (create_interp, sn_master_create_interp,
	sn_master_number_slave_interps, sn_master_delete_slave): New
	methods to create, delete, and query the number of slave
	interpreters. Replaces the existing C implementation.
	* hyper/sninit.c (sn_CreateInterp, sn_NumberInterp, DeleteInterp, sn_log):
	Fix crash in sn_log when called with 0 arguments. Removed C
	implementations of delete_interp, create_interp, and number_interp.

2000-08-09  Ian Roxborough  <irox@redhat.com>

	* gui/targetedit.tcl: Look for and execute
	if found, a RemoveCustomGUI clean up proc.

	* gui/toolchain.tcl: New methods SetRemoveUserTargetEditGUI
	and GetRemoveUserTargetEditGUI.  For cleaning
	up/storing data when using custom GUI tab in targetedit.

2000-08-08  Ian Roxborough  <irox@redhat.com>

	* gui/buildtarget.tcl: Add support for storing user
	custom data for toolchain specs.

	* gui/mkfilegen.tcl: Add support for writing out a
	custom toolchain defined post link stage.

	* gui/targetedit.tcl: Add custom GUI tab to
	the target edit dialog.  This is optional and
	per-toolchain.

	* gui/toolchain.tcl: Add support for custom post
	linker stage and custom target edit GUI.
	GetToolChainObject nolong relies on hardcoded
	toolchain names to determine which toolchain
	to use.


2000-08-07  Ian Roxborough  <irox@redhat.com>

	* gui/sninit.tcl: Initialize the toolchain
	specs before parsering the sn_prop.cfg file,
	otherwise the lex and yacc rules don't get
	added.

2000-08-07  Ian Roxborough  <irox@redhat.com>

	* configure.in: Make sure to create
	etc/sn_toolchains/Makefile in the build tree.

	* configure: Regenerated.

	* etc/Makefile.am: Include subdir sn_toolchains.

	* etc/Makefile.in: Regenerated.
	
	* etc/sn_toolchains: New directory, for storing
	toolchain specs.

	* etc/sn_toolchains/gnu-pro-native: The new home
	of the GNUPro native toolchain spec.

	* etc/sn_toolchains/gnu-pro-elix-powerpc: The new home
	of the GNUPro PowerPC embedded toolchain spec.

	* etc/sn_toolchains/gnu-pro-elix-x86: The new home
	of the GNUPro x86 embedded toolchain spec.

	* etc/Makefile.am: New file.

	* etc/Makefile.in: Generated from Makefile.in.
	
	* gui/buildtarget.tcl: Remove calls to
	DummyCreateToolChain_spec.

	* gui/path.tcl: Add sn_path(toolchaindir).

	* gui/sninit.tcl: Initialize know toolchains.

	* gui/targetedit.tcl: Removed hardcoded toolchains
	list.  List is know based of what is in the
	sn_toolchians directory.

	* gui/toolchain.tcl: Add method GetLongName and
	SetLongName for toolchain descript.  Add
	InitializeToolChainInfo and GetActiveToolChains.
	Remove toolchain specs.
	
2000-08-07  Ian Roxborough  <irox@redhat.com>
	* gui/targetedit.tcl: Fixed problem selecting
	plain GNUPro toolchain.  When the toolchain
	changes, redraw the supported rules list (incase,
	for example, JAVA or something wasn't support
	for a toolchain).

2000-08-04  Dara Golden  <dgolden@redhat.com>

	* doc/html/customsn.html wrkproj.html editor.html symbrws.html
	usingsn.html: Fixed mssing chapter. Fixed capitalization errors.
	Fixed references to ../Programmer; changed to ../programmer.

2000-08-01  Thomas Heller  <thomas.heller@ion-tof.com>

	* parsers/python/README: New file.
	* parsers/python/pybrowser.l: New file.
	* parsers/python/Makefile.in: New file.
	* parsers/python/Makefile.am: New file.

	* parsers/Makefile.in: Added python parser subdir.
	* parsers/Makefile.am: Added python parser subdir.

	* etc/sn_prop.cfg.in: Python parser support.
	* configure.in: Python parser support.
	* configure: Python parser support.
	
	* hyper/py_high.l: New file. Python syntax highlight support.

	* hyper/Makefile.in: Python syntax highlight support.
	* hyper/Makefile.am: Python syntax highlight support.
	* hyper/highlight.c: Python syntax highlight support.
	* gui/sninit.tcl: Python syntax highlight support.

2000-07-27  Warren Jones <wjones@tc.fluke.com>

	* doc/html/Makefile.am: Install cygnus2.css, and make
	sure we stay in the right directory when installing docs.
	* doc/html/Makefile.in: Regenerated.

2000-08-03  Ian Roxborough  <irox@redhat.com>

	* gui/utilities.tcl (sn_prompt_for_files):
	Use sourcenav::Window instead of Toplevel&.

2000-08-03  Ian Roxborough  <irox@redhat.com>

	* gui/xrefpane.tcl (XRef&::handle_doubleclick):
	Use itk_option(doubleclick_command) instead of
	$doubleclick_command.
	
2000-08-03  Ian Roxborough  <irox@redhat.com>

	* gui/classtreepane.tcl (ClassTree&::fitler):
	Use $itk_option(-symbol_filter) instead $symbols_filter.
	
2000-07-28  Mo DeJong  <mdejong@redhat.com>

	* gui/misc.tcl (event_LoadPipeInput, sn_load_part_files):
	Don't ask the user if they really wanted to cancel
	a parse after they hit the cancel button. Correctly
	handle the case where multiple pids are created in
	a pipeline. Make sure to query the pids before
	doing the vwait because the pipe can be closed
	in the fileevent callback.

2000-07-28  Ian Roxborough  <irox@redhat.com>

	* gui/misc.tcl (sn_load_part_files): Don't
	assume that you have a valid file descriptor
	when calling pid. (Fixes broken project parsing.)

2000-07-27  Warren Jones <wjones@tc.fluke.com>

	* doc/html/Makefile.am: Make sure we stay in the right directory 
	when installing docs.
	* doc/html/Makefile.in: Regenerated.

2000-07-27  Syd Polk  <spolk@redhat.com>

	* doc/html/enterprise/progref/custom.html dbaseAPI.html:
	Fix references to UsersGuide directory.

2000-07-25  Florent Pillet  <florent.pillet@opteway.com>

	* hyper/c_high.l: added editor coloring for 'bool', 'const_cast',
	'static_cast' and 'reinterpret_cast' C++ keywords. 
	* parsers/cpp/cparser.c
	* parsers/cpp/cpplib/cp_argument.c
	* parsers/cpp/cpplib/cp_declaration.c
	* parsers/cpp/cpplib/cp_expression.c
	* parsers/cpp/cpplib/cp_literal.c
	* parsers/cpp/cpplib/cp_statement.c
	* parsers/cpp/cpplib/cp_type.c
	* parsers/cpp/cpplib/cp_typename.c
	* parsers/cpp/cpplib/cpdefines.h
	* parsers/cpp/cpplib/cpkeyw.c
	* parsers/cpp/cpplib/crossrefP.h: modified all files above to add 
	support for the C++ 'bool' keyword.

2000-07-25  Ian Roxborough  <irox@redhat.com>

	* gui/editorpane.tcl: Use -file_changed
	instead of file_changed public var.

	* gui/multiview.tcl (SyncEditors):
	Fix problems with syncing editors and
	saving.  

2000-07-24  Ian Roxborough  <irox@redhat.com>

	* gui/multiview.tcl (MultiWindow::windows_splitinto_edit):
	Use -message_var instead of -mesg_area.

	* gui/window.tcl (Window::destructor):
	Remove delete children clean up hack.


2000-07-24  Mo DeJong  <mdejong@redhat.com>

	* gui/window.tcl (destructor): Use itcl::find
	not itcl_info. Log objects that are cleaned
	up in the destructor, they need to be removed
	by the destructor for containing object.
	* snavigator/unix/snavigator.in: Exec hyper
	or gdb instead of just running it in the shell.

2000-07-24  Mo DeJong  <mdejong@redhat.com>

	* doc/html/Makefile.am:
	* doc/html/Makefile.in: Use redhatlogo.png
	not redhatlogo.gif.

2000-07-23  Ian Roxborough  <irox@redhat.com>

	* gui/editorpane.tcl (Editor&::Replace):
	Fixed replace dialog. (Editor&::GotoLine) 
	Fixed goto line dialog. (Editor&::canModify)
	Fix edit menu.

	* gui/xrefpane.tcl (XRef&::xref_filter):
	Fixed filter dialog.

2000-07-23  Ian Roxborough  <irox@redhat.com>

	* gui/multiview.tcl (Xref&::AddXReference):
	Use -message_var instead of -mesg_area.

	* gui/tree.tcl (ide_treetable): Don't
	write debug info to stdout!

2000-07-21  Mo DeJong  <mdejong@redhat.com>

	* doc/html/index.html.in: Change page
	title to "Source-Navigator Documentation".
	Remove DOS style line feeds.
	* doc/html/redhatlogo.gif: Remove file.
	* doc/html/redhatlogo.png: Add file.

2000-07-21  Ian Roxborough  <irox@redhat.com>

	* gui/classpane.tcl (Class&::deactivate): Remove
	filter button and combobox from toolbar when the
	notebook view is changed.

2000-07-21  Mo DeJong  <mdejong@redhat.com>

	* gui/Makefile.am:
	* gui/Makefile.in: Add chmod 644 tclIndex on install.
	This fixes the "invalid command sn_tcl_tk_init"
	problem that was reported on the mailing list.

2000-07-19  Ian Roxborough  <irox@redhat.com>

	* gui/classpane.tcl: Inherit from MultiChild.
	
	* gui/classtreepane.tcl: Remove method "next"
	and use "next" method in MultiChild.

	* gui/editorpane.tcl: Remove method "next" and
	use the MultiChild version.

	* gui/greppane.tcl: Inherit from MultiChild.

	* gui/includepane.tcl: Inherit from MultiChild.
	Fixed typo in menu code (include tool menu probably
	never worked before).

	* gui/multichild.tcl: Added "next" method.

	* gui/retrieverpane.tcl: Itcl3.0 upgrade.
	Inherit from MultiChild.

2000-07-14  Mo DeJong  <mdejong@redhat.com>

	* gui/Makefile.am:
	* gui/Makefile.in: Remove gui/listdisplay.tcl
	* gui/grep.tcl (sn_grep, sn_grep_from_history,
	grep_toggle_hold, sn_grep_edit_file): Remove
	unused grep commands, remove the rest later.
	* gui/greppane.tcl: Use grep not /bin/grep.
	Add some new FIXME notes. Remove unused
	Browser& code. Fixed setting of toplevel
	window title based on grep string.
	* gui/listdisplay.tcl: Remove Browser& implementation.
	* gui/makepane.tcl: Itcl 3.0 upgrade.
	Itk fixups. Stop using Browser&, replace
	it with a text widget. Rename Make& to Make.
	* gui/multiview.tcl:
	* gui/preferences.tcl:
	* gui/targetmgr.tcl: Use Make not Make&.

2000-07-11  Mo DeJong  <mdejong@redhat.com>

	* gui/multiview.tcl (SyncEditors): Don't
	sync a plain text widget. Use itcl::find
	not itcl_info.

2000-07-11  Mo DeJong  <mdejong@redhat.com>

	* hyper/sninit.c (delete_me, DeleteInterp):
	Clean up interpreter deletion, this
	change also depends on a local change to
	tk8.1/generic/tkMain.c otherwise a
	call to Tcl_DeleteInterp will crash.

2000-07-11  Ian Roxborough  <irox@redhat.com>

	* gui/xrefpane.tcl : Inherit from MultiChild.

2000-07-10  Ian Roxborough  <irox@redhat.com>

	* gui/classtreepane.tcl: Inherit ClassTree& from
	MultiChild.  Fixed status bar.

	* gui/editorpane.tcl: Fixed status bar.

	* gui/multichild.tcl: Added -message_var option,
	this contains the TextVariable from the status bar.

	* gui/multiview.tcl: Set the -message_var option
	when creating panes which want to use the status bar
	to display messages.

2000-07-10  Mo DeJong  <mdejong@redhat.com>

	* gui/classpane.tcl:
	* gui/classtreepane.tcl: Add FIXME note.
	* gui/multiview.tcl (toolbar_findtext_postcommand): Use
	-contents options not contents method.
	* gui/preferences.tcl (choose_macrofile): Itcl 3.0 fixup.
	* gui/selector.tcl:
	* gui/sninit.tcl: Add FIXME note.
	* gui/tools.tcl (constructor): Use treebind not bind.

2000-07-10  Mo DeJong  <mdejong@redhat.com>

	* gui/Makefile.am:
	* gui/Makefile.in:
	* gui/tree.tcl:
	* gui/treetable.tcl:
	* hyper/Makefile.am:
	* hyper/Makefile.in:
	* hyper/sninit.c:
	* hyper/tkTreeTable.c:
	* hyper/tkTreeTable.h: Move the "treetable"
	command from libgui back into SN.

2000-07-06  Ian Roxborough  <irox@redhat.com>

	* gui/includepane.tcl: Fixed missing
	close } problems.

2000-07-06  Ian Roxborough  <irox@redhat.com>

	* configure.in: Update version number to 5.0.0
	
	* Makefile.in:
	* configure:
	* bitmaps/Makefile.in
	* db/Makefile.in
	* demo/Makefile.in
	* doc/Makefile.in
	* doc/html/Makefile.in
	* etc/Makefile.in
	* gui/Makefile.in
	* hyper/Makefile.in
	* install/Makefile.in
	* misc/Makefile.in
	* misc/libutils/Makefile.in
	* parsers/Makefile.in
	* parsers/assembly/Makefile.in
	* parsers/assembly/ppc601-eabi/Makefile.in
	* parsers/chill/Makefile.in
	* parsers/cobol/Makefile.in
	* parsers/common/Makefile.in
	* parsers/cpp/Makefile.in
	* parsers/cpp/cpplib/Makefile.in
	* parsers/fortran/Makefile.in
	* parsers/gcj/Makefile.in
	* parsers/java/Makefile.in
	* parsers/libjcreuse/Makefile.in
	* parsers/sendmail/Makefile.in
	* parsers/tcl/Makefile.in
	* parsers/toolbox/Makefile.in
	* sdk/Makefile.in
	* sdk/api/Makefile.in
	* sdk/api/c/Makefile.in
	* sdk/api/c/database/Makefile.in
	* sdk/api/c/database/examples/Makefile.in
	* sdk/api/tcl/Makefile.in
	* sdk/api/tcl/database/Makefile.in
	* sdk/api/tcl/database/examples/Makefile.in
	* sdk/api/tcl/misc/Makefile.in
	* sdk/parsers/Makefile.in
	* sdk/parsers/examples/Makefile.in
	* sdk/parsers/examples/assembly/Makefile.in
	* sdk/parsers/examples/elf/Makefile.in
	* Makefile.in
	* unix/Makefile.in
	* win/Makefile.in: Regenerated.

2000-07-06  Ian Roxborough  <irox@redhat.com>
	
	* gui/combo.tcl:
	* gui/projedit.tcl:
	* gui/projmng.tcl:
	* gui/retriever.tcl:
	* gui/retrieverpane.tcl:
        * gui/targetedit.tcl:
	* gui/classpane.tcl: don't use __bind for the tree
	widget, use treebind.
	
2000-07-06  Mo DeJong  <mdejong@redhat.com>

	* gui/classpane.tcl (constructor): Fix formatting, use
	configure not config.
	* gui/makepane.tcl (constructor, dispatch_MakeEvent): Add FIXMEs. Don't
	fully qualify global commands. Use non-blocking IO. Fix horrible
	problem where make would close the pipe when a compiler warning
	is generated.
	* gui/projedit.tcl (constructor): Use __bind not bind for Tree class.
	* gui/retriever.tcl: Add FIXME notes.
	* gui/targetedit.tcl (constructor): Use __bind not bind for Tree class.
	* gui/utilities.tcl: Add FIXME notes.

2000-07-05  Mo DeJong  <mdejong@redhat.com>

	* gui/classpane.tcl (constructor): Use __bind from Tree class.
	Use set not ::set.
	* gui/combo.tcl (constructor): Use __bind from Tree class.
	* gui/conftooldlg.tcl (CreateDialog): Use vwait not tkwait.
	Use itcl::delete. Remove unused code.
	* gui/dialog.tcl (tk_dialog, tk_dialog_with_widgets): Use vwait
	not tkwait. Use itcl::delete. Don't use catch.
	* gui/help.tcl (balloon_destroy): Don't use catch.
	* gui/includepane.tcl: Itcl 3.0 fixups.
	* gui/misc.tcl (sn_glob_updatecommand): Don't ask if the
	users reaally wants to cancel a parse operation. Use itcl::delete.
	Don't use catch.
	* gui/projedit.tcl: Use vwait not tkwait, use set not ::set.
	Use itcl::delete not destroy.
	* gui/projmng.tcl (sn_select_project): Use __bind from Tree class.
	* gui/retriever.tcl (display_retrieves): Use __bind from Tree class.
	* gui/retrieverpane.tcl (constructor): Use __bind from Tree class.
	* gui/text.tcl (tkTextDelete): Fix typo.
	* gui/tmeter.tcl (delete_scale_window): Use itc::delete if object
	exists.
	* gui/xrefpane.tcl (xref_disp_tmeter): Don't use catch.

2000-07-05  Mo DeJong  <mdejong@redhat.com>

	* gui/bugreport.tcl (mail_bug_report, sn_send_mail):
	* gui/diff.tcl (untabify, rediff):
	* gui/editorpane.tcl (editfile, EditFile, insert_file_cb,
	UpdateHighlights, print_file):
	* gui/emacs.tcl (sn_ensure_emacs_running, sn_emacs_socket_accept):
	* gui/gdbtk.tcl (create_xterm, create_xterm, ):
	* gui/greppane.tcl (constructor, ExecGrepEvent):
	* gui/help.tcl (sn_help):
	* gui/html.tcl (doc_start):
	* gui/i18n.tcl (sn_string_init):
	* gui/ipc.tcl (sn_send_to_project, sn_AcceptApplication):
	* gui/listdisplay.tcl (print_it):
	* gui/makepane.tcl (ExecMake, make&_respond_to_save_as):
	* gui/misc.tcl (sn_load_xref, sn_update_project_hotlist,
	sn_create_new_project, set_project_dir_files,
	sn_load_hide_unload_files, sn_make_delfilelist,
	sn_parse_uptodate, sn_load_part_files):
	* gui/printdialog.tcl (PrintPostScriptPages):
	* gui/projmng.tcl (sn_read_exist_projects):
	* gui/utilities.tcl (sn_file_format, sn_save_file,
	sn_exec_x_events, sn_print_ascii):
	* gui/version.tcl (sn_rcs_checkin, sn_rcs_diff):
	* sdk/api/tcl/misc/exportIndex.tcl (sn_mkindex):
	* sdk/api/tcl/misc/paf_dump.tcl (custom_paf_dump_symbols_to_sqlfile):
	* sdk/api/tcl/misc/sn_report.tcl:
	* sdk/api/tcl/misc/socket_rc.tcl (AcceptApplication): Use non-blocking
	IO on all channels. Use default encoding.

2000-06-30  Mo DeJong  <mdejong@redhat.com>

	* bitmaps/Makefile.am: Add shadowman.xpm, remove cygnus.xpm.
	* bitmaps/Makefile.in: Regen:
	* bitmaps/shadowman.xpm: New logo for loading screen.
	* etc/sn_prop.cfg.in: Add commonly used file extensions to
	the set of "unknown" file types.
	* gui/bindings.tcl (sn_entry_insert_input): Removed ancient
	binding for paste action, it had no clear purpose.
	* gui/classpane.tcl (mixer): Itcl 3.0 fixups.
	* gui/editorpane.tcl: Brace expr.
	* gui/error.tcl: Itcl 3.0 fixups.
	* gui/greppane.tcl: Add backwards compatibility
	with grep results from earlier project files. Save
	the nocase setting on the grep history stack. Detach
	the horizontal scroll bar while grep process is running.
	Clean up error handling. Remove unused methods. Fix
	file % done meter usage.
	* gui/misc.tcl: Add logging info, use vwait not tkwait.
	* gui/preferences.tcl: Itcl 3.0 fixups.
	* gui/retrieverpane.tcl: Itcl 3.0 fixups.
	* gui/tmeter.tcl: Use shadowman.xpm not cygnus.xpm. Itk
	overhaul. Fixed ProgressBar class.
	* gui/utilities.tcl: Use shadowman.xpm not cygnus.xpm.

2000-06-29  Ian Roxborough  <irox@redhat.com>

	* gui/editorpane.tcl: Don't use global
	variable $this-LineNumber, usr variable
	passed in option -linenumber_var.

	* gui/greppane.tcl: Remove unused public
	variable mesg_linenumber.

	* gui/makepane.tcl: Remove unsed public
	variable mesg_linenumber.

	* gui/multichild.tcl: Remove option -mesg_linenumber
	and add option -linenumber_var.

	* gui/multview.tcl: Use -linenumber_var
	instead of -mesg_linenumber.

2000-06-28  Ian Roxborough  <irox@redhat.com>

	* gui/text.tcl: Added support to sync
	multiple editors when using Undo.

2000-06-28  Ian Roxborough  <irox@redhat.com>

	* gui/conftooldlg.tcl: Itcl 3.0 upgrade.

	* gui/targetedit.tcl: Use itcl::code when
	passing the build target to snIdeToolsDlg
	to get the scoping correct.

2000-06-28  Ian Roxborough  <irox@redhat.com>

	* gui/rcs.tcl: Remove seemingly redundant
	-scroll option from Selector& options.
	Use listbox instead of Listbox&. Use delete
	instead of delete_tk.

	* gui/selector.tcl: Patch together to
	work again!

2000-06-27  Ian Roxborough  <irox@redhat.com>

	* gui/panewd.tcl: Itcl3.0 upgrade work.

	* gui/rcs.tcl: Itcl3.0 upgrade work.

	* gui/selector.tcl: Itcl3.0 upgrade work,
	removed unused class TopSelector&.

2000-06-27  Ian Roxborough  <irox@redhat.com>

	* gui/editorpane.tcl (EditFile): Oops,
	reference to itk_component(editor) in
	static method, changed to use local variable.

2000-06-26  Ian Roxborough  <irox@redhat.com>

	* gui/editorpane.tcl: Removed the gobal
	variable *-tg and *-off, these have been
	replaced with a private variable old_tg
	and old_off.

2000-06-26  Ian Roxborough  <irox@redhat.com>

	* gui/tools.tcl: Fixed Radio&.
	(Semi rewrite)

2000-06-26  Ian Roxborough  <irox@redhat.com>

	* gui/includepane.tcl:
	* gui/grep.tcl: Removed space from :: when
	calling static methods.

2000-06-26  Ian Roxborough  <irox@redhat.com>

	* gui/editorpane.tcl: Remove references
	to gobal variable *.msg-keep.

	* gui/multichild.tcl: Added a -parent
	option to stored off a reference to
	the parent of the multichild.

	* gui/multiview.tcl: Set -parent attribute
	when creating and Editor&.

	* gui/retriever.tcl: Don't delete the
	window if there isn't one!

2000-06-22  Ian Roxborough  <irox@redhat.com>

	* gui/editor.tcl: Don't use -synccommand.

	* gui/multiview.tcl: Use SyncEditors_Active
	variable to lock out other attempts to sync
	editors.

	* gui/text.tcl: Call SyncEditors before
	inserting or deleting characters in the
	editor.

	* gui/window.tcl: Call don't call "set"
	method, call "grab" method.

2000-06-22  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl: Fixed grep pane so that
	grep results and pattern match indexes are
	not cached. When an old pattern is selected,
	the grep will be run automatically.
	* gui/multiview.tcl: Use configure instead of
	config. Use -state option for Combo& class.
	* gui/sninit.tcl: Don't limit the size of
	error string to be displayed.
	* gui/window.tcl: Use itcl::delete not delete.
	* snavigator/unix/snavigator.in: Add a
	non-interactive gdb startup option.

2000-06-21  Mo DeJong  <mdejong@redhat.com>

	* gui/bindings.tcl: Use destroy not tk_destroy.
	* gui/classpane.tcl: Use destroy not tk_destroy.
	* gui/classtreepane.tcl: Use itcl::find not itcl_info.
	* gui/conftooldlg.tcl: Use itcl::delete not delete.
	* gui/diff.tcl: Use itcl::delete not delete.
	* gui/dirdialog.tcl: Use itcl::delete not delete.
	* gui/editorpane.tcl: Use destroy not tk_destroy.
	Use itcl::delete not delete. Use namespace tail.
	* gui/elix.tcl: Use itcl::delete not delete.
	* gui/error.tcl: Use itcl::delete not delete.
	* gui/help.tcl: Use itcl::delete not delete.
	* gui/history.tcl: Use destroy not tk_destroy. Use
	braces around exprs.
	* gui/includepane.tcl: Use PrintDialog not PrintDialog&.
	* gui/listdisplay.tcl: Use itcl::delete not delete.
	Use destroy not tk_destroy.
	* gui/makepane.tcl: Use combo -contents option. Do not
	use old style class method call. Use itcl::delete not delete.
	* gui/misc.tcl: Use itcl::delete not delete.
	* gui/mkfilegen.tcl: Use itcl::delete not delete.
	* gui/multiview.tcl: Use destroy not tk_destroy. Brace exprs.
	* gui/printdialog.tcl: Rename from PrintDialog& to PrintDialog.
	Itcl 3.0 upgrade. use new Window class. Brace exprs.
	* gui/projedit.tcl: Use destroy not tk_destroy.
	* gui/projmng.tcl: Use itcl::delete not delete.
	* gui/rcs.tcl: Use itcl::delete not delete.
	* gui/retriever.tcl: Use itcl::delete not delete. Itcl upgrade.
	* gui/retrieverpane.tcl: Use itcl::delete not delete.
	* gui/selector.tcl: Use itcl::delete not delete.
	* gui/statistics.tcl: Use itcl::delete not delete.
	* gui/symbolbrowser.tcl: Use itcl::delete not delete.
	* gui/targetmgr.tcl: Use itcl::delete not delete.
	* gui/tmeter.tcl: Use itcl::delete not delete.
	* gui/utilities.tcl: Use itcl::delete not delete. Itcl upgrade.
	* gui/version.tcl: Use itcl::delete not delete. Use vwait not tkwait.
	* gui/xrefpane.tcl: Use PrintDialog not PrintDialog&.

2000-06-19  Syd Polk  <spolk@redhat.com>

	* configure.in: Use CYG_PATH_ITCLCONFIG and CYG_LOAD_ITCLCONFIG
	macros to find itclsh.
	* aclocal.m4: Regenerate.
	* configure: Regenerate.
	* Makefile.am (install): Call itcl/install-libraries instead of
	install.
	* doc/html/Makefile.am: Set PATH before calling itclsh.
	* gui/tclIndex: Removed.
	* gui/Makefile.am: Regenerate tclIndex in install folder. Use
	PATH so that tcl dll is found on Windows.
	* hyper/Makefile.am: Don't link in TK_LIBS for MSVC build.
	Regenerate all Makefile.in.

2000-06-21  Mo DeJong  <mdejong@redhat.com>

	* gui/combo.tcl:
	* gui/greppane.tcl:
	* gui/tools.tcl:
	Use back ported -state option for
	label widgets.

2000-06-20  Ian Roxborough  <irox@redhat.com>

	* gui/greppane.tcl: removed puts debug
	command.

	* gui/editorpane.tcl: Itk/itcl upgrade
	stuff.

2000-06-19  Mo DeJong  <mdejong@redhat.com>

	* gui/classpane.tcl: Combo& cleanup
	* gui/classtreepane.tcl: Combo& cleanup
	* gui/combo.tcl: Massive Combo& reorg, get
	rid of global variables, implement -state
	option for the widget, fix up minor itcl
	upgrade problems, remove methods that
	overlap itk component functionality.
	* gui/editorpane.tcl: Combo& cleanup
	* gui/greppane.tcl: Combo& cleanup
	* gui/includepane.tcl: Combo& cleanup
	* gui/makepane.tcl: Combo& cleanup
	* gui/misc.tcl (sn_choose_project): Use
	OpenProject not OpenProj as window
	title string.
	* gui/multiview.tcl: Combo& cleanup
	* gui/preferences.tcl (exitPreferences, apply):
	Itcl 3.0 upgrade.
	* gui/projedit.tcl: Combo& cleanup
	* gui/rcs.tcl: Combo& cleanup
	* gui/retrieverpane.tcl: Combo& cleanup
	* gui/tools.tcl: Combo& cleanup
	* gui/xrefpane.tcl: Itcl 3.0 and Combo& clanup

2000-06-19  Ian Roxborough <irox@redhat.com>

	* gui/multiview.tcl (SyncEditor):
	Remove toplevel namespace qualifier from
	object before comparison.  Fixes double
	print in editor window when typing.

2000-06-16  Mo DeJong  <mdejong@redhat.com>

	* gui/busy.tcl (busywidgets): Comment
	out use of tk_x_events.
	* gui/greppane.tcl (close_grep,
	text_select_line, incr_selected_line):
	Fix case sensitive searching of grep results. Fix
	next and previous buttons.
	* gui/sninit.tcl (sn_init_globals): Set the
	auto_noexec variable so that we do not
	accidently exec programs in unknown. Remove
	use of tk_x_events.
	* hyper/sninit.c (SN_tk_x_events,
	watch_prevRestrictProc): 
	Remove implementation of tk_x_events command.
	* sdk/api/tcl/misc/exportIndex.tcl (sn_mkindex):
	Remove use of watch command.
	* sdk/api/tcl/misc/paf_dump.tcl
	(custom_paf_dump_symbols_to_sqlfile):
	Remove use of watch command.

2000-06-15  Mo DeJong  <mdejong@redhat.com>

	* gui/greppane.tcl: Fixed up problems
	reading file name in grep result.
	Use empty itk usual bock for widget defaults.
	* gui/targetedit.tcl: Use empty itk usual
	block for widget defaults.

2000-06-15  Syd Polk  <spolk@redhat.com>

	* Makefile.am: Only install grep if we are on Windows.
	* Makefile.in: Regenerate.

2000-06-15  Mo DeJong  <mdejong@cygnus.com>

	* gui/editorpane.tcl (SetTitle): Fixed
	problem with flattened list in uplevel.
	* gui/greppane.tcl: Fixed highlight of
	grep results and selection in editor.
	This also works for a split grep pane!
	* gui/multiview.tcl (windows_splitinto_edit):
	Fixed edit split in grep window.

2000-06-14  Mo DeJong  <mdejong@cygnus.com>

	* etc/english.txt.in: Changed misleading
	string table entry names.
	* gui/editorpane.tcl: Added FIXME notes
	and fixed up missing variable.
	* gui/greppane.tcl: Major overhaul, Grep&
	renamed to Grep, removed global variable
	hacks, converted from pack to grid, no
	longer using Browser& widget, no longer
	using custom grep executable or
	Sn_Highlight_Text.
	* gui/misc.tcl (sn_quit): Fixed delete
	call for widgets, fixed error displayed
	when a project is already opened.
	* gui/multiview.tcl: Minor reformat,
	switched from Grep& to Grep. A grep
	key sequence will switch to grep window.
	* gui/preferences.tcl: Added FIXME notes,
	use Grep instead of Grep&.
	* gui/projmng.tcl: Renamed Open_Existing_Project
	to Browse_For_Project, fixed problem that caused
	the project window to appear before it was ready.
	* gui/sninit.tcl (sn_init_globals): Removed
	variables used for our custom grep executable.
	* gui/tmeter.tcl: Itcl 3.0 and itk upgrade, still
	needs work.
	* gui/tools.tcl (Entry&, Radio&, CheckButton&,
	LabelEntryButton&, ChooseColor&, ChooseFont&):
	Removed empty destructor methods, use configure
	instead of config, itcl 3.0 fixes, use itk hull.

2000-06-13  Ian Roxborough  <irox@redhat.com>

	* gui/busy.tcl: Removed proc "watch".

	* gui/classpane.tcl: Removed calls to "watch".

	* gui/classtreepane.tcl: Removed calls to "watch".

	* gui/editorpane.tcl: Removed calls to "watch",
	Editor class now inherits from multichild.

	* gui/grep.tcl: Removed calls to "watch".

	* gui/greppane.tcl: Removed calls to "watch".

	* gui/help.tcl: Removed calls to "watch".

	* gui/history.tcl: Removed calls to "watch".

	* gui/html.tcl: Removed calls to "watch".

	* gui/includepane.tcl: Removed calls to "watch".

	* gui/makepane.tcl: Removed calls to "watch".

	* gui/misc.tcl: Removed calls to "watch".

	* gui/multiview.tcl: Removed calls to "watch".
	Call configure not config.

	* gui/preferences.tcl: Removed calls to "watch".

	* gui/projedit.tcl: Removed calls to "watch".

	* gui/rcs.tcl: Removed calls to "watch".

	* gui/retriever.tcl: Removed calls to "watch".

	* gui/retrieverpane.tcl: Removed calls to "watch".

	* gui/selector.tcl: Removed calls to "watch".

	* gui/statistics.tcl: Removed calls to "watch".

	* gui/symbolbrowser.tcl: Removed calls to "watch".

	* gui/tools.tcl: Removed calls to "watch".

	* gui/utilities.tcl: Removed calls to "watch".

	* gui/version.tcl: Removed calls to "watch".

	* gui/window.tcl: Removed calls to "watch".

	* gui/xrefpane.tcl: Removed calls to "watch".

	* gui/multichild.tcl: New file.

	* gui/Makefile.am: Add multichild.tcl as a
	depenancy.

	* gui/Makefile.in: Regenerated.
	
2000-06-08  Ian Roxborough  <irox@redhat.com>

	* gui/elix.tcl (Elix&::constructor): Don't call
	base class constructor.

	* gui/multiview.tcl: Removed extra [.

	* gui/utilities.tcl (sn_choose_file): Removed extra
	].

	* gui/xrefpance.tcl: Removed extra ].


2000-06-08  Mo DeJong  <mdejong@cygnus.com>

	* gui/dialog.tcl (tk_dialog_with_widgets):
	Workaround for problem with grab command
	while creating a new project.
	* gui/misc.tcl: Use itcl::find instead of
	itcl_info, use itcl::delete instead of destroy.
	* gui/window.tcl (destructor, on_close, move_to_mouse):
	Don't prefix global commands with ::, removed old code.

2000-06-07  Ian Roxborough  <irox@redhat.com>

	* gui/classtreepane.tcl: itk/itcl upgrade for
	class hierarchy tab.

2000-06-07  Mo DeJong  <mdejong@cygnus.com>

	* gui/misc.tcl (sn_is_project_busy,
	project_is_opened, sn_read_project):
	Remove isfileused and project_is_opened.
	* gui/projmng.tcl (sn_select_project):
	Removed isfileused.
	* hyper/sninit.c: Removed isfileused,
	info, tkwait, and grab C commands.

2000-06-07  Mo DeJong  <mdejong@cygnus.com>

	* etc/english.txt.in: Merged elix version.
	* gui/bindings.tcl (sn_init_keybindings):
	Itcl 3.0 fixups.
	* gui/emacs.tcl: Added FIXME notes.
	* gui/error.tcl (sn_error_dialog): Use
	tk_messageBox to display error messages.
	* gui/targetmgr.tcl (CreateDialog):
	Fixed up some comments.
	* snavigator/unix/snavigator.in: Added
	debug startup options to shell script.

2000-06-06  Ian Roxborough  <irox@redhat.com>

	* gui/classpane.tcl: More itk/itcl upgrade,
	removal of gobal variables.

2000-06-06  Ian Roxborough  <irox@redhat.com>

	* hyper/sninit.c: class_browser_insert is objectified,
	so don't pass it strings and declare it as a
	Tcl_CreateObjCommand.
	
2000-06-05  Mo DeJong  <mdejong@cygnus.com>

	* gui/targetmgr.tcl: Converted to itk.
	* tests/gui/targetedit.test: Updated
	to account for changes in targetmgr.

2000-06-05  Mo DeJong  <mdejong@cygnus.com>

	* tests/gui/targetedit.test: Overhauled
	regression test, it is a lot cleaner now.

2000-06-05  Ian Roxborough  <irox@redhat.com>

	* gui/classtreepane.tcl: Remove spaces from
	static method calls.

2000-06-05  Mo DeJong  <mdejong@cygnus.com>

	* gui/multiview.tcl: More Itcl 3.0
	and itk related fixups.

2000-06-05  Ian Roxborough <irox@redhat.com>

	* gui/classpane.tcl: itk/itcl3.0 upgrade work.

2000-06-05  Mo DeJong  <mdejong@cygnus.com>

	* gui/multiview.tcl: Removed itcl 1.5
	style Class :: method calls.
	* gui/targetedit.tcl (CreateDialog):
	Fixed up layout so that it looks more
	like elix version.

2000-06-02  Ian Roxborough  <irox@redhat.com>

	* gui/multiview.tcl: Fix windows menu and misc
	clean in in supporting procs of MultiWindow&.

2000-06-02  Ian Roxborough  <irox@redhat.com>

	* gui/retreiver.tcl: Use "configure -title" and
	"configure -iconname".

	* gui/multiview.tcl: More itk/itcl upgrade,
	clean up comments, from used variables.

2000-06-01  Mo DeJong  <mdejong@cygnus.com>

	* gui/targetedit.tcl: Removed global
	variable hacks and purged all use of
	the pack layout manager. Rewrote
	some uses of grid and removed a
	bunch of unnecessary frames and
	renamed some confusing widgets.
	* tests/gui/targetedit.test: Updated
	to account for path name changes
	made in targetedit.

2000-06-01  Ian Roxborough  <irox@redhat.com>
	
	* gui/combo.tcl: Call config for tree widget and not
	configure.

	* gui/editorpane.tcl: Don't call MultiWindow& ::  find_Reusable,
	call MultiWindow&::find_Reusable.  Use "component" to get
	a widget path.

	* gui/multiview.tcl: itk rewrite.

	* gui/misc.tcl: Don't have spaces around qualifiers.

	* gui/greppane.tcl: Don't have spaces around qualifiers.
	(i.e. MultiWindow& :: list_find)

	* gui/preferences.tcl: Don't have space around qualifiers.
	
	* gui/project.tcl: Don't have space around qualifiers.
	
	* gui/retrieverpane.tcl:  Don't have space around qualifiers.
	
	* gui/symbolbrowser.tcl: Don't have space around qualifiers.
	
2000-06-01  Mo DeJong  <mdejong@cygnus.com>

	* gui/combo.tcl (Combo&): Woops, move
	call to itk_initialize back up 2 lines.

2000-05-31  Mo DeJong  <mdejong@cygnus.com>

	* etc/english.txt.in: Added string for
	entry point in target edit link rules tab.
	* gui/combo.tcl (Combo&): Call itk_initialize
	after the widgets are created and packed.
	* gui/targetedit.tcl: Massive itk overhaul of
	target editor. Removed some widgets that
	were not getting used.
	* gui/window.tcl (on_close): Use itcl::delete
	instead of $this delete.
	* tests/gui/targetedit.test: First cut of
	automated way to bring up the target
	edit window.

2000-05-31  Ian Roxborough  <irox@redhat.com>

	* gui/multixref.tcl: Renamed to xrefpane.tcl.

	* gui/multiappl.tcl: Renamed to multiview.tcl.

	* gui/browpaf.tcl: Removed, contents can be found
	in misc.tcl.

	* gui/misc.tcl: Contains old browpaf.tcl.

	* gui/multibrow.tcl: Renamed to symbolbrowser.tcl.

	* gui/browser.tcl: Renamed to listdisplay.tcl.
	
	* gui/multicls.tcl: Renamed to classpane.tcl.

	* gui/multictree.tcl: Renamed to classtreepane.tcl.

	* gui/prtdialo.tcl: Renamed to printdialog.tcl.

	* gui/multiedit.tcl: Renamed to editorpane.tcl.

	* gui/multigrep.tcl: Renamed to greppane.tcl.

	* gui/multiinc.tcl: Renamed to includepane.tcl.

	* gui/multimake.tcl: Renamed to makepane.tcl.

	* gui/multiretr.tcl: Renamed to retrieverpane.tcl

	* gui/Makefile.am: Update to reflect renaming changes.

	* gui/Makefile.in: Regenerated.
	
2000-05-30  Ian Roxborough  <irox@redhat.com>

	* gui/window.tcl: Don't initialize itk_option(-geometry)
	byt hand. (Fixes the 1x1 pixel windows problem.)

2000-05-30  Mo DeJong  <mdejong@cygnus.com>

	* gui/targetedit.tcl (CreateDialog): Fixed target editor
	window so it expands when the user expands
	the window.
	* gui/window.tcl (raise): Fixed bug that was calling
	raise instead of ::raise thus causing infinite loop.

2000-05-26  Ian Roxborough  <irox@cygnus.com>

	* gui/multigrep.tcl: itk rewrite.

2000-05-26  Ian Roxborough  <irox@cygnus.com>

	* gui/multigrep.tcl: Don't use Entry&::entry
	to get the entry widget path.  Use component entry.

2000-05-26  Ian Roxborough  <irox@cygnus.com>

	* gui/listtext.tcl: Removed.

	* gui/Makefile.am: Removed listtext.tcl dependancy.

	* gui/Makefile.in: Regenerated.

	* gui/browpaf.tcl (sn_parse_uptodate): Use standard
	listbox instead of Listbox.  Use configure -title
	rather than the title method.  Call global bind
	command rather than the bind method.
	
2000-05-26  Ian Roxborough  <irox@cygnus.com>

	* gui/winprint.tcl: Removed.  Nothing in
	this file if every called.

	* gui/Makefile.am: Removed dependancy winprint.tcl.

	* gui/Makefile.in: Regenerated.
	
2000-05-26  Ian Roxborough  <irox@cygnus.com>

	* gui/tools.tcl (Entry&): Complete rewrite.
	(LabelEntryButton&::setvalue): removed, we
	nolonger need this method, use configure -value
	instead.

2000-05-26  Ian Roxborough  <irox@cygnus.com>

	* gui/tools.tcl (LabelEntryButton&): -value can
	set entry widget values even if -variable isn't
	set.

	* gui/browpaf.tcl (choose_project_dir_cb): Use
	-value to set LabelEntryButton& contents.

2000-05-26  Mo DeJong  <mdejong@cygnus.com>

	* gui/browpaf.tcl (sn_parse_uptodate): Use
	Listbox instead of Listbox&.
	* gui/listtext.tcl (List_Text, Listbox, Text):
	Convert classes to itcl 3.0 and itk. Most of
	the classes work, but more itk stuff is TBD.
	* gui/projedit.tcl (apple): Fixed a couple
	of minor itcl and itk bugs.
	* gui/targetedit.tcl (CreateDialog): Use
	new -value option on LabelEntryButton&.
	Add FIXME note about itk stuff that is TBD.
	* gui/window.tcl: Got rid of unneeded ::
	on the front of global commands. Fixed up
	a number of minor formatting issues. Added
	FIXME impl of itk -title option on Toplevel.

2000-05-25  Ian Roxborough  <irox@cygnus.com>

	* gui/targetedit.tcl:  Dont' pass args to
	super class constructor.  Call global namespace
	grab.  When setting values in LabelEntryWidget
	objects use <object> configure -value <value>.

2000-05-25  Ian Roxborough  <irox@cygnus.com>

	* gui/preferences.tcl: Basic itcl/itk upgrade.

	* gui/window.tcl (grid): rename gird method to
	__grid.  This should eventually be removed.

	* gui/targetmgr.tcl: Don't call force call
	super class constructor with $args (let itk
	handle it).

	* gui/browpaf.tcl: Removed puts debug statement.

	* gui/browser.tcl: Removed puts debug statements.

	* gui/conftooldlg.tcl: Call error to report an
	error not puts.

	* gui/multigrep.tcl: removed puts debug statement.

	* gui/multixref.tcl: Removed puts debug statement.

	* gui/tools.tcl: removed comment out puts statement.
	
2000-05-25  Ian Roxborough  <irox@cygnus.com>

	* gui/window.tcl (sn_create_window): Use sourcenav::Window
	instead of Toplevel&.

	* gui/multimake.tcl: Basic itk/itcl upgrade.

2000-05-25  Mo DeJong  <mdejong@cygnus.com>

	* gui/bindings.tcl (sn_listbox_post_menu_update): Use
	Tree instead of Tree&.
	* gui/browpaf.tcl: Minor comment cleanup.
	* gui/buildtarget.tcl: Add correct default argument
	parens.
	* gui/multixref.tcl (xbrowse): Use Tree instead of Tree&.
	* gui/targetedit.tcl (snEditTarget):
	* gui/targetmgr.tcl (snIdeTargetMgr): Convert class to
	itcl 3.0 and into an itk component.
	* gui/tools.tcl (display_value): Use Tree instead of Tree&.

2000-05-25  Mo DeJong  <mdejong@cygnus.com>

	* gui/elix.tcl (Elix&):
	* gui/listtext.tcl (List_Text&, Text&):
	* gui/preferences.tcl (Preferences&):
	* gui/selector.tcl (Selector&, TopSelector&):
	Moved constructor calls into special
	itcl ctor block. Use sourcenav::Window
	instead of Toplevel&.

2000-05-24  Mo DeJong  <mdejong@cygnus.com>

	* gui/dirdialog.tcl (DirDialog, getSelectedDir): Fixed
	problem that was causing the directory selection widget
	to never show up. Removed ugly use of a global variable,
	now we use a instance variable. Added new getSelectedDir method
	which will wait for a dir to be selected and return it.
	* gui/multiedit.tcl (DirDialog) : Use new getSelectedDir.

2000-05-24  Ian Roxborough  <irox@cygnus.com>

        * gui/multiappl.tcl (SaveYourSelf): Use "component hull"
	to get window path before extracting and saving information.

	* gui/retriever.tcl (retriever_what_to_qry): Remove namespace
	qualifier before doing an "info globals $var".

	* gui/tree.tcl: Removed file. (Use version in libgui.)

	* gui/Makefile.am: Removed tree.tcl dependancy.

	* gui/Makefile.in: Regenerated.
	
	
2000-05-17  Ian Roxborough  <irox@cygnus.com>

	* gui/browpaf.tcl:
	* gui/dialog.tcl:
	* gui/dirdialog.tcl:
	* gui/multiappl.tcl:
	* gui/multibrow.tcl:
	* gui/multiedit.tcl:
	* gui/multiretr.tcl:
	* gui/projedit.tcl:
	* gui/projmng.tcl:
	* gui/tmeter.tcl:
	* gui/tools.tcl:
	All references to the class Window need to be
	fully qualified. E.g sourcenav::Window.
	
	* gui/window.tcl: Move class Window into namespace
	sourcenav.

2000-05-17  Ian Roxborough  <irox@cygnus.com>

	* gui/multixref.tcl: Use itk_option(-toolbar) to
	pass and get the path to the toolbar location.

2000-05-17  Ian Roxborough  <irox@cygnus.com>

	* db/Makefile.in: Regenerated.
	* gui/Makefile.in: Regenerated.	
	* hyper/Makefile.in: Regenerated.
	* install/Makefile.in: Regenerated.
	* misc/libutils/Makefile.in: Regenerated.
	* snavigator/win/Makefile.in: Regenerated.
	* gui/Makefile.am: Removed toplevel.tcl.
	* gui/toplevel.tcl: Deleted.
	* gui/window.tcl: Class Window now lives in here.

2000-05-17  Ian Roxborough  <irox@cygnus.com>

	* gui/dialog.tcl (tk_dialog): Use Window class instead
	of Toplevel&.  Call destroy instead of delete for
	removing the dialog.

2000-05-16  Ian Roxborough  <irox@cygnus.com>

	* gui/browpaf.tcl: Call new method to set values
	in LabelEntryButton&s.
	
	* gui/dirdialog.tcl: Use namespace tail before trying
	to get winfo parent.
	
	* gui/multixref.tcl: Don't call bind method, call
	bind command in global namespace.
	
	* gui/projedit.tcl: Project&::can_create_project
	is now declared as a proc not method.
	
	* gui/tools.tcl: Remove LabelEntryButton&::entry
	method.  Use cget instead of config to return info.
	Added new method setvalue to set LabelEntryButton& values.
	(using config -value <value> isn't a good way)

2000-05-08  Ian Roxborough  <irox@cygnus.com>

	* gui/browser.tcl
	* gui/listtext.tcl
	* gui/multiappl.tcl
	* gui/multicls.tcl
	* gui/multictree.tcl
	* gui/multigrep.tcl
	* gui/multiinc.tcl
	* gui/tmeter.tcl
	* gui/tools.tcl:
	More Itcl3.0 and itk upgrades/fixes.

2000-05-03  Ian Roxborough  <irox@cygnus.com>
	
	* gui/browpaf.tcl: Use destroy instead of
	delete.
	
	* gui/combo.tcl: Rewritten in itk style.
	
	* gui/dirdialog.tcl: Inherit from Window and
	use itk "hull".
	
	* gui/misc.tcl: Don't use "class :: proc",
	use "class::proc".
	
	* gui/multiappl.tcl: Use itk "hull" instead of
	$this.
	
	* gui/multictree.tcl: Don't use "method procname {i ""}",
	use "method procname {{i ""}}" or things break.
	
	* gui/multiedit.tcl: Inherit from itk::Widget and
	use itk "hull" instead of $this.
	
	* gui/multimake.tcl: Removed commented out code.
	
	* gui/multixref.tcl: Inherit from itk::Widget.
	Use itk "hull" instead of $this. General itcl3.0
	upgrade stuff.
	
	* gui/projedit.tcl: inherit from Window. Use
	itk options and "hull".
	
	* gui/projmng.tcl: Use destroy command, not
	delete method.
	
	* gui/retriever.tcl: Use Libgui Tree not SN Tree&.
	
	* gui/tmeter.tcl: Use Window not Toplevel&.  Plus
	general other itcl3.0 changes.
	
	* gui/tools.tcl: itk and itcl3.0 changes.
	
	* gui/toplevel.tcl: use geometry method instead of
	configure -geometry (due to inialisation problems).
	General itk and itcl3.0 stuff. Add error message if
	twidget method is called (it shouldn't be).
	
2000-04-28  Ian Roxborough  <irox@redhat.com>

	* gui/bindings.tcl
	* gui/browpaf.tcl
	* gui/browser.tcl
	* gui/combo.tcl
	* gui/conftooldlg.tcl
	* gui/diff.tcl
	* gui/dirdialog.tcl
	* gui/elix.tcl
	* gui/gdbtk.tcl
	* gui/grep.tcl
	* gui/listtext.tcl
	* gui/misc.tcl
	* gui/mkfilegen.tcl
	* gui/multiappl.tcl
	* gui/multibrow.tcl
	* gui/multicls.tcl
	* gui/multictree.tcl
	* gui/multiedit.tcl
	* gui/multigrep.tcl
	* gui/multiinc.tcl
	* gui/multimake.tcl
	* gui/multiretr.tcl
	* gui/multixref.tcl
	* gui/panewd.tcl
	* gui/preferences.tcl
	* gui/project.tcl
	* gui/projedit.tcl
	* gui/projmng.tcl
	* gui/prtdialo.tcl
	* gui/rcs.tcl
	* gui/retriever.tcl
	* gui/selector.tcl
	* gui/sninit.tcl
	* gui/targetedit.tcl
	* gui/targetmgr.tcl
	* gui/tclIndex
	* gui/tmeter.tcl
	* gui/tools.tcl
	* gui/toplevel.tcl
	* gui/tree.tcl
	* gui/utilities.tcl
	* gui/version.tcl: Itcl3.0 upgrade.
	
	* hyper/sninit.c: Added Itk_Init call and removed
	destroy renaming trick.

2000-04-24  Ian Roxborough  <irox@redhat.com>

	* sdk/api/tcl/database/examples/call-freq.tk
	* sdk/api/tcl/database/examples/clobber.tcl
	* sdk/api/tcl/database/examples/constants.tcl
	* sdk/api/tcl/database/examples/diamonds.tcl
	* sdk/api/tcl/database/examples/multicludes.tcl
	* sdk/api/tcl/database/examples/unimp-methods.tcl
	* sdk/api/tcl/database/examples/unused.tcl
	* sdk/api/tcl/misc/example3.tcl
	* sdk/api/tcl/misc/exportIndex.tcl
	* sdk/api/tcl/misc/java.rc.tcl
	* sdk/api/tcl/misc/paf_dump.tcl
	* sdk/api/tcl/misc/paf_rc.tcl
	* sdk/api/tcl/misc/sn_report.tcl
	* sdk/api/tcl/misc/socket_rc.tcl: Reformatted using
	frink (v1.2-40). The frink flags used where:
	"frink -n -v -a -B -e -g -H <filename>"

2000-04-22  Ian Roxborough  <irox@redhat.com>

	* gui/*.tcl:  All tcl files have been processed
	using frink. The frink flags used where:
	"frink -n -v -a -B -e -g -H <filename>"

2000-04-21  Syd Polk  <spolk@redhat.com>

	* doc/html/codefusion/*: Removed duplicate html files.
	* doc/html/enterprise/*: Likewise.

2000-04-21  Ian Roxborough  <irox@redhat.com>

	* gui/multiinc.tcl (Include&::draw_rectangles): Added a
	missing close square brace (]).

2000-04-19  Syd Polk  <spolk@redhat.com>

	* Merged (well, blasted, really) from snavigator-elix-990915-branch.

2000-04-13  Syd Polk  <spolk@redhat.com>

	* Makefile.am: Fix conditional on installing wish to work on Windows.
	* Makefile.in: Regenerate.

2000-04-12  Syd Polk  <spolk@redhat.com>

	* doc/html/codefusion: Removed all files.
	* doc/html/developer: Removed all files.

2000-04-12  Syd Polk  <spolk@redhat.com>

	* doc/html/Makefile.am: Deleted a parameter to create_index_file.
	Split tarring of *.gif and *.html.
	* doc/html/Makefile.in: Regenerated.
	
	* doc/html/generateindex.tcl.in: Deleted dest_dir parameter
	to create_index_file. No longer need to regsub @PREFIX@.
	Make references to index files relative.
	
	* doc/html/index.html.in: Make all files relative path.

2000-04-12  Syd Polk  <spolk@redhat.com>

	* configure.in: Set SN_BOOKS correctly, based on --enable-elix
	flag. Normal "enterprise" configuration has userguide and progref;
	"elix" configuration has getstart, userguide and gnupro.
	* configure: Regenerated.

	* doc/html/Makefile.am: Reorganize documentation. Documentation
	directory now looks like:

	    codefusion/
	        userguide/
	        progref/
	    developer/
	        userguide/
	    edk/
	        getstart/
		gnupro/
		userguide/
	    enterprise/
	        userguide/
		progref/

	* doc/html/generateindex.tcl.in index.html.in: Generate the index.html
	file on the fly when build.

	Moved all documenation to match above directory structure, including
	moving html in sdk/html/.

	Regenerated all Makefile.in files.

2000-04-04  Syd Polk  <spolk@redhat.com>

	* doc/html/edk/index.html: Created. Short-term solution.

2000-04-03  Ian Roxborough  <irox@cygnus.com>

	* gui/targetedit.tcl (snEditTarget::SetToolChain):
 	The first time a build target is created, we must
 	write back the tool chain to the build target object
 	otherwise we might get some side effects. [902534-CR]

	* gui/conftooldlg.tcl (snIdeToolDlg::SetCompilerLocation):
	If the specified compiler location is the same as that
	stored in the toolchain, just clear the compiler location
	field in the build target. [902534-CR]
	
2000-03-29  Syd Polk  <spolk@cygnus.com>

	* gui/lm.tcl gui/merge.tcl: Removed.

2000-03-28  Syd Polk  <spolk@cygnus.com>

	* gui/gdbtk.tcl: Set the working directory via the tcl script
	we send gdb, not via the command line option.

2000-03-28  Ian Roxborough  <irox@cygnus.com>

	* gui/targetedit.tcl (snEditTarget::SetBuildDirectory):
	If no build directory is set, just use the project
	directory by default

2000-03-24  Ian Roxborough  <irox@cygnus.com>

	* gui/multimake.tcl (Make&::constructor): Added
	some needed commets.  Set the $this-target var.
	Set the build dir to the correct directory if a
	build target is selected.  Make sure the build
	dir isn't editable if a build target is selected.

2000-03-24  Ian Roxborough  <irox@cygnus.com>

	* gui/targetmgr.tcl (snIdeTargetMgr::EntryBoxChanged):
	If the user is hitting backspace while typing in the
	entry box, do not change the selection in the list box.
	[CR: 902533-CR]

2000-03-24  Ian Roxborough  <irox@cygnus.com>

	* gui/targetedit.tcl (snEditTarget::GetLinkerCommandLine):
	Do not write out .runcfg here.

	* gui/multimake.tcl (Make&::ExecMake):
	After writting out the snMakefile, if we are
	building a elix target, write out the .runcfg file.
	[CR: 902539-CR]
	
2000-03-17  Ian Roxborough  <irox@cygnus.com>

	* gui/mkfilegen.tcl (MakefileGen::GenerateMakefile):
	If the build directory cannot be created, display an
	error dialog and return only the build directory.
	[902514-CR]

2000-03-17  Syd Polk  <spolk@cygnus.com>

	* install/README.txt: Updated for open source release.

2000-03-17  Ian Roxborough  <irox@cygnus.com>

	* gui/multimake.tcl (Make&::RefreshTargetInfo): New Method,
	to refresh the relavent GUI target information, debug/launch
	button state, current target dir and the target list.

	* gui/targetmgr.tcl (snIdeTargetMgr::UpdateBuildWindows):
	Calls the RefreshTargetInfo method on any open build
	windows after a new target is created or a current target
	is edited. [901996-CR]

2000-03-16  Ian Roxborough  <irox@cygnus.com>

	* gui/multimake.tcl (Make&::handle_proceed):
	Restore states of the comboboxes after finishing
	a build. [902515-CR]

2000-03-16  Syd Polk  <spolk@cygnus.com>

	* configure.in: Set appropriate conditionals for SNEDK. Set up
	variables for each demo so that they can be independently configured.
	* configure: Regenerate.
	* Makefile.am: Only install wish if we are not builing SNEDK.
	* demo/Makefile.am: Only install demos specified by configure.
	* install/Makefile.am: Only install INSTALL if we not SNEDK.

	Regenerate all Makefile.in.

2000-03-16  Ian Roxborough  <irox@cygnus.com>

	* gui/conftooldlg.tcl (snIdeToolsDlg::cb_newdef):
	When a new macro is create, clean the entry box
	to make it easier for entrying multiple macros.
	[902133-CR]

2000-03-16  Ian Roxborough  <irox@cygnus.com>

	* gui/targetedit.tcl: Add new method ToolChainChanged
	to handle the correct updating of the data and GUI
	when a user changes the toolchain. [901814-CR]

2000-03-15  Mo DeJong    <mdejong@cygnus.com>

	* etc/english.txt.in: Added entry for
	"WaitForStatistics". This string is used when
	the user presses the Statistics button in
	the project editor.

2000-03-15  Ian Roxborough  <irox@cygnus.com>

	* gui/conftooldlg.tcl (snIdeToolsDlg::FlagPage):
	Update comandline when users type in compiler
	locate entry box. [902360-CR]

2000-03-14  Ian Roxborough  <irox@cygnus.com>

	* gui/conftooldlg.tcl (snIdeToolsDlg::SaveData):
	Store toolchain flag correctly. [902306-CR]

2000-03-14  Syd Polk  <spolk@cygnus.com>

	* gui/sninit.tcl: Change default print command from "lp" to "lpr".

2000-03-13  Mo DeJong    <mdejong@cygnus.com>

	* etc/english.txt.in:
	* gui/multimake.tcl: Added right click menu
	to the build output buffer so that people
	can save the contents of the buffer to a file.

2000-03-13  Syd Polk  <spolk@cygnus.com>

	* gui/multimake.tcl: Fix debugger exec command line to use build
	directory.

2000-03-13  Mo DeJong    <mdejong@cygnus.com>

	* gui/browpaf.tcl: Added version control
	system auto-detection.

2000-03-13  Mo DeJong    <mdejong@cygnus.com>

	* gui/browpaf.tcl: Fixed problem caused by import
	file that contained spaces before of after the
	file name by adding a string trim call. This
	closes 100871-CR-2.

2000-03-13  Mo DeJong    <mdejong@cygnus.com>

	* etc/english.txt.in: Changed the
	name of label in prefs window to "Insight Debugger Command"
	from "Gnu Debugger Command".

2000-03-13  Syd Polk  <spolk@cygnus.com>

	* gui/toolchain.tcl: Change toolchains for elix to be
	"i686-elix-linux-gnu" and "powerpc-elix-linux-gnu".

2000-02-29  Syd Polk  <spolk@cygnus.com>

	* gui/bugreport.tcl: Fix typo in generating bug reports. Always
	use email; never use the web.
	* gui/preferences.tcl: Remove preference for submitting bugs
	via the web.
	* gui/sninit.tcl: Likewise.
	
2000-02-23  Syd Polk  <spolk@cygnus.com>

	* bitmaps/cygnus0.xpm: Removed. Unused.
	* bitmaps/cygnus.xpm: Turned into shadow man icon.
	* bitmaps/Makefile.am: Removed cygnus0.xpm.
	* bitmaps/Makefile.in: Regenerated.

2000-02-22  Syd Polk  <spolk@cygnus.com>

	* gui/misc.tcl: Only display "Red Hat Embedded DevKit" when
	elix is enabled.

2000-02-22  Syd Polk  <spolk@cygnus.com>

	* etc/english.txt.in: Changed "EL/IX Preferences" to "EDK Preferences".

2000-02-17  Syd Polk  <spolk@cygnus.com>

	* configure.in: Removed LONG_PRODUCT_NAME. Changed product name
	to Red Hat Embedded Dev Kit. Changed launch shell for EL/IX to
	snedk.
	* config.h.in, configure: Regenerated.

	* bitmaps/paf.xbm: Use Shadow Man icon.
	* bitmaps/splashsn.gif: Final artwork.

	* etc/english.txt.in: Removed @LONG_PRODUCT_NAME@

	* gui/bugreport.tcl misc.tcl: Removed sn_full_product_name

	* hyper/tclsql.c: Removed @LONG_PRODUCT_NAME@ and sn_full_product_name

	Regnerated all Makefile.in.
	

2000-02-17  Syd Polk  <spolk@cygnus.com>

	* gui/gdbtk.tcl: Launch gdb correctly for run button.

2000-02-11  Syd Polk  <spolk@cygnus.com>

	* configure.in: Added SUITE_NAME
	* config.h.in configure: Regenerated.
	* bitmaps/splashsn.gif: Added Shadow Man.
	* english.txt.in: Added SUITE_NAME
	* hyper/tclsql.c: Added SUITE_NAME
	* gui/misc.tcl: Mucked around with text in About Box.
	Changed all copyrights from "Red Hat Source-Navigator" to
	"Source-Navigator"
	Regenerated all Makefile.in.

2000-02-09  Syd Polk  <spolk@cygnus.com>

	* configure.in: More adjustments to product names and the like.
	Got rid of --enable-production.
	* configure: Regenerated.
	* install/cdkey_mangle.c: Removed.
	Added GPL copyright notice to all source files.
	Regenerated all Makefile.in files.

2000-02-07  Mo DeJong    <mdejong@cygnus.com>

	* gui/dirdialog.tcl (DirDialog& constructor): Fixed
	bug that made the scrollbars in the directory selection
	dialog appear in the wrong location. This was caused by
	a call to "see" on the widget that was too close to the
	end of the displayed elements.

2000-02-07  Mo DeJong    <mdejong@cygnus.com>

	* gui/dirdialog.tcl (DirDialog& constructor): Fixed
	"looping directories" bug that would happen if a directory
	contained another directory with the same name. Also added
	a missing lookup into the string table.

2000-02-04  Syd Polk  <spolk@redhat.com>

	* gui/browpaf.tcl mkfilegen.tcl multiappl.tcl targetedit.tcl:
	Conditionalize EL/IX specific code.
	* hyper/tclsql.c: Set up conditional variable for elix.

2000-01-31  Syd Polk  <spolk@redhat.com>

	* Makefile.am: Copy the FSF file "COPYING" to distribution.
	* Makefile.in: Regenerate.
	* configure.in: Don't create install/LICENSE.TXT.
	* configure: Regenerated.

	* install/INSTALL.in: Changed all references to LICENSE.TXT to COPYING.
	* install/Makefile.am: Removed LICENSE.TXT.
	* install/Makefile.in: Regenerated.
	* install/LICENSE.TXT.in: Removed.
	
	* snavigator/unix/Makefile.am: Use macro $(INSTALL) instead
	of cp/chmod when making launch script.
	* snavigator/unix/Makefile.in: Regenerate.

2000-01-28  Syd Polk  <spolk@redhat.com>

	* acconfig.h: Removed license manager and encryption stuff.
	* config.h.in: Likewise.
	* configure.in: Likewise.
	* configure: Regenerate.

	* etc/english.txt.in: Removed license manager and encryption
	strings.

	* gui/Makefile.am: Do not encrypt tcl files.
	* gui/browpaf.tcl misc.tcl multiappl.tcl multibrow.tcl multiedit.tcl
	multimake.tcl preferences.tcl projedit.tcl sninit.tcl
	statistics.tcl: Removed license manager and encryption and
	reduced funcionality and line limits.

	* hyper/Makefile.am: Removed license manager and encryption.
	* hyper/crypt.c lm.c lm.h: Removed.
	* hyper/tclsql.c: Removed license manager and encryption.

	* install/INSTALL.in: Removed license manager code.

	* misc/Makefile.am: Removed building of tools folder.

	* misc/libutils/strs.c: Removed encryption stuff.

	* misc/tools/Makefile.am Makefile.in colors.tcl keybind.tcl
	sncrypt.c: Removed.
	
	* snavigator/Makefile.am: Removed all license manager stuff.

	Regenerated all Makefile.in.

2000-01-27  Syd Polk  <spolk@redhat.com>

	* config.h.in: Added LONG_PRODUCT_NAME.
	* configure.in: Changed 4.5.1 to 1.0. Spell "Development" correctly.
	Add installation of LICENSE.TXT.
	
	* etc/english.txt.in: Removed IDEProductName. Changed "Contents"
	to "Online Manuals". Added appropriate elipsis in the Help menu.

	* gui/misc.tcl: Added sn_full_product_name and reworded about box.

	* hyper/tclsql.c: Added LONG_PRODUCT_NAME. You will have to reconfigure
	to get this to work.

	* install/INSTALL.in: Use @PRODUCT_NAME@, etc. Removed cd key.
	Removed web option. Use @SN_LAUNCH_SHELL@. Removed ancient license
	manager code.
	* install/LICENSE.TXT.in: Moved from LICENSE.TXT. Use variables
	for product name.
	* install/Makefile.am: Remove cdkey_mangle.
	* install/Makefile.in: Regenerated.
	

2000-01-24  Mo DeJong    <mdejong@cygnus.com>

	* demo/c++_demo/glish/Agent.h: Removed
	bogus comment that docs did not want
	showing up in all the screen shots.

2000-01-24  Mo DeJong    <mdejong@cygnus.com>

	* etc/english.txt.in: Removed S-N text
	from the WindowSize entry. Fixed alignment
	of the other items in the Window area in the
	project tab of the project preferences.

2000-01-21  Syd Polk  <spolk@redhat.com>

	* configure.in: Overhauled in preparation for Red Hat new products.
	Made all variables independant but setable on a global basis. Added
	--enable-elix, removed --enable-snide.
	* configure: Regenerated.

	* snavigator/Makefile.am: Removed platform conditional; do it in
	configure instead.
	* snavigator/unix/Makefile.am: Obey SN_LAUNCH_SHELL from configure.
	*/{*/}* Makefile.in: Regenerated.
	
	* gui/diff.tcl: Removed sn_ide.
	* gui/misc.tcl: Removed sn_ide.
	* hyper/tclsql.c: Removed SNIDE.
	
2000-01-17  Mo DeJong    <mdejong@cygnus.com>

	* gui/bindings.tcl (sn_init_keybindings): Added Control-F10
	binding that will bring up a split build window.
	* gui/multiappl.tcl (Windows -> Add View Menu Items): Renamed
	Windows -> Add View -> Make menu item to Build. Added the
	build window to the history so that it can be removed. Cleaned
	up a ton of comments inside these methods.
	* etc/english.txt.in: Added BuildMenuItem string
	to the table.

2000-01-14  Syd Polk  <spolk@cygnus.com>

	* etc/english.txt.in: Changed "RedHat" to "Red Hat".
	* etc/german.txt: Likewise.
	* etc/japanese.txt: Likewise.
	* gui/sninit.tcl: Likewise.
	* install/INSTALL.in: Likewise.

2000-01-14  Mo DeJong    <mdejong@cygnus.com>

        * bitmaps/Makefile.am (Hide Project): Removed
	mug.xpm after forgetting to do it on the last change.

2000-01-14  Mo DeJong    <mdejong@cygnus.com>

	* gui/diff.tcl (Hide Project): Removed the button
	with the cup picture from the diff window.
	* gui/multibrow.tcl (Hide Project): Removed unused code
	* gui/utilities.tcl (Hide Project): Removed unused icon
	* gui/window.tcl (Hide Project): Removed unused code
	* bitmaps/mug.xpm (Hide Project): Removed unused pixmap

2000-01-12  Mo DeJong    <mdejong@cygnus.com>

	* gui/mkfilegen.tcl (WriteRuleDependences): Added code to
	convert project relative path names to VPATH relative file
	names so that the auto-generated makefile works when the
	project file is in a directory other than the VPATH. I also
	took the file handling code from WriteVPATHs and moved it
	into the gui/buildtarget.tcl method GetSourceFilePaths. I
	also changed the method named WriteRuleDependances to
	WriteRuleDependences because it was spelled incorrectly.
	* gui/buildtarget.tcl (GetSourceFilePaths): This method
	was cut and pasted from mkfilegen.tcl, and a windows bug
	for volumerelative path names was fixed.

2000-01-12  Syd Polk  <spolk@cygnus.com>

	* etc/english.txt.in: Updated copyrights to 2000 and RedHat.
	* etc/german.txt: Updated copyrights to 2000 and RedHat.
	* etc/japanese.txt: Updated copyrights to 2000 and RedHat.
	* gui/sninit.tcl: Likewise.
	* install/INSTALL.in: Likewise.
	* install/LICENSE.TXT: Likewise.

2000-01-11  Tom Tromey  <tromey@cygnus.com>

	* gui/multimake.tcl (cb_launch_build): Default run directory to
	[pwd] if it is not set for the target.

2000-01-07  Mo DeJong   <mdejong@cygnus.com>

	* gui/multigrep.tcl : removed old command that did not do anything.
	* gui/browser.tcl : implemented "wrapping" of a change in selected
	line. This is used in the grep window so that a selection at the
	bottom will wrap to the top if the right arrow button is pressed.

2000-01-05  Mo DeJong   <mdejong@cygnus.com>

	* gui/sninit.tcl : changed default printer command from lp to lpr.

1999-12-20  Tom Tromey  <tromey@cygnus.com>

	* gui/buildtarget.tcl (GetDebugger): Don't add `-x' option to find
	gdbinit file.

1999-12-17  Tom Tromey  <tromey@cygnus.com>

	* gui/elix.tcl (AddMount): Yet another wording change.

	* gui/elix.tcl (AddMount): Another wording change.

	* gui/elix.tcl (AddMount): Changed wording of message.

	* gui/elix.tcl (AddMount): Added message describing the format.

1999-12-14  Tom Tromey  <tromey@cygnus.com>

	* gui/elix.tcl (make_config_command): Added :gateway to --net
	option.

	* etc/english.txt.in: Added Gateway entry.
	* gui/elix.tcl (AddTarget): Added gateway entry.
	(set_defaults): Set elix-target-gateway option.
	(keys): List target-gateway.

	* gui/gdbtk.tcl (Send_Command_To_SN): If .sngdb file exists,
	arrange to load it after gdbtk initialization.
	* gui/elix.tcl (make_config_command): Create `.sngdb' file in
	build directory, not project directory.

	* gui/mkfilegen.tcl (WriteRuleclean): Don't clean in EL/IX source
	directory.

	* gui/toolchain.tcl (GetToolChainObject): Set the debugger name
	for native toolchain.

1999-12-10  Tom Tromey  <tromey@cygnus.com>

	* gui/multimake.tcl (Make&): Correctly construct targets_list
	using Tcl list operators.  Don't increment computed index when
	match successfully found.

	* gui/elix.tcl (make_config_command): Don't add `:static' to --net
	option.

	* gui/elix.tcl (Elix&): Don't use fixed size for dialog.
	(AddKernel): Made module options text widget shorter by default.

	* gui/mkfilegen.tcl (WriteRuleTarget): Pass --mode debug to
	elix-link if appropriate.
	* gui/targetedit.tcl (GetLinkerCommandLine): Pass --mode debug to
	elix-link if appropriate.

	* gui/elix.tcl (AddKernel): Fill text widget with current value.
	(AddMount): Likewise.

	* gui/mkfilegen.tcl (WriteRuleclean): Don't remove the .runcfg
	file.

	* gui/buildtarget.tcl (LoadData): Use boolean default for
	NeedsRebuild if it is not found in the database.

1999-12-09  Tom Tromey  <tromey@cygnus.com>

	* etc/english.txt.in: Don't mention initrd.  Use Root Directory,
	not Filesystem Mount Point.

	* gui/targetedit.tcl (GetLinkerCommandLine): Updated for new
	make_config_command.
	* gui/mkfilegen.tcl (WriteRuleTarget): Updated for new
	make_config_command.
	* gui/elix.tcl (make_config_command): Added `builddir' argument.
	Use it when constructing --elix-cfg on command line.

	* gui/mkfilegen.tcl (WriteRuleclean): Remove .olix and .runcfg
	files.

	* gui/multimake.tcl (Make&): Select saved target by default.
	(destructor): Save current target.

	* gui/targetedit.tcl (GetLinkerCommandLine): Use build directory
	as prefix for elix-link.
	* gui/mkfilegen.tcl (WriteRuleTarget): Use build directory as
	prefix for elix-link.

	* snavigator/unix/elix-link: Print commands before running them.

	* gui/elix.tcl (make_config_command): Only add --mount if it has
	arguments.

	* etc/english.txt.in: Labelling tweaks from Jesper.
	* gui/elix.tcl (set_defaults): Make default relative size 10.

1999-12-08  Tom Tromey  <tromey@cygnus.com>

	* gui/multimake.tcl (ExecMake): If target needs to be cleaned
	first, add `clean' to command line.
	* gui/mkfilegen.tcl (WriteRuleclean): Add EL/IX `clean' rule.
	* gui/elix.tcl (source_path): New proc.
	(make_config_command): Use it.
	* gui/buildtarget.tcl (NeedsRebuild): New field.
	(SetNeedsRebuild): New method.
	(GetNeedsRebuild): Likewise.
	(LoadData): Restore NeedsRebuild flag from database.
	(SaveData): Set NeedsRebuild flag in database.
	(DeleteData): Delete NeedsRebuild key.
	(SetToolChain): Set NeedsRebuild.

	* gui/elix.tcl (make_config_command): Reimplemented --mount option
	creation.
	(apply): Set entries in elix_options, not options.

	* gui/elix.tcl (Elix&): Create mount point page.
	(AddMount): New method.
	(mount_widget): New field.
	(apply): Set mount-points option.
	(set_defaults): Likewise.
	(keys): Mention mount-points option.
	(make_config_command): Use mount-points option.

	* etc/english.txt.in: New entries for new GUI.
	* gui/elix.tcl (AddFilesys): Added new options for configuring
	Minix filesystem.
	(set_defaults): Mention new options.
	(keys): Likewise.
	(make_config_command): Likewise.
	(Elix&): Made window taller.

1999-12-07  Tom Tromey  <tromey@cygnus.com>

	* gui/elix.tcl (make_config_command): Changed to --nfsroot and
	:template= to match config.pl change.

	* etc/english.txt.in: Added `(bps)' to speed item.

	* gui/elix.tcl (AddKernel): Removed kernel image option.
	(set_defaults): Don't mention kernel-image.
	(keys): Likewise.
	(make_config_command): Likewise.

	* gui/elix.tcl (Elix&): Made window taller.
	(AddTarget): Moved Boot Image item from Filesystem page.

1999-12-06  Tom Tromey  <tromey@cygnus.com>

	* etc/english.txt.in: Changed `Build' to `Build...'.

	* gui/buildtarget.tcl (GetLaunchCommandLine): Add `.' to file name
	in case `.' is not in PATH.

	* etc/english.txt.in: Removed "Kernel" from most items on kernel
	page.
	* gui/elix.tcl (AddKernel): Rearranged layout of modules frame.
	(Elix&): Made dialog smaller.  Initialize EL/IX options before
	creating notebook pages.  Don't bind <Return> on entire window.

1999-12-03  Tom Tromey  <tromey@cygnus.com>

	* etc/english.txt.in: Added Boot Image.
	* gui/mkfilegen.tcl (WriteRuleTarget): Create `.runcfg' file
	here as well.
	* gui/elix.tcl (make_config_command): Added missing `hostname='.
	(apply): Only use `module_widget' if not empty.
	(module_widget): Initialize.
	(Elix&): Removed `Save as Default' button.
	(make_config_command): Fixed typo in `ramdisk'.
	(AddFilesys): Added boot image requester.
	(set_defaults): Set default for file-boot-image.
	(keys): List file-boot-image.
	(make_config_command): Add --boot-image to command line.

	* gui/elix.tcl (AddFilesys): Have user choose directory, not
	file.
	(AddKernel): Likewise.
	* gui/tools.tcl (LabelEntryButton&): Added `directory' member.
	(select_file): Handle directory case.

1999-12-02  Tom Tromey  <tromey@cygnus.com>

	* gui/elix.tcl (make_config_command): Reference $options, not
	$elix_options.
	(set_defaults): Mention file-minix-path, file-rom-path, and
	file-nfs-path.
	(keys): Likewise.

	* etc/english.txt.in: Fixed typos.

	* gui/mkfilegen.tcl (WriteRuleTarget): Use elix-link to link EL/IX
	targets.

	* gui/elix.tcl (make_config_command): Handle NFS/Ramdisk root.

	* gui/elix.tcl (make_config_command): Don't add `:name=...' to
	--debug option.

	* etc/english.txt.in: Renamed filesystem options.
	* gui/elix.tcl (AddFilesys): Move `minix' option before NFS.

	* etc/english.txt.in: Added entry for monolithic kernel.
	* gui/elix.tcl (Elix& constructor): Rearranged page order.
	(AddKernel): Added `monolithic' radiobutton.
	(make_config_command): Updated for monolithic kernels.

1999-12-01  Tom Tromey  <tromey@cygnus.com>

	* gui/elix.tcl (make_config_command): Added `.gdb' extension to
	name of gdbinit file.

	* gui/elix.tcl (AddDebug): Removed target name from dialog.
	(set_defaults): Don't set dbg-targetname property.
	(keys): Don't mention dbg-targetname.
	(make_config_command): Use target-hostname, not dbg-targetname.

	* gui/browpaf.tcl (sn_save_project): Call Elix&'s set_defaults
	proc.
	* gui/targetedit.tcl (GetLinkerCommandLine): For EL/IX targets,
	run elix-link.
	* gui/toolchain.tcl (snToolChain): Added `shortName' field.
	(SetShortName): New method.
	(GetShortName): Likewise.
	Set short name for embedded targets.
	* gui/elix.tcl (make_config_command): Now a proc, not a method.
	Added `arch' argument.  Return result.  Use `fill'.
